export const main_mega_menu = ($) => {

    // Check If Mega Menu Exists
    var megaMenu = $(".navigation").find(".mega-menu-enabled");
    if (megaMenu.length == '') {
        return;
    }

    // Create Mega Menu Holder Node
    const para = $(
        '<div class="mega-menu-container menu navigation"></div><!-- mega-menu-container -->'
    );

    // Create Mega Menu Mask
    const mask = $(
        '<div class="mega-menu-mask"></div><!-- mega-menu-mask -->'
    );

    // Insert Mega Menu Wrapper Before Content
    $(para).appendTo("header.site-header");

    // Prepend Mega Menu Mask To Content
    $(mask).prependTo("#content");

    // On hover move sub menu to new node
    $(".menu-item").on("mouseenter", function () {
        const target = $(".mega-menu-container");
        target[0].innerHTML = "";
        target.removeClass("show");
    });

    // If you enter mega menu -> open/close the menu and mask
    $(".menu-item.mega-menu-enabled").on("mouseenter", function () {
        const target = $(".mega-menu-container");
        const menu = $(this).find(".mega-menu-wrapper");
        const mask = $(".mega-menu-mask");

        // Check if has submenu
        if (menu.length > 0) {
            target.addClass("show");
            mask.addClass("show");
            menu.clone().appendTo(target);
            $(this).trigger("openMegaMenu");
        } else {
            target.removeClass("show");
            mask.removeClass("show");
            $(this).trigger("closedMegaMenu");
        }
    });

    // If you leave main site nav -> close the menu and mask
    // $(".hang-navigation").on("mouseleave", function () {
    //     const target = $(".mega-menu-container");
    //     target[0].innerHTML = "";
    //     target.removeClass("show");

    //     const mask = $(".mega-menu-mask");
    //     mask.removeClass("show");
    // });

    // If you enter mask -> close the menu and mask
    $(".mega-menu-mask").on("mouseenter", function () {
        const mask = $(this);
        mask.removeClass("show");

        const target = $(".mega-menu-container");
        target.removeClass("show");

        $(this).trigger("closedMegaMenu");
    });

    // Remove Mask When Not Hovering a mega menu
    $(".menu-item:not(.mega-menu-enabled)").on("mouseenter", function () {
        const mask = $(".mega-menu-mask");
        mask.removeClass("show");

        $(this).trigger("closedMegaMenu");
    });

}