export const main_smooth_scroll = ($) => {

    /*
     * Add smooth scrolling to all links
     */
    $(document).ready(function () {
        $("a.hash-nav:not(#yspBack2Top)").on('click', function (event) {
            // Make sure this.hash has a value before overriding default behavior
            if (this.hash !== "") {
                // Prevent default anchor click behavior
                event.preventDefault();
                // Store hash
                var hash = this.hash;
                // Using jQuery's animate() method to add smooth page scroll
                // The optional number (800) specifies the number of milliseconds it takes to scroll to the specified area
                $('html, body').animate({
                    scrollTop: $(hash).offset().top
                }, 800, function () {
                    // Add hash (#) to URL when done scrolling (default click behavior)
                    window.location.hash = hash;
                });
            }
        });
    });

    /*
     * Back To Top
     */

    // Get the button
    var toTopBtn = document.getElementById("yspBack2Top");

    // When the user scrolls down 20px from the top of the document, show the button
    window.onscroll = function () {
        scrollFunction()
    };

    function scrollFunction() {
        if (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20) {
            $(toTopBtn).fadeIn();
        } else {
            $(toTopBtn).fadeOut();
        }
    }

    // Smooth scroll to top
    function scrollToTop() {
        const c = document.documentElement.scrollTop || document.body.scrollTop;
        if (c > 0) {
            window.requestAnimationFrame(scrollToTop);
            window.scrollTo(0, c - c / 8);
        }
    };

    // When the user clicks on the button, scroll to the top of the document
    $(toTopBtn).click(function topFunction() {
        scrollToTop();
    });

}