/**
 * File video-bg.js.
 *
 * Handles the background YouTube video component javascript.
 * Ref: https://github.com/rochestb/jQuery.YoutubeBackground
 *
 * Handles the background Vimeo video component javascript.
 * Ref: https://github.com/pupunzi/jquery.mb.vimeo_player
 */
export const main_video_bg = ($) => {
    $('.ysp-ytube-video').each(function () {
        var videoID = $(this).data('video-bg-id');
        if (videoID != '') {
            $(this).YTPlayer({
                fitToBackground: true,
                videoId: videoID,
                pauseOnScroll: true,
                repeat: true,
                playerVars: {
                    autoplay: 1,
                    modestbranding: 1,
                    autoplay: 1,
                    controls: 0,
                    showinfo: 0,
                    wmode: 'transparent',
                    rel: 0,
                    origin: window.location.origin
                }
            });
        }
    });
    $('.ysp-vimeo-video').each(function () {
        var videoID = $(this).data('video-bg-id');
        if (videoID != '') {
            var options = {
                id: videoID,
                width: 1920,
                autoplay: true,
                background: true,
                autopause: false,
                controls: false,
                loop: true,
                muted: true,
                title: false
            };
            new Vimeo.Player(this, options);
        }
    });
    $('.ysp-bg-video source').each(function () {
        var videoURL = $(this).data('mobile');
        if (videoURL != '') {
            const breakpoint = window.matchMedia('(max-width:576px)');
            if (true == breakpoint.matches) {
                $(this).attr('src', videoURL);
            }
        }
    });
    $('.ysp-bg-video track').each(function () {
        var subURL = $(this).data('mobile');
        if (subURL != '') {
            const breakpoint = window.matchMedia('(max-width:576px)');
            if (true == breakpoint.matches) {
                $(this).attr('src', subURL);
            }
        }
    });
    $('.ysp-bg-video').each(function () {
        $(this)[0].load();
    });
}