/**
 * Animate Component
 */
jQuery(function ($) {
    const doAnimate = (entries, observer) => {
        entries.forEach(entry => {
            const animClass = entry.target.dataset.animate;
            if (animClass != '' && animClass.length > 0) {
                if (!entry.target.classList.contains('animate__' + animClass)) {
                    entry.target.classList.toggle('animate__' + animClass, entry.isIntersecting);
                }
            }
        });
    };

    const Obs = new IntersectionObserver(doAnimate);
    const obsOptions = {}; // See: https://developer.mozilla.org/en-US/docs/Web/API/Intersection_Observer_API#Intersection_observer_options

    // Attach observer to every [data-animate] element:
    const ELs_doAnimate = document.querySelectorAll('[data-animate]');
    ELs_doAnimate.forEach(EL => {
        Obs.observe(EL, obsOptions);
    });
});