<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package yourstyle+
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
    // Add support for the wp_body_open hook
    if (function_exists('wp_body_open')) {
        wp_body_open();
    } else {
        do_action('wp_body_open');
    }

    // The Yourstyle+ after body hook still exists too.
    do_action('ysp-after-body-tag');
?>

<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to content', YSP_TEXT_DOMAIN); ?></a>

    <?php do_action('ysp_before_header'); ?>
    
    <header id="masthead"<?php echo ysp_site_header_class(); ?>>

        <?php do_action('ysp_before_header_inner'); ?>
        
        <div <?php echo ysp_site_header_navigation_class(); ?>>

            <div <?php echo ysp_site_header_container_class(); ?>>

                <div class="c-row u-align-items-center">

                    <?php do_action('ysp_site_header_start'); ?>

                    <div <?php echo ysp_header_layout_left_class(); ?>>

                        <?php do_action('ysp_before_site_branding'); ?>
                        
                        <?php do_action('ysp_site_branding'); ?>

                        <?php do_action('ysp_after_site_branding'); ?>

                    </div><!-- .site-branding -->
                    
                    <?php do_action('ysp_site_header_center'); ?>

                    <div <?php echo ysp_header_layout_right_class(); ?>>
                    
                        <?php do_action('ysp_before_site_navigation'); ?>
                        
                        <?php do_action('ysp_site_navigation'); ?>

                        <?php do_action('ysp_after_site_navigation'); ?>
                        
                    </div><!-- .site-navigation -->

                    <?php do_action('ysp_site_header_end'); ?>

                </div>
        
            </div>
		</div>
            
        <?php do_action('ysp_after_header_inner'); ?>

	</header><!-- #masthead -->

    <?php do_action('ysp_after_header'); ?>

	<div id="content"<?php echo ysp_site_content_class(); ?>>

    <?php do_action('ysp_before_content'); ?>