<?php

if (!class_exists('YSP_Custom_Color_Schemes')) {

    class YSP_Custom_Color_Schemes
    {

        /**
         * List of colors registered in this plugin.
         *
         * @since 1.0
         * @access private
         * @var array $colors List of colors registered in this plugin. 
         *                    Needed for registering colors-fresh dependency.
         */
        private $colors = array( 
            'yourstyle-plus'
        );

        function __construct() {
            add_action( 'admin_enqueue_scripts', array( $this, 'load_default_css' ) );
            add_action( 'admin_init' , array( $this, 'add_colors' ) );
        }

        /**
         * Register color schemes.
         */
        function add_colors() {
            wp_admin_css_color( 
                'yourstyle-plus', __('Yourstyle+', YSP_TEXT_DOMAIN),
                get_template_directory_uri() . '/inc/addons/admin-color-scheme/yourstyle-plus/colors.css',
                array('#232323', '#4ba3e7', '#3e86be', '#3f245e'),
                array('base' => '#fff', 'focus' => '#fff', 'current' => '#fff')
            );

        }

        /**
         * Make sure core's default `colors.css` gets enqueued, since we can't
         * @import it from a plugin stylesheet. Also force-load the default colors 
         * on the profile screens, so the JS preview isn't broken-looking.
         */ 
        function load_default_css() {

            global $wp_styles, $_wp_admin_css_colors;

            $color_scheme = get_user_option( 'admin_color' );

            $scheme_screens = apply_filters( 'acs_picker_allowed_pages', array( 'profile', 'profile-network' ) );
            if ( in_array( $color_scheme, $this->colors ) || in_array( get_current_screen()->base, $scheme_screens ) ){
                $wp_styles->registered[ 'colors' ]->deps[] = 'colors-fresh';
            }

        }

    }
    global $ysp_colors;
    $ysp_colors = new YSP_Custom_Color_Schemes;

}