<?php


/**
 * Product Loop - Custom Add To Cart
 */
add_filter( 'ysp_woocommerce_loop_add_to_cart', 'ysp_woocommerce_loop_add_to_cart_custom', 10 );
if ( ! function_exists( 'ysp_woocommerce_loop_add_to_cart_custom' ) ) {
    function ysp_woocommerce_loop_add_to_cart_custom() {
        
        $output = '';
        
        $product_id = get_the_id();
        $product = wc_get_product( $product_id );
        
        $cart_icon = class_exists('Ysp_Woo_Helpers') ? Ysp_Woo_Helpers::woo_icon( 'fal-shopping-cart' ) : '';
        $quantity_classes = apply_filters( 'woocommerce_quantity_input_classes', array( 'c-product-add-to-cart-quantity', 'input-text', 'text' ), $product );

        if ( $product && $product->is_type('simple') && $product->is_purchasable() && $product->is_in_stock() && ! $product->is_sold_individually() ) {
            $output .= '<form class="c-product-add-to-cart-form" action="'. esc_url( $product->add_to_cart_url() ) .'" method="post" enctype="multipart/form-data">';
                $output .= woocommerce_quantity_input( array( 'classes' => $quantity_classes ), $product, false );
                $output .= '<button class="c-product-add-to-cart" type="submit">'. $cart_icon .'</button>';
            $output .= '</form>';
        } else {
            $output .= '<span class="c-product-add-to-cart">'. $cart_icon .'</span>';
        }

        return $output;
    }
}