<?php

if ( ! class_exists( 'Ysp_Woo_Coupons' ) ) {
    
    class Ysp_Woo_Coupons {

        public function __construct() {
            
            // Add Custom Coupon Component
            add_action( 'woocommerce_before_cart_collaterals', array( $this, 'woocommerce_cart_coupon_layout' ), 20 );
        }
        
        public function woocommerce_cart_coupon_layout() {

            $output = '';
            
            if ( ! wc_coupons_enabled() ) {
                return;
            }

            $title = __('Add coupon (optional)', YSP_TEXT_DOMAIN);
            $placeholder = __( 'Place coupon code', YSP_TEXT_DOMAIN );
            $submit_value = __( 'Use coupon', YSP_TEXT_DOMAIN );
            $submit_text = __( 'Use coupon', YSP_TEXT_DOMAIN );
            $svg = class_exists('Ysp_Woo_Helpers') ? '<span class="woo-icon fal-angle-down">'. Ysp_Woo_Helpers::woo_icon( 'fal-angle-down' ) .'</span>' : '';

            $output .= '<form class="woo-coupon-form" action="'. esc_url( wc_get_cart_url() ) .'" method="post">';
                $output .= '<div class="woo-coupon-accordion">'. $title . $svg .'</div>';
                $output .= '<div class="woo-coupon-inner">';
                    $output .= '<input class="woo-coupon-input input-text" type="text" name="coupon_code" id="coupon_code" value="" placeholder="'. $placeholder .'" />';
                    $output .= '<button class="woo-coupon-button button" type="submit" name="apply_coupon" value="'. $submit_value .'" style="display:none;">'. $submit_text .'</button>';
                $output .= '</div>';
            $output .= '</form>';
                            
            echo $output;
        }
    }

    new Ysp_Woo_Coupons();
    
}
