<?php
/**
 * Display single product reviews (comments)
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product-reviews.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

if ( ! class_exists( 'Ysp_Woo_Filter' ) ) {
    
    class Ysp_Woo_Filter {

        public function __construct() {

            // Add Product Filter
            add_action( 'woocommerce_after_main_content', array( $this, 'product_filter' ), 8 );
        }
        
        // Add Product Filter
        public function product_filter() {

            if ( ! ( is_shop() || is_product_category() || is_product_tag() ) ) {
                return;
            }
            
            global $product;
            $filter_icon = class_exists('Ysp_Woo_Helpers') ? Ysp_Woo_Helpers::woo_icon( 'fas-filter' ) : '';
            ?>

            <div class="woo-mobile-filter-toggler">
                <a href="#" id="wooMobileFilter" class="c-button c-button--color-1 c-button--mobile-filter-toggler"><?php echo $filter_icon . __('Filter', YSP_TEXT_DOMAIN); ?></a>
            </div>

            <?php
        }
    }

    new Ysp_Woo_Filter();
    
}
