<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if (!class_exists('YSP_Woo_Archive_Layout')) {

    class YSP_Woo_Archive_Layout {
        public function __construct() {
            add_action( 'init', array( $this, 'woocommerce_archive_setup' ), 10, 2 );
        }

        public function woocommerce_archive_setup() {

            if ( ! ysp_is_woo_active() ) {
                return;
            }
            
            // Product Archive - Sub Header - Before
            add_action('woocommerce_before_shop_loop', array( $this, 'ysp_woocommerce_shop_sub_header_before' ), 15 );
            
            // Product Archive - Sub Header - After
            add_action('woocommerce_before_shop_loop', array( $this, 'ysp_woocommerce_shop_sub_header_after' ), 100 );
            
            // Product Archive - Products Loop Wrapper - Before
            add_action('woocommerce_before_shop_loop', array( $this, 'ysp_woocommerce_before_shop_loop' ), 999 );
            
            // Product Archive - Products Loop Wrapper - After
            add_action('woocommerce_after_shop_loop', array( $this, 'ysp_woocommerce_after_shop_loop' ), 1 );

            // Remove Product Loop Link
            remove_action( 'woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10 );
            remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5 );

            // Add Product Loop Link @ IMG
            add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_link_open', 8 );
            add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_link_close', 12 );
            
            // Add Product Loop Link @ Title
            add_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_link_open', 8 );
            add_action( 'woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_link_close', 12 );
            
            // Product Archive - Products Loop Info Wrapper - Before
            add_action('woocommerce_after_shop_loop_item_title', array( $this, 'ysp_woocommerce_loop_product_info_start' ), 8 );
            
            // Product Archive - Products Loop Info Wrapper - After
            add_action('woocommerce_after_shop_loop_item_title', array( $this, 'ysp_woocommerce_loop_product_info_end' ), 12 );

            // Product Archive - Add Custom View Text
            remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
            add_action( 'woocommerce_after_shop_loop_item_title', array( $this, 'ysp_woocommerce_loop_add_to_cart' ), 11 );
            
            // Product Archive - Add Category Description
            remove_action( 'woocommerce_archive_description', 'woocommerce_product_archive_description', 10 );
            remove_action( 'woocommerce_archive_description', 'woocommerce_taxonomy_archive_description', 10 );
            add_action( 'woocommerce_archive_description', array( $this, 'ysp_woocommerce_category_description' ), 10 );
        
            // Product Archive - Add GridList Toggle
            // add_action( 'woocommerce_before_shop_loop', array( $this, 'ysp_woo_archive_gridlist_toggle' ), 40 );

            // Product Archive - Replace Default Pagination
            remove_action( 'woocommerce_after_shop_loop', 'woocommerce_pagination', 10 );
            add_action( 'woocommerce_after_shop_loop', 'ysp_pagination', 10 );
        }

        // Product Archive - Sub Header - Before
        public function ysp_woocommerce_shop_sub_header_before() {

            $output = '';

            $output .= '<div class="woocommerce-products-sub-header">';
            
            echo $output;
        }

        // Product Archive - Sub Header - After
        public function ysp_woocommerce_shop_sub_header_after() {

            $output = '';

            $output .= '</div>';
            
            echo $output;
        }

        // Product Archive - Products Loop Wrapper - Before
        public function ysp_woocommerce_before_shop_loop() {

            $output = '';

            $output .= '<div class="woocommerce-products-loop">';
            
            echo $output;
        }

        // Product Archive - Products Loop Wrapper - After
        public function ysp_woocommerce_after_shop_loop() {

            $output = '';

            $output .= '</div>';
            
            echo $output;
        }

        // Product Archive - Products Loop Info Wrapper - Before
        public function ysp_woocommerce_loop_product_info_start() {

            $output = '';

            $output .= '<div class="woo-loop-product-info">';
                $output .= '<div class="woo-loop-product-info-left">';

            echo $output;
        }

        // Product Archive - Products Loop Info Wrapper - After
        public function ysp_woocommerce_loop_product_info_end() {

            $output = '';

            $output .= '</div>';

            echo $output;
        }

        // Product Archive - Add Custom View Text
        public function ysp_woocommerce_loop_add_to_cart() {
            
            $output = '';

            $cart_icon = class_exists('Ysp_Woo_Helpers') ? Ysp_Woo_Helpers::woo_icon( 'fal-shopping-cart' ) : '';
            $default_add_to_cart = '<span class="c-product-add-to-cart">'. $cart_icon .'</span>';
            
            $output .= '</div>';
            $output .= '<div class="woo-loop-product-info-right">';
                $output .= apply_filters( 'ysp_woocommerce_loop_add_to_cart', $default_add_to_cart );
            $output .= '</div>';

            echo $output;
        }

        // Product Archive - Add Category Description
        public function ysp_woocommerce_category_description() {

            if ( !is_product_category() ) {
                return;
            }

            $term = get_queried_object();
            $content = wpautop( $term->description );
            
            $content_length = strlen( $content );
            $active = $content_length > 300 ? ' woo-product-cat-description--active' : '';
            
            $text_more = __( 'Read more', YSP_TEXT_DOMAIN );
            $text_less = __( 'Read less', YSP_TEXT_DOMAIN );
            
            // Read More/Less Button Class
            $btn_class = apply_filters( 'ysp_woo_cat_desc_btn_class', 'c-button c-button--color-1 c-button--sm' );

            $label = '';
            if ( $content_length > 300 ) {
                $label .= '<label for="read-more-toggle" class="woo-product-cat-readmore">';
                    $label .= '<span id="read-more-toggle" class="read-more-trigger '. $btn_class .'" data-text-more="'. $text_more .'" data-text-less="'. $text_less .'">';
                        $label .= '<span class="sr-only sr-only-focusable">'. $text_more .'</span>';
                    $label .= '</span>';
                $label .= '</label>';
            }

            $output = '';
            if ( $content ) {
                $output = sprintf('
                    <div class="woo-product-cat-description-wrapper">
                        <input type="checkbox" class="read-more-toggle" id="read-more-toggle"/>
                        <div class="woo-product-cat-description%s">%s</div>
                        %s
                    </div>',
                    $active,
                    $content,
                    $label
                );
            }
            echo $output;
        }

        // Product Archive - Add GridList Toggle
        public function ysp_woo_archive_gridlist_toggle() {

            $default = 'grid';
            if ( $default == 'grd' ) {
                $grid = ' active';
                $list = '';
            } else {
                $list = ' active';
                $grid = '';
            }

            $output = '';

            $output .= '<div id="woo-gridlist-toggle">';
                $output .= '<div id="grd" class="woo-gridlist-item'. $grid .'" title="'. __('Grid', YSP_TEXT_DOMAIN) .'">
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 34.15 34.51"><title>'. __('Grid', YSP_TEXT_DOMAIN) .'</title><rect width="14.89" height="14.89"></rect><rect x="19.26" width="14.89" height="14.89"></rect><rect y="19.62" width="14.89" height="14.89"></rect><rect x="19.26" y="19.62" width="14.89" height="14.89"></rect></svg>
                            </div>
                            <div id="lst" class="woo-gridlist-item'. $list .'" title="'. __('List', YSP_TEXT_DOMAIN) .'">
                                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 34.15 34.51"><title>'. __('List', YSP_TEXT_DOMAIN) .'</title><rect y="30.54" width="34.15" height="3.96"></rect><rect y="20.3" width="34.15" height="3.96"></rect><rect y="9.96" width="34.15" height="3.96"></rect><rect width="34.15" height="3.96"></rect></svg>
                            </div>';
            $output .= '</div>';

            echo $output;
        }

    }

    new YSP_Woo_Archive_Layout();

}