<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if (!class_exists('YSP_Woo_General_Cart')) {

    class YSP_Woo_General_Cart {
        public function __construct() {

            add_action( 'woocommerce_before_cart', array( $this, 'wrapper_top' ), 10 );
            add_action( 'woocommerce_before_cart_collaterals', array( $this, 'wrapper_end' ), 99 );

            // Relocate totals to the right of product list
            remove_action( 'woocommerce_cart_collaterals', 'woocommerce_cart_totals', 10 );
            add_action( 'woocommerce_before_cart_collaterals', 'woocommerce_cart_totals', 10 );
            
            // Change Number Of Cross Sells Columns
            add_filter( 'woocommerce_cross_sells_columns', array( $this, 'ysp_checkout_cross_sells_columns' ) );
        }

        /**
         * Cart
         */
        public function wrapper_top() {
            echo '<div class="woocommerce-cart-top-layout">';
        }
        public function wrapper_end() {
            echo '</div>';
        }

        // Cross Sells - X Columns
        public function ysp_checkout_cross_sells_columns( $columns ) {
            return 4;
        }
    }

    new YSP_Woo_General_Cart();

}