<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if ( ! class_exists( 'YSP_Woo_General_Layout' ) ) {

    class YSP_Woo_General_Layout {
        public function __construct() {

            if ( ! woo_switch() ) {
                return;
            }

            remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10 );
            remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10 );

            add_action( 'woocommerce_before_main_content', array( $this, 'wrapper_start' ), 10 );
            add_action( 'woocommerce_after_main_content', array( $this, 'wrapper_end' ), 10 );

            /**
             * Single
             */
            // .woocommerce-single-product-top-layout
            add_action( 'woocommerce_before_single_product_summary', array( $this, 'single_layout_top_wrap' ), 10 );
            add_action( 'woocommerce_after_single_product_summary', array( $this, 'wrapper_end_ext_four' ), 10 );

            // .woocommerce-single-product-add-to-cart-layout
            add_action( 'woocommerce_before_add_to_cart_button', array( $this, 'single_add_to_cart_start' ), 10 );
            add_action( 'woocommerce_after_add_to_cart_button', array( $this, 'wrapper_end' ), 10 );

            // .woocommerce-single-product-middle-layout
            add_action( 'woocommerce_after_single_product_summary', array( $this, 'single_layout_middle_wrap' ), 10 );
            add_action( 'woocommerce_after_single_product_summary', array( $this, 'wrapper_end_ext_five' ), 12 );

            // .woocommerce-single-product-bottom-layout
            add_action( 'woocommerce_after_single_product_summary', array( $this, 'single_layout_bottom_wrap' ), 14 );
            add_action( 'woocommerce_after_single_product_summary', array( $this, 'wrapper_end_ext_five' ), 22 );

        }


        public function wrapper_start() {

            if ( is_shop() || is_product_category() || is_product_tag() ) {
                echo '<div id="primary" class="content-area c-col-12 c-col-lg-9">';
                    echo '<main id="main" class="site-main" role="main">';
            } else {
                echo '<div id="primary">';
            }

        }

        public function wrapper_end() {

            if ( is_shop() || is_product_category() || is_product_tag() ) {
                    echo '</main>';
                echo '</div>';
            } else {
                echo '</div>';
            }
        }

        public function wrapper_end_ext_four() {

                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        }

        public function wrapper_end_ext_five() {

                            echo '</div>';
                        echo '</div>';
                    echo '</div>';
                echo '</div>';
            echo '</div>';
        }

        /**
         * Single Product
         */
        public function single_layout_top_wrap() {

            echo '<div class="c-container">';
                echo '<div class="c-row">';
                    echo '<div class="c-col">';
                        echo '<div class="woocommerce-single-product-top-layout u-padding-bottom-xl">';
        }

        /**
         * Single Product add to cart Wrap
         */
        public function single_add_to_cart_start() {

            echo '<div class="woocommerce-single-product-add-to-cart-layout">';
        }

        /**
         * Single Product Middle Wrap
         */
        public function single_layout_middle_wrap() {

            echo '<div class="u-background-color-gray-1 u-py-5">';
                echo '<div class="c-container">';
                    echo '<div class="c-row">';
                        echo '<div class="c-col">';
                            echo '<div class="woocommerce-single-product-middle-layout">';
        }

        /**
         * Single Product Bottom Wrap (upsells/related)
         */
        public function single_layout_bottom_wrap() {

            echo '<div class="u-background-color-white u-py-5">';
                echo '<div class="c-container">';
                    echo '<div class="c-row">';
                        echo '<div class="c-col">';
                            echo '<div class="woocommerce-single-product-bottom-layout">';

        }
    }

    new YSP_Woo_General_Layout();

}
