<?php

if ( woo_switch() ) {

	add_action( 'wp_enqueue_scripts', 'ysp_add_woo_scripts' );
	function ysp_add_woo_scripts() {
        
		if ( ! ysp_is_woo_active() ) {
            return;
        }
        
        /* WooCommerce Script */
		if ( is_child_theme() ) {
            wp_register_script('ysp_woocommerce_script', get_stylesheet_directory_uri() . '/assets/dist/js/min/ysp-woocommerce.min.js', array( 'jquery', 'swiper_core' ), get_child_theme_version(), true );
        } else {
            wp_register_script('ysp_woocommerce_script', get_template_directory_uri() . '/assets/dist/js/min/ysp-woocommerce.min.js', array( 'jquery', 'swiper_core' ), get_ysp_version(), true );
        }
        wp_enqueue_script('ysp_woocommerce_script'); // Enqueue Script

        /* WooCommerce Style */
		if ( is_child_theme() ) {
            wp_register_style('ysp_woocommerce_style', get_stylesheet_directory_uri() . '/ysp-woocommerce.min.css', array(), get_child_theme_version() );
        } else {
            wp_register_style('ysp_woocommerce_style', get_template_directory_uri() . '/ysp-woocommerce.min.css', array(), get_ysp_version() );
        }
        wp_enqueue_style('ysp_woocommerce_style'); // Enqueue Style
        
        if ( is_singular( 'product' ) ) {
            wp_enqueue_style('swiper_style_core'); // Enqueue Style
        }
	}

	// Disable Woo styles
	add_filter( 'woocommerce_enqueue_styles', '__return_empty_array' );

	/**
	 * Remove Woocommerce Select2 - Woocommerce 3.2.1+
	 */
	function ysp_dequeue_select2() {
		if ( class_exists( 'woocommerce' ) ) {
			wp_dequeue_style( 'select2' );
			wp_deregister_style( 'select2' );

			// wp_dequeue_script( 'selectWoo' );
			// wp_deregister_script( 'selectWoo' );
		}
	}
	add_action( 'wp_enqueue_scripts', 'ysp_dequeue_select2', 100 );

	// Remove the product rating display on product loops
	if ( get_theme_mod( 'ysp_woo_shop_hide_rating', false ) ) {
		remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );
    }

    /*
     * Setup WooCommerce
     */
    
    // Helpers
    require_once YSP_ENGINE_DIR . '/addons/woo/helpers/woo-helpers.php';
    
    // Components
    require_once YSP_ENGINE_DIR . '/addons/woo/components/woo-add-to-cart.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/components/woo-coupon.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/components/woo-header-utility.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/components/woo-product-filter.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/components/woo-product-highlight.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/components/woo-reviews.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/components/woo-single-gallery.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/components/woo-stock-status.php';
    
    // Layouts
    require_once YSP_ENGINE_DIR . '/addons/woo/woo-layout-setup/woo-layout-archive.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/woo-layout-setup/woo-layout-cart.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/woo-layout-setup/woo-layout-checkout.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/woo-layout-setup/woo-layout-my-account.php';
    require_once YSP_ENGINE_DIR . '/addons/woo/woo-layout-setup/woo-layout-single.php';
}

require_once YSP_ENGINE_DIR . '/addons/woo/woo-layout-setup/woo-layout-general.php';
