// ref: https://www.gavick.com/blog/wordpress-tinymce-custom-buttons
(function () {

    // Predefined widths
    var generateWidths = function (prefix) {

        this.prefix = prefix || '';

        var values = [{
                text: '----',
                value: ''
            },
            {
                text: '1/12 - One Column',
                value: prefix + '1'
            },
            {
                text: '2/12 - Two Columns',
                value: prefix + '2'
            },
            {
                text: '3/12 - Three Columns',
                value: prefix + '3'
            },
            {
                text: '4/12 - Four Columns',
                value: prefix + '4'
            },
            {
                text: '5/12 - Five Columns',
                value: prefix + '5'
            },
            {
                text: '6/12 - Six Columns',
                value: prefix + '6'
            },
            {
                text: '7/12 - Seven Columns',
                value: prefix + '7'
            },
            {
                text: '8/12 - Eight Columns',
                value: prefix + '8'
            },
            {
                text: '9/12 - Nine Columns',
                value: prefix + '9'
            },
            {
                text: '10/12 - Ten Columns',
                value: prefix + '10'
            },
            {
                text: '11/12 - Eleven Columns',
                value: prefix + '11'
            },
            {
                text: '12/12 - Twelve Columns',
                value: prefix + '12'
            },
        ];

        return values;
    };

    // Predefined button classes
    var predefinedButtonCss = function () {

        var values = {
            colors: [{
                    text: 'Default',
                    value: ''
                },
                {
                    text: 'Color 1',
                    value: 'c-button--color-1'
                },
                {
                    text: 'Color 2',
                    value: 'c-button--color-2'
                },
                {
                    text: 'Color 3',
                    value: 'c-button--color-3'
                },
                {
                    text: 'Color 4',
                    value: 'c-button--color-4'
                },
                {
                    text: 'Color 5',
                    value: 'c-button--color-5'
                },
                {
                    text: 'Color 6',
                    value: 'c-button--color-6'
                },
                {
                    text: 'Color 7',
                    value: 'c-button--color-7'
                },
                {
                    text: 'Color 8',
                    value: 'c-button--color-8'
                },
                {
                    text: 'Color 9',
                    value: 'c-button--color-9'
                },
                {
                    text: 'Color 10',
                    value: 'c-button--color-0'
                },
            ],
            sizes: [{
                    text: 'Normal',
                    value: ''
                },
                {
                    text: 'Small',
                    value: 'c-button--sm'
                },
                {
                    text: 'Large',
                    value: 'c-button--lg'
                }
            ]
        };
        return values;
    };

    // Predefined color classes
    var predefinedHighlightCss = function () {

        var values = {
            background: [{
                    text: 'Default',
                    value: ''
                },
                {
                    text: 'BG Color 1',
                    value: 'u-background-color-1'
                },
                {
                    text: 'BG Color 2',
                    value: 'u-background-color-2'
                },
                {
                    text: 'BG Color 3',
                    value: 'u-background-color-3'
                },
                {
                    text: 'BG Color 4',
                    value: 'u-background-color-4'
                },
                {
                    text: 'BG Color 5',
                    value: 'u-background-color-5'
                },
                {
                    text: 'BG Color 6',
                    value: 'u-background-color-6'
                },
                {
                    text: 'BG Color 7',
                    value: 'u-background-color-7'
                },
                {
                    text: 'BG Color 8',
                    value: 'u-background-color-8'
                },
                {
                    text: 'BG Color 9',
                    value: 'u-background-color-9'
                },
                {
                    text: 'BG Color 10',
                    value: 'u-background-color-0'
                },
                {
                    text: 'BG color body',
                    value: 'u-background-body'
                },
                {
                    text: 'BG color White',
                    value: 'u-background-white'
                },
                {
                    text: 'BG color Black',
                    value: 'u-background-black'
                },
            ],
            colors: [{
                    text: 'Default',
                    value: ''
                },
                {
                    text: 'Text Color 1',
                    value: 'u-text-color-1'
                },
                {
                    text: 'Text Color 2',
                    value: 'u-text-color-2'
                },
                {
                    text: 'Text Color 3',
                    value: 'u-text-color-3'
                },
                {
                    text: 'Text Color 4',
                    value: 'u-text-color-4'
                },
                {
                    text: 'Text Color 5',
                    value: 'u-text-color-5'
                },
                {
                    text: 'Text Color 6',
                    value: 'u-text-color-6'
                },
                {
                    text: 'Text Color 7',
                    value: 'u-text-color-7'
                },
                {
                    text: 'Text Color 8',
                    value: 'u-text-color-8'
                },
                {
                    text: 'Text Color 9',
                    value: 'u-text-color-9'
                },
                {
                    text: 'Text Color 10',
                    value: 'u-text-color-0'
                },
                {
                    text: 'Text color Body',
                    value: 'u-text-color-body'
                },
                {
                    text: 'Text color White',
                    value: 'u-text-color-white'
                },
                {
                    text: 'Text color Black',
                    value: 'u-text-color-black'
                },
            ],
            size: [{
                    text: 'Default',
                    value: ''
                },
                {
                    text: 'XS',
                    value: 'u-text-xs'
                },
                {
                    text: 'SM',
                    value: 'u-text-sm'
                },
                {
                    text: 'MD',
                    value: 'u-text-md'
                },
                {
                    text: 'LG',
                    value: 'u-text-lg'
                },
                {
                    text: 'XL',
                    value: 'u-text-xl'
                },
            ],
            weight: [{
                    text: 'Default',
                    value: ''
                },
                {
                    text: 'Normal',
                    value: 'u-text-normal'
                },
                {
                    text: 'Lighter',
                    value: 'u-text-lighter'
                },
                {
                    text: 'Light',
                    value: 'u-text-light'
                },
                {
                    text: 'Bold',
                    value: 'u-text-bold'
                },
                {
                    text: 'Bolder',
                    value: 'u-text-bolder'
                }
            ]
        };
        return values;
    };

    // Predefined list classes
    var predefinedListStyles = function () {

        var values = {
            listtypes: [{
                    text: 'Style None',
                    value: ''
                },
                {
                    text: 'Style One',
                    value: 'c-list--bullet-one'
                },
                {
                    text: 'Style two',
                    value: 'c-list--bullet-two'
                },
                {
                    text: 'Style three',
                    value: 'c-list--bullet-three'
                },
                {
                    text: 'Style four',
                    value: 'c-list--bullet-four'
                },
                {
                    text: 'Style five',
                    value: 'c-list--bullet-five'
                },
                {
                    text: 'Style six',
                    value: 'c-list--bullet-six'
                },
                {
                    text: 'Style seven',
                    value: 'c-list--bullet-seven'
                },
                {
                    text: 'Style eight',
                    value: 'c-list--bullet-eight'
                },
                {
                    text: 'Style nine',
                    value: 'c-list--bullet-nine'
                },
                {
                    text: 'Style ten',
                    value: 'c-list--bullet-ten'
                }
            ]
        };
        return values;
    };

    // Return classes based on options
    var getCssClass = function (options) {

        this.options = options || '';

        var result = '';

        if (this.options !== '') {
            var classes = '';

            options.forEach(function (entry) {
                if (entry)
                    classes += ' ' + entry;
            });

            var result = classes !== '' ? ' class="' + classes.trim() + '"' : '';

        }

        return result;

    }

    tinymce.PluginManager.add('ysp_shortcode_buttons', function (editor, url) {

        var buttonCss = predefinedButtonCss();
        var highlightCss = predefinedHighlightCss();

        editor.addButton('ysp_shortcode_buttons', {
            title: editor.getLang('ysp_button.btn_label'),
            type: 'menubutton',
            icon: 'icon ysp-own-icon',
            menu: [{
                    text: 'Layouts',
                    icon: 'icon dashicons-feedback',
                    menu: [{
                            text: 'Row',
                            icon: 'icon dashicons-editor-expand',
                            onclick: function () {
                                editor.windowManager.open({
                                    title: 'Insert row wrapper',
                                    body: [{
                                            type: 'textbox',
                                            name: 'rowWrapperClass',
                                            label: 'Optional CSS class'
                                        },
                                        {
                                            type: 'listbox',
                                            name: 'rowWrapperState',
                                            label: 'Add Wrapper',
                                            'values': [{
                                                    text: 'No',
                                                    value: 'c-no-container'
                                                },
                                                {
                                                    text: 'Yes',
                                                    value: 'c-container'
                                                },
                                            ]

                                        }
                                    ],
                                    onsubmit: function (e) {
                                        editor.insertContent('[ysp_row wrapper="' + e.data.rowWrapperState + '"' + (e.data.rowWrapperClass !== '' ? ' class="' + e.data.rowWrapperClass + '"' : '') + ']' + editor.selection.getContent() + '[/ysp_row]');
                                    }
                                });
                            }
                        },
                        {
                            text: 'Column',
                            icon: 'icon dashicons-editor-contract',
                            onclick: function () {

                                editor.windowManager.open({
                                    title: 'Insert row item',
                                    body: [{
                                            type: 'textbox',
                                            name: 'itemClassOpt',
                                            label: 'Optional CSS class'
                                        },
                                        {
                                            type: 'listbox',
                                            name: 'itemWidth1',
                                            label: 'Width: XS (min-width: 0px)',
                                            'values': new generateWidths('c-col-')
                                        },
                                        {
                                            type: 'listbox',
                                            name: 'itemWidth2',
                                            label: 'Width: SM (min-width: 576px)',
                                            'values': new generateWidths('c-col-sm-')
                                        },
                                        {
                                            type: 'listbox',
                                            name: 'itemWidth3',
                                            label: 'Width: MD (min-width: 768px)',
                                            'values': new generateWidths('c-col-md-')
                                        },
                                        {
                                            type: 'listbox',
                                            name: 'itemWidth4',
                                            label: 'Width: LG (min-width: 992px)',
                                            'values': new generateWidths('c-col-lg-')
                                        },
                                        {
                                            type: 'listbox',
                                            name: 'itemWidth5',
                                            label: 'Width: XL (min-width: 1200px)',
                                            'values': new generateWidths('c-col-xl-')
                                        }
                                    ],

                                    onsubmit: function (e) {
                                        // Collect all the class selections
                                        var options = [e.data.itemWidth1, e.data.itemWidth2, e.data.itemWidth3, e.data.itemWidth4, e.data.itemWidth5, e.data.itemClassOpt];

                                        // Return the shortcode to editor.
                                        // Check if there is a valid css declaration and trim first and last space using trim
                                        editor.insertContent('[ysp_col' + getCssClass(options) + ']' + editor.selection.getContent() + '[/ysp_col]');
                                    }

                                });
                            }
                        }
                    ]
                },
                {
                    text: 'Buttons',
                    icon: 'icon dashicons-admin-page',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'Insert button',
                            body: [{
                                    type: 'textbox',
                                    name: 'buttonInfotext',
                                    label: 'Infotext'
                                },
                                {
                                    type: 'textbox',
                                    name: 'buttonLink',
                                    label: 'Link'
                                },
                                {
                                    type: 'listbox',
                                    name: 'buttonClassImp',
                                    label: 'Color',
                                    'values': buttonCss.colors
                                },
                                {
                                    type: 'listbox',
                                    name: 'buttonClassSize',
                                    label: 'Size',
                                    'values': buttonCss.sizes
                                },
                                {
                                    type: 'textbox',
                                    name: 'buttonClass',
                                    label: 'Optional CSS class'
                                }
                            ],

                            onsubmit: function (e) {

                                if (e.data.buttonInfotext === '' || e.data.buttonLink === '') {
                                    var window_id = this._id;
                                    var inputs = jQuery('#' + window_id + '-body').find('.mce-formitem input');

                                    editor.windowManager.alert('Please, fill in all fields in a popup.');

                                    if (e.data.buttonInfotext === '') {
                                        jQuery(inputs.get(0)).css('border-color', 'red');
                                    }

                                    if (e.data.buttonLink === '') {
                                        jQuery(inputs.get(1)).css('border-color', 'red');
                                    }

                                    return false;
                                }

                                var options = [e.data.buttonClassImp, e.data.buttonClassSize, e.data.buttonClass];

                                editor.insertContent('[ysp_button ' + getCssClass(options) + ' link="' + e.data.buttonLink + '" label="' + e.data.buttonInfotext + '"]');
                            }
                        });
                    }
                },
                // {
                //     text: 'Icons',
                //     icon: 'icon dashicons-nametag',
                //     onclick: function () {
                //         editor.windowManager.open({
                //             title: 'Add icon',
                //             body: [{
                //                     type: 'textbox',
                //                     name: 'iconClass',
                //                     label: 'Fontawesome Icon CSS ex.fa fa-bluetooth ( http://fontawesome.io/icons/ )',
                //                 },
                //                 {
                //                     type: 'textbox',
                //                     name: 'iconLink',
                //                     label: 'Link'
                //                 },
                //                 {
                //                     type: 'listbox',
                //                     name: 'iconTarget',
                //                     label: 'link Target',
                //                     'values': [{
                //                             text: 'Default',
                //                             value: 'false'
                //                         },
                //                         {
                //                             text: 'New Window',
                //                             value: 'true'
                //                         },
                //                     ]

                //                 }
                //             ],
                //             onsubmit: function (e) {

                //                 var iLink = '';
                //                 var iTarget = '';

                //                 if (e.data.iconClass === '') {

                //                     var window_id = this._id;
                //                     var inputs = jQuery('#' + window_id + '-body').find('.mce-formitem input');

                //                     editor.windowManager.alert('Please, fill in all fields in a popup.');

                //                     if (e.data.iconClass === '') {
                //                         jQuery(inputs.get(0)).css('border-color', 'red');
                //                     }

                //                     return false;
                //                 }

                //                 if (e.data.iconLink !== '') {
                //                     iLink = ' link="' + e.data.iconLink + '"';
                //                 }

                //                 if (e.data.iconTarget !== 'false') {
                //                     iTarget = ' target="_blank"';
                //                 }

                //                 editor.insertContent('[ysp_ico class="' + e.data.iconClass + '"' + iLink + iTarget + ' html_tag="span"]');
                //             }
                //         });
                //     }
                // },
                // {
                //     text: 'Highlight',
                //     icon: 'icon dashicons-edit',
                //     onclick: function () {
                //         editor.windowManager.open({
                //             title: 'Highlight Content',
                //             body: [{
                //                     type: 'listbox',
                //                     name: 'contentBackground',
                //                     label: 'Background',
                //                     'values': highlightCss.background
                //                 },
                //                 {
                //                     type: 'listbox',
                //                     name: 'contentColors',
                //                     label: 'Color',
                //                     'values': highlightCss.colors
                //                 },
                //                 {
                //                     type: 'listbox',
                //                     name: 'contentSize',
                //                     label: 'Size',
                //                     'values': highlightCss.size
                //                 },
                //                 {
                //                     type: 'listbox',
                //                     name: 'contentWeight',
                //                     label: 'Weight',
                //                     'values': highlightCss.weight
                //                 },
                //                 {
                //                     type: 'textbox',
                //                     name: 'extraClass',
                //                     label: 'Optional CSS class'
                //                 }
                //             ],
                //             onsubmit: function (e) {

                //                 var options = [e.data.contentBackground, e.data.contentColors, e.data.contentSize, e.data.contentWeight, e.data.extraClass];

                //                 editor.insertContent('[ysp_hglt' + getCssClass(options) + ']' + editor.selection.getContent() + '[/ysp_hglt]');
                //             }
                //         });
                //     }
                // },
                {
                    text: 'Styled list',
                    icon: 'icon dashicons-editor-ul',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'Add style to lists',
                            body: [{
                                    type: 'listbox',
                                    name: 'listType',
                                    label: 'List Type',
                                    values: predefinedListStyles().listtypes,
                                },
                                {
                                    type: 'textbox',
                                    name: 'listClass',
                                    label: 'Custom list class',
                                }
                            ],
                            onsubmit: function (e) {

                                var options = [e.data.listType, e.data.listClass];

                                editor.insertContent('[ysp_list' + getCssClass(options) + ']' + editor.selection.getContent() + '[/ysp_list]');
                            }
                        });
                    }
                },
                // {
                //     text: 'Image Slider',
                //     icon: 'icon dashicons-images-alt2',
                //     onclick: function () {
                //         editor.windowManager.open({
                //             title: 'Add image slider',
                //             body: [{
                //                     type: 'textbox',
                //                     name: 'imageIdList',
                //                     label: 'Add image id\'s separated by comma ex. 1,2,3 (see image id in media library)',
                //                 },
                //                 {
                //                     type: 'textbox',
                //                     name: 'linkIdList',
                //                     label: 'Add link id\'s separated by comma ex. 56,78,99 (hover on edit link see the id in the bottom left after ?post= "number")',
                //                 },
                //                 {
                //                     type: 'textbox',
                //                     name: 'imageSize',
                //                     label: 'ex. thumbnail | medium | medium-large | large | ysp-prime-medium | yourstyle_plus_full (Default: yourstyle_plus_full)',
                //                 }
                //             ],

                //             onsubmit: function (e) {

                //                 var slideImageLinks = ''

                //                 if (e.data.imageIdList === '') {
                //                     var window_id = this._id;
                //                     var inputs = jQuery('#' + window_id + '-body').find('.mce-formitem input');

                //                     editor.windowManager.alert('Please, fill in all fields in a popup.');

                //                     if (e.data.imageIdList === '') {
                //                         jQuery(inputs.get(0)).css('border-color', 'red');
                //                     }

                //                     return false;
                //                 }

                //                 if (e.data.linkIdList !== '') {

                //                     slideImageLinks = ' links="' + e.data.linkIdList + '"';
                //                 }

                //                 if (e.data.imageSize !== '') {
                //                     imgSize = ' size="' + e.data.imageSize + '"';
                //                 }

                //                 editor.insertContent('[ysp_slider images="' + e.data.imageIdList + '"' + slideImageLinks + imgSize + ']');
                //             }
                //         });
                //     }
                // },
                {
                    text: 'Phone Number',
                    icon: 'icon dashicons-phone',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'Add phone number',
                            body: [{
                                    type: 'listbox',
                                    name: 'link',
                                    values: [{
                                            text: 'No',
                                            value: 'false'
                                        },
                                        {
                                            text: 'Yes',
                                            value: 'true'
                                        },
                                    ],
                                    label: 'Wrap number in "tel:" link.',
                                },
                                {
                                    type: 'listbox',
                                    name: 'secondary',
                                    values: [{
                                            text: 'No',
                                            value: 'false'
                                        },
                                        {
                                            text: 'Yes',
                                            value: 'true'
                                        },
                                    ],
                                    label: 'Secondary Number',
                                },
                                {
                                    type: 'textbox',
                                    name: 'class',
                                    label: 'Extra CSS class',
                                }
                            ],
                            onsubmit: function (e) {

                                var link = '';
                                var secondary = '';
                                var cssClass = '';


                                if (e.data.link === 'true') {
                                    link = ' link="true"';
                                }

                                if (e.data.secondary === 'true') {
                                    secondary = ' secondary="true"';
                                }

                                if (e.data.class !== '') {
                                    cssClass = ' class="' + e.data.class + '"';
                                }

                                editor.insertContent('[ysp_phone_nr' + link + secondary + cssClass + ']');
                            }
                        });
                    }
                },
                {
                    text: 'Email Address',
                    icon: 'icon dashicons-email-alt',
                    onclick: function () {
                        editor.windowManager.open({
                            title: 'Add phone number',
                            body: [{
                                    type: 'listbox',
                                    name: 'link',
                                    values: [{
                                            text: 'No',
                                            value: 'false'
                                        },
                                        {
                                            text: 'Yes',
                                            value: 'true'
                                        },
                                    ],
                                    label: 'Wrap email in "mailto:" link.',
                                },
                                {
                                    type: 'listbox',
                                    name: 'secondary',
                                    values: [{
                                            text: 'No',
                                            value: 'false'
                                        },
                                        {
                                            text: 'Yes',
                                            value: 'true'
                                        },
                                    ],
                                    label: 'Secondary Email',
                                },
                                {
                                    type: 'textbox',
                                    name: 'class',
                                    label: 'Extra CSS class',
                                }
                            ],
                            onsubmit: function (e) {

                                var link = '';
                                var secondary = '';
                                var cssClass = '';


                                if (e.data.link === 'true') {
                                    link = ' link="true"';
                                }

                                if (e.data.secondary === 'true') {
                                    secondary = ' secondary="true"';
                                }

                                if (e.data.class !== '') {
                                    cssClass = ' class="' + e.data.class + '"';
                                }

                                editor.insertContent('[ysp_email' + link + secondary + cssClass + ']');
                            }
                        });
                    }
                },
            ],

        });

    });
})();