<?php
/**
 * Theme Shortcodes Admin Buttons
 * Add shortcodes to mce editor
 *
 * @package yourstyle_plus
 */
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );

/**
 * WordPress TinyMCE Editor Tips | How to Add Custom Buttons, Styles, Dropdowns & Pop-ups
 *
 * @link https://www.gavick.com/blog/wordpress-tinymce-custom-buttons
 */

// Declaring a new TinyMCE button.
add_action( 'admin_head', 'ysp_add_button' );

function ysp_add_button() {
	global $typenow;
	// check user permissions
	if ( ! current_user_can( 'edit_posts' ) && ! current_user_can( 'edit_pages' ) ) {
		return;
	}
	// verify the post type
	//if ( ! in_array( $typenow, array( 'post', 'page' ) ) ) { return; }
	
	// check if WYSIWYG is enabled
	if ( get_user_option( 'rich_editing' ) == 'true' ) {
		add_filter( 'mce_external_plugins', 'ysp_add_tinymce_plugin' );
		add_filter( 'mce_buttons', 'ysp_register_tc_button' );
	}
}

/**
 *  Allow us to use any character class of dashicons-*.
 *  For those of you who are curious – we had to specify the mce-i-icon class,
 *  because the value of the icon is automatically appended to the mce-i- prefix
 */
function ysp_tc_css() {
	wp_enqueue_style( 'ysp-tc', YSP_THEME_URI. '/inc/admin/tinymce/css/tinymce-style.css' );
}
add_action( 'admin_enqueue_scripts', 'ysp_tc_css' );

/* Multilingual support in plugins for TinyMCE */
function ysp_add_button_lang( $locales ) {
	$locales['ysp_tc_button'] = YSP_THEME_DIR . '/inc/admin/tinymce/tinymce-translations.php';
	return $locales;
}
add_filter( 'mce_external_languages', 'ysp_add_button_lang' );

/* Specify the path to the script with our plugin for TinyMCE: */
function ysp_add_tinymce_plugin( $plugin_array ) {
	$plugin_array['ysp_shortcode_buttons'] = YSP_THEME_URI. '/inc/admin/tinymce/js/tinymce-buttons.js';
	return $plugin_array;
}

/* Add buttons in the editor – in this case we will add one button: */
function ysp_register_tc_button( $buttons ) {
	array_push( $buttons, 'ysp_shortcode_buttons' );
	return $buttons;
}