<?php

/**
 *    16 Anything slider.
 */
if (!function_exists('ysp_slider_shortcode')) {
    function ysp_slider_shortcode($atts, $content = null)
    {
        $options = shortcode_atts(
            array(
                'scrollbar' => false,
                'navigation' => false,
                'pagination' => false,
                'class' => '',
            ), $atts
        );

        $output = '';

        wp_enqueue_script('swiper_core');
        wp_enqueue_style('swiper_style_core');

        $class = ysp_getExtraClass($options['class']);

        $output .= '<div class="swiper'. $class .'"><div class="ysp-anything-swiper-container swiper-container"><div class="swiper-wrapper">';
            $output .= do_shortcode($content);
        $output .= '</div>';

        $output .= $options['pagination'] ? '<div class="swiper-pagination"></div>' : '<div class="swiper-pagination u-d-none"></div>';
        $output .= $options['navigation'] ? '<div class="ysp-anything-swiper-button-prev swiper-button-prev"></div><div class="ysp-anything-swiper-button-next swiper-button-next"></div>' : '<div class="ysp-anything-swiper-button-prev u-d-none"></div><div class="ysp-anything-swiper-button-next u-d-none"></div>';
        $output .= $options['scrollbar'] ? '<div class="swiper-scrollbar"></div>' : '<div class="swiper-scrollbar u-d-none"></div>';
        $output .= '</div></div>';

        return $output;
    }
}

/**
 *    17 Anything slider.
 */
if (!function_exists('ysp_slider_item_shortcode')) {
    function ysp_slider_item_shortcode($atts, $content = null)
    {
        $options = shortcode_atts(
            array(
                'class' => '',
                'content_class' => '',
                'slide_img' => '',
                'img_behave' => '',
                'img_pos' => '',
                'img_size' => 'full',
                'img_size_small' => 'yourstyle_plus_medium',
                'margin' => '',
                'padding' => '',
            ), $atts
        );

        $output = '';
        $style = '';

        $class = ysp_getExtraClass(
            array(
                $options['class'],
                $options['img_behave'],
                $options['img_pos'],
            )
        );

        $content_class = ysp_getExtraClass(
            array(
                $options['content_class'],
                $options['margin'],
                $options['padding'],
            )
        );

        if ($options['slide_img']) {
            $image = wp_get_attachment_image_src($options['slide_img'], $options['img_size'], false);
            $style = $image ? " style='background-image:url({$image[0]});background-size:cover;'" : '';
        }

        $output = '<div class="swiper-slide'. $class .'"'. $style .'><div class="swiper__content'. $content_class .'">'. do_shortcode($content) .'</div></div>';

        return $output;
    }
}