<?php
/**
 * Button Group
 * ex:  [ysp_button_group]...[/ysp_button_group]
 *
 * @param array $atts an associative array of attributes, or an empty string if no attributes are given
 *
 * @return string
 */
if (!function_exists('ysp_button_group_shortcode')) {
    function ysp_button_group_shortcode( $atts, $content = NULL ) {

        $options = shortcode_atts(
            array(
                'class'          => '',
                'align'          => '',
                'spacing'        => '',
                'spacing_bottom' => '',
            ),
            $atts,
            'ysp_button_group'
        );

        $output = '';

        $sc_class = 'c-button-group';

        $custom_css = ysp_getExtraClass(
            array(
                $sc_class,
                $options['spacing'],
                $options['spacing_bottom'],
                $options['class'],
            ),
            true
        );

        $inner_css = ysp_getExtraClass(
            array(
                $options['align'],
            ),
            false
        );

        // Button Group Output
        $output = '';

        $output .= '<div class="'. $custom_css .'"><div class="c-button-group__inner'. $inner_css .'">'. do_shortcode( $content ) .'</div></div>';

        return $output;

    }
}