<?php

/**
 * 22 Child Pages.
 *
 * @param array  $atts    an associative array of attributes, or an empty string if no attributes are given
 * @param string $content the enclosed content
 *
 * @return string
 */
if (!function_exists('ysp_child_pages_shortcode')) {
    function ysp_child_pages_shortcode($atts, $content = null)
    {
        $options = shortcode_atts(
            array(
                'parent_page'   =>  '',
                'depth'         =>  '',
                'class'         =>  '',
            ), $atts
        );

        // Pages
        $parent_id = $options['parent_page'];
        $depth = $options['depth'];

        if (empty($depth)) {
            $depth = 0;
        }        

        $parent_args = array(
            'posts_per_page'    =>  -1,
            'post_type'         =>  'page',
            'child_of'          =>  $parent_id,
            'sort_column'       =>  'post_title',
            'echo'              =>  false,
            'depth'             =>  $depth,
            'title_li'          =>  '',
        );

        $output = '';
        $output.= wp_list_pages($parent_args);

        // Class
        $class = ysp_getExtraClass(
            array(
                $options['class'],
            )
        );

        return '<div class="c-child-pages'. $class .'"><ul class="c-child-pages__inner">'. $output . '</ul></div>';
    }
}