<?php
/**
 * 13 Content Divider.
 */
if (!function_exists('ysp_content_divider_shortcode')) {
    function ysp_content_divider_shortcode($atts) {
        $options = shortcode_atts(
            array(
            'text_class'    => '',
            'padding'       => '',
            'margin'        => '',
            'text'          => '',
            'text_position' => '',
            'text_size'     => '',
            'style'         => '',
            'txt_color'     => '',
            'bg_color'      => '',
            'class'         => '',
            'anim_data'     => '',
            'html_tag'      => '',
            ), $atts
        );

        $class = ysp_getExtraClass(
            array(
                'c-divider',
                $options['style'],
                $options['class'],
                $options['padding'],
                $options['margin'],
            )
        );

        $html_tag = $options['html_tag'] ? $options['html_tag'] : 'h4';  

        $anim = $options['anim_data'] ? ' data-animate="'.$options['anim_data'].'"' : '';

        $hasTextClass = '';
        $text = '';

        if ($options['text']) {
            $txt_color = $options['txt_color'] ? ' '. $options['txt_color'] : '';
            $bg_color = $options['bg_color'] ? ' '. $options['bg_color'] : '';
            $textSize = $options['text_size'] ? ' '. $options['text_size'] : '';
            $textPos = $options['text_position'] ? ' u-text-'. $options['text_position'] : '';
            $textClass = $options['text_class'] ? ' '. $options['text_class'] : '';
            $text = '<'. $html_tag .' class="c-divider-text'. $textClass . $textSize . $txt_color . $bg_color .'">'. $options['text'] .'</'. $html_tag .'>';
            $hasTextClass = ' c-divider-has-text'. $textPos;
        }

        return "<div class=\"{$class}{$hasTextClass}\"{$anim}/>{$text}</div>";
    }
}