<?php
/**
 * 6 Heading.
 *
 * @param array  $atts    an associative array of attributes, or an empty string if no attributes are given
 * @param string $content the enclosed content
 *
 * @return string
 */
if (!function_exists('ysp_heading_shortcode')) {
    function ysp_heading_shortcode($atts, $content = null)
    {
        $options = shortcode_atts(
            array(
                'source' => '',
                'text' => false,
                'size' => '',
                'color' => '',
                'weight' => '',
                'html_tag' => '',
                'margin' => '',
                'padding' => '',           
                'class' => '',
                'text_align' => '',
                'id' => '',
                'anim_data' => '',
                'url' => '',
                'onclick' => '',
                'anim_data' => '',
            ), $atts
        );

        $output = '';

        $class_list = ysp_getExtraClass(
            array(
                $options['size'],
                $options['color'],
                $options['weight'],
                $options['margin'],
                $options['padding'],
                $options['class'],
                $options['text_align'],
            ),
            true
        );

        $classes = $class_list ? ' class="'. $class_list .'"' : '';
        $id = $options['id'] ? ' id="'. $options['id'] .'"' : '';

        $html_tag = $options['html_tag'] ? $options['html_tag'] : 'h3';   

        $has_link = false;

        $on_click = $options['onclick'] ? ' onclick="'. $options['onclick'] .'"' : '';

        if ($options['url']) {
            $link_list = ysp_generate_url_param_list($options['url']);
            if($link_list){
                $has_link = true;
                $link = $link_list;
            }
        } 
        
        $link_open = $has_link ? '<a '. $link . $on_click .'>' : '';
        $link_close = $has_link ? '</a>' : '';

        
        if ( $options['source'] === 'post_title' ) {
            $title = get_the_title( get_the_ID() );
        } else {
            $title = $options['text'] ? $options['text'] : get_the_title( get_the_ID() );
        }

        $output .= $title ? '<'. $html_tag . $classes . $id .'>'. $link_open . $title . $link_close .'</'. $html_tag .'>' : '';

        // Animate
        $anim = $options['anim_data'] ? ' data-animate="'. $options['anim_data'] .'"' : '';

        return '<div class="c-heading"'. $anim .'>'. $output .'</div>';
    }
}