<?php

if (!function_exists('ysp_hero_simple_shortcode')) {
    function ysp_hero_simple_shortcode( $atts ) {

        $options = shortcode_atts(
            array(
                'title'             => false,
                'subtitle'          => false,
                'link'              => false,
                'class'             => '',
                'img_id'            => false,
                'img_size'          => 'full',
                'img_behave'        => false,
                'img_pos'           => false,
            ),
            $atts,
            'ysp_hero_simple'
        );
        
        $output       = '';
        $bg_image_url = '';
        $bg_img       = '';

        // Title
        $title = $options['title'] ? '<div class="c-hero-simple__title">'. $options['title'] .'</div>' : '';

        // Subtitle
        $subtitle = $options['subtitle'] ? '<div class="c-hero-simple__subtitle"> '. $options['subtitle'] .'</div>' : '';

        // Link
        $link_start = $link_end = '';
        if ( $options['link'] ) {
            $link_list = ysp_generate_url_param_list( $options['link'] );
            if ( $link_list ){
                $link_start = '<a class="c-hero-simple__link"'. $link_list .'>';
                $link_end = '</a>';
            }
        }

        // Add custom class
        $custom_class = ysp_getExtraClass(
            array(
                'c-hero-simple',
                $options['class'] ? $options['class'] : '',
                $options['img_behave'] ? $options['img_behave'] : '',
                $options['img_pos'] ? $options['img_pos'] : '',
            ),
            true
        );

        // Generate bg image
        if ( $options['img_id'] && is_numeric( $options['img_id'] ) ) { // Make sure we have numeric value
            $bg_image_url = wp_get_attachment_image_url( $options['img_id'], $options['img_size'] );
            $bg_img = ' style="background-image:url('. $bg_image_url .');"';
        }

        // Output
        $output = sprintf(
            '<div class="%s"%s>%s<div class="c-hero-simple__inner">%s%s</div>%s</div>',
            $custom_class,
            $bg_img,
            $link_start,
            $title,
            $subtitle,
            $link_end,
        );

        return $output;
    }
}