<?php
/**
 * 11 Media Box
 * ex: [ysp_mediabox image_id="1038" image_class="aligncenter img--round img--border" image_size="thumbnail" ico_class="fa fa-envelope fa-4x" class="bg--color-one p- txt--color-invert" type="flag" type_class="flag--responsive" title="Contact our experts today!" title_class="txt--bold mb-"]...content...[/ysp_mediabox].
 *
 * @param array  $atts    an associative array of attributes, or an empty string if no attributes are given
 * @param string $content the enclosed content
 *
 * @return string
 */
if (!function_exists('ysp_media_box_shortcode')) {
    function ysp_media_box_shortcode($atts, $content = null)
    {
        $options = shortcode_atts(
            array(
                'image_id'          =>  '',
                'image_url'         =>  '',
                'image_link'        =>  '',
                'image_size'        =>  'full',
                'image_class'       =>  '',
                'icon_name'         =>  '',
                'icon_prefix'       =>  '',
                'icon_size'         =>  '',
                'icon_color'        =>  '',
                'icon_class'        =>  '',
                'type'              =>  '',
                'type_spacing'      =>  false,
                'type_reverse'      =>  '',
                'not_responsive'    =>  false,
                'content'           =>  '',
                'txt_color'         =>  '',
                'set_margin'        =>  '',
                'margin'            =>  '',
                'class'             =>  '',
                'type_class'        =>  '',
                'anim_data'         =>  '',
            ), $atts
        );

        $icon_args = array(
            'icon_name' => $options['icon_name'],
            'icon_prefix' => $options['icon_prefix'],
            'icon_size' => $options['icon_size'],
            'icon_color' => $options['icon_color'],
            'icon_class' => $options['icon_class'],
        );

        $icon = ysp_run_icon($icon_args);

        $output = '';

        $image_args = array();

        $content = do_shortcode($content);

        $class = '';

        // Mediabox class.
        $class = ysp_getExtraClass(
            array(
                $options['class'],
                $options['txt_color'],
                $options['margin'],
            )
        );

        // Symbol image/ico.
        if ($options['image_class'] !== '') {
            $image_args['class'] = $options['image_class'];
        }

        $anim = $options['anim_data'] ? ' data-animate="'.$options['anim_data'].'"' : '';

        $image_url = wp_get_attachment_image_src($options['image_id'], $options['image_size'], false);
        $image_url = $image_url[0];
        if (!empty($options['image_url'])) { $image_url = $options['image_url']; }
        $image = $options['image_id'] !== '' ? '<div class="c-mediabox__image '. implode( ' ', $image_args ) .'" style="background-image:url('. $image_url .');"></div>' : '';

        $symbol = $image ? $image : $icon;

        // Type.
        $type_class = ysp_getExtraClass(
            array(
                $options['type'],
                $options['type_class'],
                $options['not_responsive'] ? '' : $options['type'] . '--responsive',
                $options['type_reverse'] ? $options['type'] . '--reverse' : '',
                $options['type_spacing'] ? $options['type'] . $options['type_spacing'] : '',
            )
        );

        $type_spacing = $options['type_spacing'] ? ysp_getExtraClass(array('c-mediabox'. $options['type_spacing'])) : '';

        // Img link.
        $img_link_start = $options['image_link'] ? '<a href="'. $options['image_link'] .'">' : '';
        $img_link_end = $options['image_link'] ? '</a>' : '';

        $content = do_shortcode($content);

        if (class_exists('Vc_Manager')) {
            $content = wpb_js_remove_wpautop($content, true);
        }

        if ($options['type'] !== '') {
            $output = "<div class=\"c-mediabox{$class}\"{$anim}><div class=\"{$type_class}\"><div class=\"{$options['type']}__img\">{$img_link_start}{$symbol}{$img_link_end}</div><div class=\"{$options['type']}__body\">{$content}</div></div></div>";
        } else {
            $output = "<div class=\"c-mediabox{$class}{$type_spacing}\"{$anim}><div class=\"c-mediabox__symbol\">{$img_link_start}{$symbol}{$img_link_end}</div><div class=\"c-mediabox-content\">{$content}</div></div>";
        }

        return $output;
    }
}