<?php
/**
 * Shortcode.
 *
 * @param array  $atts    an associative array of attributes, or an empty string if no attributes are given
 * @param string $content the enclosed content
 *
 * @return string
 */
if (!function_exists('ysp_shortcode_shortcode')) {
    function ysp_shortcode_shortcode($atts, $content = null)
    {
        $options = shortcode_atts(
            array(
                'id'        =>  '',
                'class'     =>  '',
                'margin'    =>  '',
                'padding'   =>  '',
                'anim_data' =>  '',
            ), $atts
        );

        $id = $options['id'] ? ' id="'. $options['id'] .'"' : '';

        // Classes
        $class = ysp_getExtraClass(
            array(
                'c-shortcode',
                $options['class'],
                $options['margin'],
                $options['padding'],
            ),
            true
        );

        $anim = $options['anim_data'] ? ' data-animate="'. $options['anim_data'] .'"' : '';

        return '<div'. $id .' class="'. $class .'"'. $anim .'>'. do_shortcode( $content ) .'</div>';
    }
}