<?php

/**
 *    20 Social Links.
 */
if (!function_exists('ysp_social_links_shortcode')) {
    function ysp_social_links_shortcode($atts)
    {
        $options = shortcode_atts(
            array(
            'socials' => '',
            'list' => false,
            'link' => false,
            'label' => false,
            'target' => false,
            'social_class' => '',
            'list_class' => '',
            'link_class' => '',
            'icon_class' => '',
            'label_class' => '',
            ), $atts
        );

        $output = $listStart = $listEnd = $listItemStart = $listItemEnd = $linkStart = $linkEnd = $iconStart = $iconEnd = $labelStart = $labelEnd = $label = '';

        // Link Target
        $link_target = $options['target'] ? ' target="_blank"' : '';
        
        // Social Class
        $social_class  = ysp_getExtraClass( array( 'c-social__item', $options['social_class'] ), true );
        $social_class  = $social_class ? ' class="'. $social_class .'"' : '';
        
        // List Class
        $list_class  = ysp_getExtraClass( array( 'c-social-list', $options['list_class'] ), true );
        $list_class  = $list_class ? ' class="'. $list_class .'"' : '';
        
        // Link Class
        $link_class  = ysp_getExtraClass( array( 'c-social__item c-social__link', $options['link_class'] ), true );
        $link_class  = $link_class ? ' class="'. $link_class .'"' : '';

        // Icon Class
        $icon_class = ysp_getExtraClass( array( 'c-social__icon', $options['icon_class'] ), true );
        $icon_class = $icon_class ? ' class="'. $icon_class .'"' : '';

        // Label Class
        $label_class = ysp_getExtraClass( array( 'c-social__label', $options['label_class'] ), true );
        $label_class = $label_class ? ' class="'. $label_class .'"' : '';

        // Wrap
        $wrapStart = '<div class="c-social-wrapper">';
        $wrapEnd = '</div>';

        // List
        if ( $options['list'] ) {
            $listStart = '<ul'. $list_class .'">';
            $listEnd = '</ul>';
            $listItemStart = '<li class="c-social-list__item">';
            $listItemEnd = '</li>';
        }

        // Socials
        $socials = array();
        if ( ! empty( $options['socials'] ) ) {
            $socials = str_replace( ' ', '', $options['socials'] );
            $socials = explode( ',', $socials );
        } else {
            $socials = array( 'dailymotion', 'facebook', 'instagram', 'linkedin', 'pinterest', 'soundcloud', 'snapchat', 'spotify', 'twitch', 'twitter', 'vimeo', 'whatsapp', 'wordpress', 'youtube' );
        }

        foreach ( $socials as $social ) {
                
            $link = ysp_get_option('ysp-social-media-'. $social .'');
            $icon = ysp_get_option('ysp-social-media-'. $social .'-icon');
            $icon = ! empty( $icon ) ? do_shortcode( $icon ) : false;
            
            if ( ! empty( $icon ) ) {
                $iconStart = '<span'. $icon_class .'>';
                $iconEnd   = '</span>';
            }
            
            if ( $options['link'] && ! empty( $link ) ) {
                $linkStart = '<a href="'. $link .'"'. $link_class . $link_target .'>';
                $linkEnd   = '</a>';
            } else {
                $linkStart = '<span'. $social_class .'>';
                $linkEnd   = '</span>';
            }

            if ( $options['label'] ) {
                $labelStart = '<span'. $label_class .'>';
                $labelEnd   = '</span>';
                $label = $labelStart . $social . $labelEnd;
            }

            $output .= $listItemStart . $linkStart . $iconStart . $icon . $iconEnd . $label . $linkEnd . $listItemEnd;
        }

        $output = $wrapStart . $listStart . $output . $listEnd . $wrapEnd;

        return $output;
    }
}