<?php

/**
 * 10 Styled List
 * ex: [ysp_list class="c-list-style--one custom--class"]<ul><li>List item</li> .... </ul>[/ysp_list].
 *
 * @param array  $atts    an associative array of attributes, or an empty string if no attributes are given
 * @param string $content the enclosed content
 *
 * @return string
 */
if (!function_exists('ysp_styled_list_shortcode')) {
    function ysp_styled_list_shortcode( $atts, $content = null ) {
        $options = shortcode_atts(
            array(
                'content'       =>  '',
                'txt_color'     =>  '',
                'list_spacing'  =>  '',
                'list_deco'     => '',
                'icon_name'     => '',
                'icon_prefix'   => '',
                'icon_size'     => '',
                'icon_color'    => '',
                'icon_class'    => '',
                'list_class'    => '',
                'anim_data'     => '',
                'margin'        => '',
                'padding'       => '',
            ), $atts
        );

        // Spacing
        if ($options['list_spacing'] !== '') {
            $list_margin = 'c-list--margin-'. $options['list_spacing'];
        } else {
            $list_margin = '';
        }

        // Classes
        $list_styles = ysp_getExtraClass(
            array(
                'c-list',
                $options['txt_color'],
                $options['list_deco'],
                $options['list_class'],
                $options['margin'],
                $options['padding'],
                $list_margin,
            ), true
        );

        // Content
        $content = $content ? $content : '';
        if ( class_exists( 'Vc_Manager' ) ) {
            $sc_content = wpb_js_remove_wpautop($content, true);
        } else {
            $sc_content = $content;
        }

        // Add Icon
        if ($options['icon_name']) {
            $list_icon_class = ysp_getExtraClass(
                array(
                    'c-list__icon',
                    $options['icon_class'],
                )
            );
                
            // Icon Args
            $icon_args = array(
                'icon_name' => $options['icon_name'],
                'icon_prefix' => $options['icon_prefix'],
                'icon_size' => $options['icon_size'],
                'icon_color' => $options['icon_color'],
                'icon_class' => $list_icon_class,
            );

            $icon = ysp_run_icon( $icon_args );

            $sc_content = str_replace( '<li>', '<li>' . $icon, $sc_content );
        }

        // Animations
        $anim = $options['anim_data'] ? ' data-animate="'. $options['anim_data'] .'"' : '';

        // Output
        $output = '<div class="'. $list_styles .'"'. $anim .'>'. do_shortcode( $sc_content ) .'</div>';

        return $output;
    }
}