<?php

// ==============================================
// Trigger the script if it has not already been triggered on the page
// ==============================================

if (!function_exists('ysp_tabbytrigger')) {
    function ysp_tabbytrigger()
    {
        static $tabbytriggered = false; // static so only sets the value the first time it is run

        if ($tabbytriggered == false) {
            echo "\n".'<script>jQuery(document).ready(function($) { RESPONSIVEUI.responsiveTabs(); })</script>'."\n";

            $tabbytriggered = true;
        }
    }
}

/**
 *    18 Tab (Tabby).
 */
if (!function_exists('ysp_tab_shortcode')) {
    function ysp_tab_shortcode($atts, $content = null)
    {
        $output = '';

        /* Tabby Script */
        wp_enqueue_script('ysp_tabby'); // Registered in functions
        add_action('wp_footer', 'ysp_tabbytrigger', 20);

        $output .= '<div class="c-responsive-tabs">'.do_shortcode($content).'</div>';

        return $output;
    }
}

/**
 *    19 Tab Item (Tabby inner).
 */
if (!function_exists('ysp_tab_item_shortcode')) {
    function ysp_tab_item_shortcode($atts, $content = null)
    {
        $options = shortcode_atts(
            array(
                'title' => '',
                'open' => '',
                'icon_name' => '',
                'icon_prefix' => '',
                'icon_size' => '',
                'icon_color' => '',
                'icon_class' => '',
            ), $atts
        );

        $icon_args = array(
            'icon_name' => $options['icon_name'],
            'icon_prefix' => $options['icon_prefix'],
            'icon_size' => $options['icon_size'],
            'icon_color' => $options['icon_color'],
            'icon_class' => $options['icon_class'],
        );

        $icon = ysp_run_icon($icon_args);

        $tabtarget = sanitize_title_with_dashes(remove_accents(wp_kses_decode_entities($options['title'])));

        // initialise urltarget
        $urltarget = '';

        // grab the value of the 'target' url parameter if there is one
        if (isset($_REQUEST['target'])) {
            $urltarget = sanitize_title_with_dashes($_REQUEST['target']);
        }

        // Set Tab Panel Class - add active class if the open attribute is set or the target url parameter matches the dashed version of the tab title
        $tabcontentclass = 'tabcontent';

        $class = '';
        if (isset($class)) {
            $tabcontentclass .= ' '. $class .'-content';
        }

        if (($options['open']) || (isset($urltarget) && ($urltarget == $tabtarget))) {
            $tabcontentclass .= ' c-responsive-tabs__panel--active';
        }

        $output = '';

        $title = $options['title'] ? $options['title'] : __("Please Add Title", YSP_TEXT_DOMAIN);

        $output .= '<h2 class="tabtitle">'. $icon . $title .'</h2>'."\n".'<div class="'. $tabcontentclass .'">'."\n";
            $output .= do_shortcode($content);
        $output .= '</div>';

        return $output;
    }
}