<?php
/**
 *  YSP SHORTCODES.
 *
 * Row Wrapper Markup - [ysp_row class="c-col..." wrapper="false" wrapper_class="custom-class"]
 * Row Item Markup - [ysp_col class="c-col..."] ...content... [/ysp_col]
 * Full Width Slider - [ysp_slider images="1,2,3...(image id's)" links="56,78,99...(page/post id's)" size="yourstyle_plus_full"]
 * Custom Buttons - [ysp_button class="c-button--small,c-button--large,c-button--primary,c-button--secondary,c-button--tertiary" link="http://www...." label="button label"]
 * Button Group - [ysp_button_group]...[/ysp_button_group]
 * Image [ysp_image]
 * Heading
 * Icons - [ysp_icon]far fa-home[/ysp_icon]
 * Company Address - [ysp_address]
 * Main Phone number - [ysp_phone_nr class="" link="true"]
 * Main Email address - [ysp_email class="" link="true"]
 * List styles [ysp_list class="c-list--style-one custom--class"]<ul><li>List item</li> .... </ul>[/ysp_list]
 * Media Box [ysp_mediabox]...content...[/ysp_mediabox]
 * Highlight [ysp_hglt class="" html_tag=""]...content...[/ysp_hglt]
 * Divider [ysp_divider]
 * Accordion [ysp_accordion]
 * Accordion item [ysp_accordion_item]
 * Anything slider [ysp_all_slider]
 * Anything slider slide [ysp_all_slider_item]
 * Tabby [ysp_tab_shortcode]
 * Tabby Item [ysp_tab_item_shortcode]
 * Social Links [ysp_social_links]
 * Hero Block [ysp_hero_block]
 * Child Pages [ysp_child_pages]
 */

/* Row Wrapper Markup */
// add_shortcode('ysp_row', 'ysp_row_shortcode');
// include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-row.php';

/* Row Item Markup */
// add_shortcode('ysp_col', 'ysp_col_shortcode');
// include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-col.php';

/* Full Width Slider */
add_shortcode('ysp_slider', 'ysp_fw_slider_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-fw-slider.php';

/* Button Group */
add_shortcode('ysp_button_group', 'ysp_button_group_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-button-group.php';

/* Custom Buttons */
add_shortcode('ysp_button', 'ysp_buttons_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-button.php';

/* Heading */
add_shortcode('ysp_heading', 'ysp_heading_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-heading.php';

/* Image */
add_shortcode('ysp_image', 'ysp_image_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-image.php';

/* Shortcode for icons - DEPRECATED */
add_shortcode('ysp_icon', 'ysp_icon_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-icon.php';

/* Get theme option address */
add_shortcode('ysp_address', 'ysp_address_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-address.php';

/* Get theme option phone nr */
add_shortcode('ysp_phone_nr', 'ysp_phone_nr_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-phone-nr.php';

/* Get theme option email */
add_shortcode('ysp_email', 'ysp_email_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-email.php';

/* Creates a custom bulleted list */
add_shortcode('ysp_list', 'ysp_styled_list_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-styled-list.php';

/* Generate a complex Media Box */
add_shortcode('ysp_mediabox', 'ysp_media_box_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-media-box.php';

/* Content highlight Markup */
add_shortcode('ysp_hglt', 'ysp_content_highlight_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-content-highlight.php';

/* Content divider */
add_shortcode('ysp_divider', 'ysp_content_divider_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-content-divider.php';

/* Accordion */
/* Accordion item */
require_once YSP_ENGINE_DIR.'/components/shortcodes/shortcode-classes/ysp-accordion-shortcode-class.php';

/* Anything slider */
/* Anything slider slide */
add_shortcode('ysp_all_slider', 'ysp_slider_shortcode');
add_shortcode('ysp_all_slider_item', 'ysp_slider_item_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-anything-slider.php';

/* Swiper slider */
/* Swiper slider slide */
add_shortcode('ysp_swiper_slider', 'ysp_swiper_slider_shortcode');
add_shortcode('ysp_swiper_slider_slide', 'ysp_swiper_slider_slide_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-swiper-slider.php';

/* Tabby */
/* Tabby Item */
add_shortcode('ysp_tab', 'ysp_tab_shortcode');
add_shortcode('ysp_tab_item', 'ysp_tab_item_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-tabs.php';

/* Social Links */
add_shortcode('ysp_social_links', 'ysp_social_links_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-social-links.php';

/* Hero Block */
add_shortcode('ysp_hero_block', 'ysp_hero_block_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-hero-block.php';

/* Hero Simple */
add_shortcode('ysp_hero_simple', 'ysp_hero_simple_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-hero-simple.php';

/* Child Pages */
add_shortcode('ysp_child_pages', 'ysp_child_pages_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-child-pages.php';

/* Shortcode */
add_shortcode('ysp_shortcode', 'ysp_shortcode_shortcode');
include_once YSP_ENGINE_DIR.'/components/shortcodes/items/ysp-shortcode.php';