<?php
/**
* VC custom parameter display in the component options editor
*
*/
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
?>
<div class="ysp_vc_column-offset" data-column-offset="true">
	<?php if ( '1' === vc_settings()->get( 'not_responsive_css' ) ) :  ?>
		<div class="wpb_alert wpb_content_element vc_alert_rounded wpb_alert-warning">
			<div class="messagebox_text">
				<p><?php printf( __( 'Responsive design settings are currently disabled. You can enable them in Visual Composer <a href="%s">settings page</a> by unchecking "Disable responsive content elements".', YSP_TEXT_DOMAIN ), admin_url( 'admin.php?page=vc-general' ) ) ?></p>
			</div>
		</div>
	<?php endif ?>
	<input name="<?php echo esc_attr( $settings['param_name'] ) ?>" class="wpb_vc_param_value <?php echo esc_attr( $settings['param_name'] ) ?>
	<?php echo esc_attr( $settings['type'] ) ?> '_field" type="hidden" value="<?php echo esc_attr( $value ) ?>"/>
	<table class="vc_table ysp_vc_column-offset-table">
		<tr>
			<th><?php _e( 'Device', YSP_TEXT_DOMAIN ) ?></th>
			<th><?php _e( 'Width', YSP_TEXT_DOMAIN ) ?></th>
			<th><?php _e( 'Hide on device?', YSP_TEXT_DOMAIN ) ?></th>
		</tr>
		<?php foreach ( $sizes as $key => $size ) :  ?>
			<tr class="vc_size-<?php echo $key ?>">
				<td class="ysp_vc_screen-size ysp_vc_screen_size_<?php echo $key; ?>">
                    <span class="ysp_vc_icon" title="<?php echo $size ?>"></span>
                    <?php echo '<div class="u-text-center"><small>'. $size .'</small></div>' ?>
				</td>
				<td>
                    <div class="u-text-center">
                        <?php echo $param->sizeControl( $key ); ?>
                    </div>
				</td>
				<td>
                    <div class="u-text-center">
                        <label>
                            <input type="checkbox" name="<?php echo str_replace('_','u-', $key); ?>hide" value="yes"<?php echo in_array( str_replace('_','u-', $key) . 'hide', $data ) ? ' checked="true"' : '' ?> class="ysp_vc_column_offset_field">
                        </label>
                    </div>
				</td>
			</tr>
		<?php endforeach ?>
	</table>
</div>
<script type="text/javascript">
	window.YspVcI8nColumnOffsetParam = <?php echo json_encode(array(
        'inherit' => __('Inherit:', YSP_TEXT_DOMAIN),
        'inherit_default' => __('Inherit from default', YSP_TEXT_DOMAIN),
    )) ?>;
</script>
