<?php

if (!function_exists('ysp_vc_button_group_shortcode')) {
    function ysp_vc_button_group_shortcode() {

        // Add custom parameters
        $params = array();

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => 'Button Alignment',
            'admin_label' => true,
            'param_name'  => 'align',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )       => '',
                __( 'Align Center', YSP_TEXT_DOMAIN )  => 'u-justify-content-center',
                __( 'Align Right', YSP_TEXT_DOMAIN )   => 'u-justify-content-end',
                'Align Between' => 'u-justify-content-between',
                'Align Evenly'  => 'u-justify-content-evenly',
                'Align Around'  => 'u-justify-content-around',
            ),
            'description' => __( 'Set how the buttons are distributed', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => 'Button Spacing',
            'admin_label' => true,
            'param_name'  => 'spacing',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )       => '',
                __( 'None', YSP_TEXT_DOMAIN )          => 'u-spacing-none',
                __( 'Spacing (XS)', YSP_TEXT_DOMAIN )  => 'u-spacing-xs',
                __( 'Spacing (SM)', YSP_TEXT_DOMAIN )  => 'u-spacing-sm',
                __( 'Spacing (MD)', YSP_TEXT_DOMAIN )  => 'u-spacing-md',
                __( 'Spacing (LG)', YSP_TEXT_DOMAIN )  => 'u-spacing-lg',
                __( 'Spacing (XL)', YSP_TEXT_DOMAIN )  => 'u-spacing-xl',
                __( 'Spacing (XXL)', YSP_TEXT_DOMAIN ) => 'u-spacing-xxl',
            ),
            'std' => '',
            'description' => __( 'Set how the buttons are distributed', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => 'Button Spacing bottom',
            'admin_label' => true,
            'param_name'  => 'spacing_bottom',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )       => '',
                __( 'None', YSP_TEXT_DOMAIN )          => 'u-spacing-bottom-none',
                __( 'Spacing (XS)', YSP_TEXT_DOMAIN )  => 'u-spacing-bottom-xs',
                __( 'Spacing (SM)', YSP_TEXT_DOMAIN )  => 'u-spacing-bottom-sm',
                __( 'Spacing (MD)', YSP_TEXT_DOMAIN )  => 'u-spacing-bottom-md',
                __( 'Spacing (LG)', YSP_TEXT_DOMAIN )  => 'u-spacing-bottom-lg',
                __( 'Spacing (XL)', YSP_TEXT_DOMAIN )  => 'u-spacing-bottom-xl',
                __( 'Spacing (XXL)', YSP_TEXT_DOMAIN ) => 'u-spacing-bottom-xxl',
            ),
            'std' => '',
            'description' => __( 'Set the buttons bottom spacing', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'holder'      => 'div',
            'class'       => '',
            'heading'     => __( 'Custom CSS class', YSP_TEXT_DOMAIN ),
            'param_name'  => 'class',
            'admin_label' => true,
            'value'       => '',
            'group'       => __( 'Advanced setup', YSP_TEXT_DOMAIN ),
            'description' => '',
        );

        // Register "container" content element. It will hold all your inner (child) content elements
        vc_map(
            array(
                'name'              =>    __( 'Button group', YSP_TEXT_DOMAIN ),
                'base'              =>    'ysp_button_group',
                'category'          =>    __( 'Yourstyle', YSP_TEXT_DOMAIN ),
                'class'             =>    '',
                'as_parent'         =>    array( 'only' => 'ysp_button' ), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
                'content_element'   =>    true,
                // 'show_settings_on_create'    =>  false,
                'is_container'      =>    true,
                'params'            =>    $params,
                'icon'              =>    YSP_VC_COMPONENT_SYMBOL,
                'js_view'           =>    'VcColumnView',
            )
        );
    }
}

// Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	class WPBakeryShortCode_ysp_button_group extends WPBakeryShortCodesContainer {}
}