<?php

if (!function_exists('ysp_vc_button_shortcode')) {
    function ysp_vc_button_shortcode() {

        // Add custom parameters
        $params = array();

        $params[] = array(
            'type' => 'vc_link',
            'heading' => __('URL', YSP_TEXT_DOMAIN),
            'param_name' => 'btn_url',
            'value' => '',
            'description' => __('Set link', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Button label', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'btn_label',
            'value' => '',
            'description' => __('button text ex: Click me', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Button Color', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'btn_color',
            'value' => ysp_btn_color(),
            'description' => __('Set button color', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'checkbox',
            'heading' => __('Button Outline', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'btn_outline',
            'value' => array(
                __('Yes', YSP_TEXT_DOMAIN) => 'yes'
            ),
            'description' => __('Make this a outline button', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Button Round', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'btn_round',
            'value' => ysp_btn_round(),
            'description' => __('Set button round type', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Button Aspect', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'btn_aspect',
            'value' => ysp_btn_aspect(),
            'description' => __('Set button aspect', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Button Size', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'btn_size',
            'value' => ysp_btn_size(),
            'description' => __('Set button size', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Button align', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'btn_align',
            'value' => ysp_btn_pos(),
            'description' => __('The Button will move to a new line', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom CSS class', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'btn_class',
            'value' => '',
            'description' => __('<small>Add custom classes defined in the theme stylesheet. Combine classes to get different looking buttons. ex. btn--custom-css</small>', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom onclick action', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'onclick',
            'value' => '',
            'description' => __('<small>Add custom onclick functionality</small><br/><small>ex. event.preventDefault(); console.log(event.target);</small>', YSP_TEXT_DOMAIN),
        );

        // Plugin Check Start
        if ( class_exists('FortAwesome\FontAwesome_Loader') ) {
            $params[] = array(
                'type' => 'textfield',
                'heading' => __('Icon name', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_name',
                'admin_label' => true,
                'value' => '',
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Set the icon name ex. coffee', YSP_TEXT_DOMAIN),
            );

            $params[] = array(
                'type' => 'dropdown',
                'heading' => __('Icon prefix', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_prefix',
                'admin_label' => true,
                'value' => array(
                    __('Solid', YSP_TEXT_DOMAIN)    =>  'fas',
                    __('Regular', YSP_TEXT_DOMAIN)  =>  'far',
                    __('Light', YSP_TEXT_DOMAIN)    =>  'fal',
                    __('Duotone', YSP_TEXT_DOMAIN)  =>  'fad',
                    __('Brands', YSP_TEXT_DOMAIN)   =>  'fab',
                ),
                'std' => 'far',
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Set the font family type', YSP_TEXT_DOMAIN),
            );
            
            $params[] = array(
                'type' => 'dropdown',
                'heading' => __('Icon size', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_size',
                'admin_label' => true,
                'value' => ysp_icon_size(),
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Set the icon size', YSP_TEXT_DOMAIN),
            );
            
            $params[] = array(
                'type' => 'dropdown',
                'heading' => __('Icon color', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_color',
                'admin_label' => true,
                'value' => ysp_icon_colors(),
                'std' => '',
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Set the icon color', YSP_TEXT_DOMAIN),
            );
            
            $params[] = array(
                'type' => 'textfield',
                'heading' => __('Extra Class', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_class',
                'admin_label' => true,
                'value' => '',
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Add custom CSS class.', YSP_TEXT_DOMAIN),
            );

            $params[] = array(
                'type' => 'dropdown',
                'heading' => __('Icon position', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_position',
                'admin_label' => true,
                'value' => array(
                    __('After', YSP_TEXT_DOMAIN) => '',
                    __('Before', YSP_TEXT_DOMAIN) => 'start',
                    __('As label', YSP_TEXT_DOMAIN) => 'as_label',
                ),
                'std' => '',
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Set the position of the icon.', YSP_TEXT_DOMAIN),
            );
        }
        // Plugin Check End
        
        // Add margins and paddings
        $params = array_merge( $params, ysp_vc_spacing_params() );

        // Animation
        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Animation', YSP_TEXT_DOMAIN),
            'param_name' => 'anim_data',
            'admin_label' => true,
            'value' => ysp_animations(),
            'group' => esc_html__( 'Animation', YSP_TEXT_DOMAIN ),
            'description' => __( 'Select an animation from the list. See https://animate.style', YSP_TEXT_DOMAIN )
        );

        // Title
        vc_map(
            array(
                'name' => __('Button', YSP_TEXT_DOMAIN),
                'base' => 'ysp_button',
                'category' => __('Content', YSP_TEXT_DOMAIN),
                'icon' => 'icon-wpb-ui-button',
                'params' => $params,
            )
        );
    }
}