<?php

if (!function_exists('ysp_vc_child_pages_shortcode')) {
    function ysp_vc_child_pages_shortcode() {

        // Add custom parameters
        $params = [];

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Parent Page', YSP_TEXT_DOMAIN),
            'param_name' => 'parent_page',
            'value' => ysp_parent_pages(),
            'description' => __('Choose the parent page.', YSP_TEXT_DOMAIN)
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Depth', YSP_TEXT_DOMAIN),
            'param_name' => 'depth',
            'description' => __('Number of levels in the hierarchy of pages to include in the generated list. Accepts -1 (any depth), 0 (all pages), 1 (top-level pages only), and x (pages to the given x depth). Default 0.', YSP_TEXT_DOMAIN)
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Extra Class', YSP_TEXT_DOMAIN),
            'param_name' => 'class',
            'admin_label' => true,
            'value' => '',
            'group' => esc_html__('Advanced', YSP_TEXT_DOMAIN),
            'description' => __('Add custom CSS class to element.', YSP_TEXT_DOMAIN),
        );

        // Add margins and paddings
        $params = array_merge( $params, ysp_vc_spacing_params() );

        vc_map(
            array(
                'name'          =>  __('Child Pages', YSP_TEXT_DOMAIN),
                'description'   =>  __('Display a list of child pages based on the parent page.', YSP_TEXT_DOMAIN),
                'base'          =>  'ysp_child_pages',
                'category'      =>  __('Yourstyle', YSP_TEXT_DOMAIN),
                'icon'          =>  YSP_VC_COMPONENT_SYMBOL,
                'params'        =>  $params
            )
        );   

    }
}