<?php
/*
* YSP Custom text component options setup
*/

if (!function_exists('ysp_vc_column_text_shortcode')) {
    function ysp_vc_column_text_shortcode(){

        // Remove Default Parameters
        vc_remove_param( 'vc_column_text', 'css_animation' );
        vc_remove_param( 'vc_column_text', 'css' );

        $attributes = array(
            array(
                'type' => 'dropdown',
                'heading' => __( 'Background Color', YSP_TEXT_DOMAIN ),
                'param_name' => 'bg_fx',
                'admin_label' => true,
                'value' => ysp_bg_color(),
                'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
                'description' => __('Background Color', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Text Color', YSP_TEXT_DOMAIN ),
                'param_name' => 'txt_color',
                'admin_label' => true,
                'value' =>  ysp_txt_color(),
                'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
                'description' => __('Text Color', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Text align', YSP_TEXT_DOMAIN ),
                'param_name' => 'txt_align',
                'admin_label' => true,
                'value' =>  ysp_txt_align(),
                'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
                'description' => __('Align all the content in this block', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'checkbox',
                'heading' => __( 'Full Height', YSP_TEXT_DOMAIN ),
                'param_name' => 'full_height',
                'admin_label' => true,
                'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
                'description' => ''
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Flexbox Horizontal align', YSP_TEXT_DOMAIN ),
                'admin_label' => true,
                'param_name' => 'col_h_align',
                'value' => ysp_row_horizontal_align(),
                'group' => esc_html__( 'Flexbox', YSP_TEXT_DOMAIN ),
                'description' => __('Set Flexbox horizontal alignment of the text block', YSP_TEXT_DOMAIN),
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Flexbox Vertical align', YSP_TEXT_DOMAIN ),
                'admin_label' => true,
                'param_name' => 'col_v_align',
                'value' => ysp_row_vertical_align(),
                'group' => esc_html__( 'Flexbox', YSP_TEXT_DOMAIN ),
                'description' => __('Set Flexbox vertical alignment of the text block', YSP_TEXT_DOMAIN),
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Flexbox Direction', YSP_TEXT_DOMAIN ),
                'admin_label' => true,
                'param_name' => 'col_direction',
                'value' => array(
                    __( 'Default', YSP_TEXT_DOMAIN )    => '',
                    'Row' => 'u-flex-row',
                    'Column' => 'u-flex-column',
                    'Row Reverse' => 'u-flex-row-reverse',
                    'Column Reverse' => 'u-flex-column-reverse',
                ),
                'group' => esc_html__( 'Flexbox', YSP_TEXT_DOMAIN ),
                'description' => __('Set Flexbox direction of the text block', YSP_TEXT_DOMAIN),
            ),
            // Only for VC UI functionality
            array(
                'type' => 'checkbox',
                'heading' => __( 'Set Margin', YSP_TEXT_DOMAIN ),
                'param_name' => 'set_margin',
                'admin_label' => false,
                'group' => 'Margins/Paddings',
            ),
            /////////////////////////////////
            array(
                'type' => 'ysp_margin',
                'heading' => __( 'Margin Settings', YSP_TEXT_DOMAIN ),
                'param_name' => 'margin',
                'admin_label' => true,
                'dependency' => array('element' => 'set_margin', 'value' => 'true'),
                'group' => 'Margins/Paddings',
            ),
            // Only for VC UI functionality
            array(
                'type' => 'checkbox',
                'heading' => __( 'Set Padding', YSP_TEXT_DOMAIN ),
                'param_name' => 'set_padding',
                'admin_label' => false,
                'group' => 'Margins/Paddings',
            ),
            /////////////////////////////
            array(
                'type' => 'ysp_padding',
                'heading' => __( 'Padding Settings', YSP_TEXT_DOMAIN ),
                'param_name' => 'padding',
                'admin_label' => true,
                'dependency' => array('element' => 'set_padding', 'value' => 'true'),
                'group' => 'Margins/Paddings',
            ),
            array(
                'type' => 'dropdown',
                'heading' => __('Animation', YSP_TEXT_DOMAIN),
                'param_name' => 'anim_data',
                'admin_label' => true,
                'value' => ysp_animations(),
                'group' => esc_html__( 'Animation', YSP_TEXT_DOMAIN ),
                'description' => __( 'Select an animation from the list. See https://animate.style', YSP_TEXT_DOMAIN )
            ),
        );

        vc_add_params( 'vc_column_text', $attributes );
        
        // Change default VC Column Text UI template
        vc_map_update( 'vc_column_text', array( 'html_template' => locate_template( 'vc_templates/vc_column_text.php' ) ) );
    }
}