<?php
/*
* YSP Custom column component options setup
*/


if (!function_exists('ysp_vc_column_shortcodes')) {
    function ysp_vc_column_shortcodes(){

        vc_remove_param( 'vc_column', 'css' );
        vc_remove_param( 'vc_column', 'offset' );
        vc_remove_param( 'vc_column', 'el_class' );
        vc_remove_param( 'vc_column', 'full_height' );
        vc_remove_param( 'vc_column', 'equal_height' );
        vc_remove_param( 'vc_column', 'columns_placement' );
        vc_remove_param( 'vc_column', 'content_placement' );
        vc_remove_param( 'vc_column', 'video_bg' );
        vc_remove_param( 'vc_column', 'parallax' );
        //vc_remove_param( 'vc_column', 'el_id' );    
        vc_remove_param( 'vc_column', 'video_bg_url' );
        vc_remove_param( 'vc_column', 'video_bg_parallax' );
        vc_remove_param( 'vc_column', 'parallax_image' );
        vc_remove_param( 'vc_column', 'parallax_speed_bg' );
        vc_remove_param( 'vc_column', 'parallax_speed_video' );
        vc_remove_param( 'vc_column', 'css_animation' );

        $attributes = array(
            array(
                'type' => 'ysp_column_offset',
                'heading' => __( 'Responsiveness', YSP_TEXT_DOMAIN ),
                'param_name' => 'row_width',
                'group' => esc_html__( 'Responsive Options', YSP_TEXT_DOMAIN ),
                'description' => __( 'Adjust column for different screen sizes. Control width, offset and visibility settings.', YSP_TEXT_DOMAIN ),
            ),
            array(
                'type' => 'textfield',
                'heading' => __( 'Column item CSS class', YSP_TEXT_DOMAIN ),
                'param_name' => 'class',
                'admin_label' => true,
                'value' => '',
                'group' => esc_html__( 'Column item', YSP_TEXT_DOMAIN ),
                'description' => __('Add optional CSS classes to the col element', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'textfield',
                'heading' => __( 'Column item inner element CSS class', YSP_TEXT_DOMAIN ),
                'param_name' => 'inner_class',
                'admin_label' => true,
                'value' => '',
                'group' => esc_html__( 'Inner element', YSP_TEXT_DOMAIN ),
                'description' => __('Add optional CSS classes to the col_inner element', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Vertical align elements', YSP_TEXT_DOMAIN ),
                'param_name' => 'align_content_inner',
                'admin_label' => true,
                'value' =>  ysp_col_inner_element_vertical_align(),
                'group' => esc_html__( 'Inner element', YSP_TEXT_DOMAIN ),
                'description' => __('Vertical align all the elements in the column', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Text Color', YSP_TEXT_DOMAIN ),
                'param_name' => 'inner_txt_clr',
                'admin_label' => true,
                'value' => ysp_txt_color(),
                'std' => '',
                'group' => esc_html__( 'Inner element', YSP_TEXT_DOMAIN ),
                'description' => __('Text Color', YSP_TEXT_DOMAIN),
            ),
            array(
                'type' => 'vc_link',
                'heading' => __( 'Inner Link', YSP_TEXT_DOMAIN ),
                'param_name' => 'inner_link',
                'admin_label' => true,
                'value' => '',
                'group' => esc_html__( 'Inner element', YSP_TEXT_DOMAIN ),
                'description' => __('Don\'t add links inside other links!', YSP_TEXT_DOMAIN),
            ),
            // Only for VC UI functionality
            array(
                'type' => 'checkbox',
                'heading' => __( 'Set margin', YSP_TEXT_DOMAIN ),
                'param_name' => 'set_margin',
                'admin_label' => false,
                'group' => esc_html__( 'Column item', YSP_TEXT_DOMAIN ),
            ),
            /////////////////////////////////
            array(
                'type' => 'ysp_margin',
                'heading' => __( 'Margin Settings', YSP_TEXT_DOMAIN ),
                'param_name' => 'margin',
                'admin_label' => true,
                'dependency' => array(
                    'element' => 'set_margin',
                    'value' => 'true'
                ),
                'group' => esc_html__( 'Column item', YSP_TEXT_DOMAIN ),
            ),
            // Only for VC UI functionality
            array(
                'type' => 'checkbox',
                'heading' => __( 'Set Padding', YSP_TEXT_DOMAIN ),
                'param_name' => 'set_padding',
                'admin_label' => false,
                'group' => esc_html__( 'Column item', YSP_TEXT_DOMAIN ),
            ),
            /////////////////////////////
            array(
                'type' => 'ysp_padding',
                'heading' => __( 'Padding Settings', YSP_TEXT_DOMAIN ),
                'param_name' => 'padding',
                'admin_label' => true,
                'dependency' => array(
                    'element' => 'set_padding',
                    'value' => 'true'
                ),
                'group' => esc_html__( 'Column item', YSP_TEXT_DOMAIN ),
            ),
            // Only for VC UI functionality
            array(
                'type' => 'checkbox',
                'heading' => __( 'Set Margin', YSP_TEXT_DOMAIN ),
                'param_name' => 'set_margin_inner',
                'admin_label' => false,
                'group' => esc_html__( 'Inner element', YSP_TEXT_DOMAIN ),
            ),
            /////////////////////////////////
            array(
                'type' => 'ysp_margin',
                'heading' => __( 'Margin Settings', YSP_TEXT_DOMAIN ),
                'param_name' => 'margin_inner',
                'admin_label' => true,
                'dependency' => array(
                    'element' => 'set_margin_inner',
                    'value' => 'true'
                ),
                'group' => esc_html__( 'Inner element', YSP_TEXT_DOMAIN ),
            ),
            // Only for VC UI functionality
            array(
                'type' => 'checkbox',
                'heading' => __( 'Set Padding', YSP_TEXT_DOMAIN ),
                'param_name' => 'set_padding_inner',
                'admin_label' => false,
                'group' => esc_html__( 'Inner element', YSP_TEXT_DOMAIN ),
            ),
            /////////////////////////////
            array(
                'type' => 'ysp_padding',
                'heading' => __( 'Padding Settings', YSP_TEXT_DOMAIN ),
                'param_name' => 'padding_inner',
                'admin_label' => true,
                'dependency' => array(
                    'element' => 'set_padding_inner',
                    'value' => 'true'
                ),
                'group' => esc_html__( 'Inner element', YSP_TEXT_DOMAIN ),
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Background Color', YSP_TEXT_DOMAIN ),
                'param_name' => 'inner_bg_fx',
                'admin_label' => true,
                'value' => ysp_bg_color(),
                'std' => '',
                'group' => esc_html__( 'Inner Background', YSP_TEXT_DOMAIN ),
                'description' => __('Background Color', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'attach_image',
                'heading' => __( 'Background Image', YSP_TEXT_DOMAIN ),
                'holder' => 'img',
                'admin_label' => true,
                'param_name' => 'inner_img',
                'value' => false,
                'group' => esc_html__( 'Inner Background', YSP_TEXT_DOMAIN ),
                'description' => __('Add image to be used as a background. Limit to 1 image', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Background image size', YSP_TEXT_DOMAIN ),
                'param_name' => 'inner_img_size',
                'admin_label' => true,
                'value' => ysp_image_sizes(),
                'std' => 'full',
                'group' => esc_html__( 'Inner Background', YSP_TEXT_DOMAIN ),
                'description' => __('Select background image size (image will be stretched)', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Background image behavior', YSP_TEXT_DOMAIN ),
                'param_name' => 'inner_img_behave',
                'admin_label' => true,
                'value' => ysp_bg_behavior(),
                'std' => '',
                'group' => esc_html__( 'Inner Background', YSP_TEXT_DOMAIN ),
                'description' => __('Background image behavior settings', YSP_TEXT_DOMAIN)
            ),
            array(
                'type' => 'dropdown',
                'heading' => __( 'Background position', YSP_TEXT_DOMAIN ),
                'param_name' => 'inner_img_pos',
                'admin_label' => true,
                'value' => ysp_bg_positions(),
                'std' => '',
                'group' => esc_html__( 'Inner Background', YSP_TEXT_DOMAIN ),
                'description' => __('Background Image Position', YSP_TEXT_DOMAIN)
            ),   
            array(
                'type' => 'textfield',
                'heading' => __( 'Animation data CSS class', YSP_TEXT_DOMAIN ),
                'param_name' => 'anim_data',
                'admin_label' => true,
                'value' => '',
                'group' => esc_html__( 'Animation', YSP_TEXT_DOMAIN ),
                'description' => __('Add custom animation data (css class) to element. ex. animated bounce | https://github.com/daneden/animate.css', YSP_TEXT_DOMAIN)
            ),     
            //'js_view' => 'VcColumnView',
        );

        vc_add_params( 'vc_column', $attributes );

        // Change default VC column UI template
        vc_map_update( 'vc_column', array( 'html_template' => locate_template( 'vc_templates/vc_column.php' ) ) );
    }
}