<?php

if (!function_exists('ysp_vc_divider_shortcode')) {
    function ysp_vc_divider_shortcode() {

        // Add custom parameters
        $params = [];

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Divider style', YSP_TEXT_DOMAIN),
            'param_name' => 'style',
            'value' => array(
                __('Line', YSP_TEXT_DOMAIN)   => '',
                __('Dots', YSP_TEXT_DOMAIN)   => 'c-divider--dotted',
                __('Dashes', YSP_TEXT_DOMAIN) => 'c-divider--dashed'
            ),
            'description' => __('Line | Dots | Dashes', YSP_TEXT_DOMAIN),
        );
            
        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Text', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'text',
            'value' => '',
            'description' => __('Divider text', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Text Position', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'text_position',
            'value' => array(
                __('Left', YSP_TEXT_DOMAIN)   => 'left',
                __('Center', YSP_TEXT_DOMAIN) => 'center',
                __('Right', YSP_TEXT_DOMAIN)  => 'right'
            ),
            'description' => __('Divider text position (default left)', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __( 'HTML Tag', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name' => 'html_tag',
            'value' => array( 
                __('Default (H4)', YSP_TEXT_DOMAIN )   => '',
                'H1'    =>  'h1',
                'H2'    =>  'h2',
                'H3'    =>  'h3',
                'H4'    =>  'h4',
                'H5'    =>  'h5',
                'H6'    =>  'h6',
            ),
            'description' => 'Default: H4',
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Text Size', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'text_size',
            'value' => array(
                __('Size of H1', YSP_TEXT_DOMAIN)   => 'u-h1',
                __('Size of H2', YSP_TEXT_DOMAIN)   => 'u-h2',
                __('Size of H3', YSP_TEXT_DOMAIN)   => 'u-h3',
                __('Size of H4', YSP_TEXT_DOMAIN)   => 'u-h4',
                __('Size of H5', YSP_TEXT_DOMAIN)   => 'u-h5',
                __('Size of H6', YSP_TEXT_DOMAIN)   => 'u-h6',
                __('Normal', YSP_TEXT_DOMAIN)       => 'u-text-md',
                __('Large', YSP_TEXT_DOMAIN)        => 'u-text-xl',
                __('Larger', YSP_TEXT_DOMAIN)       => 'u-text-xxl',
                __('Largest', YSP_TEXT_DOMAIN)      => 'u-text-2xl',
            ),
            'std' => 'u-h4',
            'description' => __('Divider text size default (H4)', YSP_TEXT_DOMAIN),
        );
        
        $params[] = array(
            'type' => 'dropdown',
            'heading' => __( 'Text Color', YSP_TEXT_DOMAIN ),
            'param_name' => 'txt_color',
            'admin_label' => true,
            'value' => ysp_txt_color(),
            'std' => '',
            'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __('Text Color', YSP_TEXT_DOMAIN),
        );
        
        $params[] = array(
            'type' => 'dropdown',
            'heading' => __( 'Background Color', YSP_TEXT_DOMAIN ),
            'param_name' => 'bg_color',
            'admin_label' => true,
            'value' => ysp_bg_color(),
            'std' => '',
            'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __('Background Color', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom Text Class', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'text_class',
            'value' => '',
            'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __('custom text CSS class', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom Class', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'class',
            'value' => '',
            'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __('custom element class', YSP_TEXT_DOMAIN),
        );

        // Add margins and paddings
        $params = array_merge($params, ysp_vc_spacing_params());

        // Animation
        $params[] = array(
            'type' => 'textfield',
            'heading' => __( 'Animation data CSS class', YSP_TEXT_DOMAIN ),
            'param_name' => 'anim_data',
            'admin_label' => true,
            'value' => '',
            'group' => esc_html__( 'Animation', YSP_TEXT_DOMAIN ),
            'description' => __('Add custom animation data (css class) to element. ex. animated bounce | https://github.com/daneden/animate.css', YSP_TEXT_DOMAIN),
        );

        // Title
        vc_map(
            array(
                'name' => __( 'Content Divider', YSP_TEXT_DOMAIN ),
                'description'=> __('Creates a horizontal line, use to separate content', YSP_TEXT_DOMAIN),
                'base' => 'ysp_divider',
                'category' => __( 'Content', YSP_TEXT_DOMAIN ),
                'params' => $params,
                'icon' => 'icon-wpb-ui-separator'
            )
        );
    }
}