<?php

if (!function_exists('ysp_vc_heading_shortcode')) {
    function ysp_vc_heading_shortcode() {

        // Add custom parameters
        $params = array();

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Title source', YSP_TEXT_DOMAIN),
            'param_name' => 'source',
            'value' => array(
                __('Custom Title', YSP_TEXT_DOMAIN) => '',
                __('Page Title', YSP_TEXT_DOMAIN) => 'post_title',
            ),
            'std' => '',
            'description' => __('Select Title source', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Heading Text', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'text',
            'value' => __('Some Custom Title', YSP_TEXT_DOMAIN),
            'description' => __('Enter your custom title (used when title source is Custom Title)', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('HTML Tag', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'html_tag',
            'value' => array( 
                __('Default (H3)', YSP_TEXT_DOMAIN) => '',
                'H1'    =>  'h1',
                'H2'    =>  'h2',
                'H3'    =>  'h3',
                'H4'    =>  'h4',
                'H5'    =>  'h5',
                'H6'    =>  'h6',
            ),
            'description' => 'Default: H3',
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Size', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'size',
            'value' => array( 
                __('Default', YSP_TEXT_DOMAIN)      =>  '',
                __('Size of H1', YSP_TEXT_DOMAIN)   =>  'u-h1',
                __('Size of H2', YSP_TEXT_DOMAIN)   =>  'u-h2',
                __('Size of H3', YSP_TEXT_DOMAIN)   =>  'u-h3',
                __('Size of H4', YSP_TEXT_DOMAIN)   =>  'u-h4',
                __('Size of H5', YSP_TEXT_DOMAIN)   =>  'u-h5',
                __('Size of H6', YSP_TEXT_DOMAIN)   =>  'u-h6',
                __('Normal', YSP_TEXT_DOMAIN)       => 'u-text-md',
                __('Large', YSP_TEXT_DOMAIN)        => 'u-text-xl',
                __('Larger', YSP_TEXT_DOMAIN)       => 'u-text-xxl',
                __('Largest', YSP_TEXT_DOMAIN)      => 'u-text-2xl',
            ) // @todo: add/change font-size class options
        ); 
        
        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Text align', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'text_align',
            'value' => array( 
                __('Default', YSP_TEXT_DOMAIN)    => '',
                __('Center', YSP_TEXT_DOMAIN)     => 'u-text-center',
                __('Right', YSP_TEXT_DOMAIN)      => 'u-text-right',
                __('Left', YSP_TEXT_DOMAIN)       => 'u-text-left'
            )
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Text Color', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'color',
            'value' => ysp_txt_color(),
            'description' => '',
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Font Weight', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'weight',
            'value' => array( 
                __('Default', YSP_TEXT_DOMAIN)    => '',
                __('Lighter', YSP_TEXT_DOMAIN)    => 'u-text-lighter',
                __('Light', YSP_TEXT_DOMAIN)      => 'u-text-light',
                __('Normal', YSP_TEXT_DOMAIN)     => 'u-text-normal',
                __('Medium', YSP_TEXT_DOMAIN)     => 'u-text-medium',
                __('Semi Bold', YSP_TEXT_DOMAIN)  => 'u-text-semi-bold',
                __('Bold', YSP_TEXT_DOMAIN)       => 'u-text-bold',
                __('Bolder', YSP_TEXT_DOMAIN)     => 'u-text-bolder',
            ),
            'description' => __('This setting depends on the current loaded fonts font-weight availability', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'vc_link',
            'heading' => __('URL', YSP_TEXT_DOMAIN),
            'param_name' => 'url',
            'value' => '',
            'group' => esc_html__('Advanced', YSP_TEXT_DOMAIN),
            'description' => __('Set link', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom CSS class', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'class',            
            'value' => '',
            'group' => esc_html__('Advanced', YSP_TEXT_DOMAIN),
            'description' => __('Add custom class', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom ID', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'id',            
            'value' => '',
            'group' => esc_html__('Advanced', YSP_TEXT_DOMAIN),
            'description' => __('Add custom CSS ID', YSP_TEXT_DOMAIN),
        );
        
        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom onclick action', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'onclick',
            'value' => '',
            'group' => esc_html__('Advanced', YSP_TEXT_DOMAIN),
            'description' => __('<small>Add custom onclick functionality</small><br/><smal>ex. event.preventDefault(); console.log(event.target);</small>', YSP_TEXT_DOMAIN),
        );

        // Add Margins and Paddings
        $params = array_merge( $params, ysp_vc_spacing_params() );

        // Animation
        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Animation', YSP_TEXT_DOMAIN),
            'param_name' => 'anim_data',
            'admin_label' => true,
            'value' => ysp_animations(),
            'group' => esc_html__( 'Animation', YSP_TEXT_DOMAIN ),
            'description' => __( 'Select an animation from the list. See https://animate.style', YSP_TEXT_DOMAIN )
        );
        
        vc_map(
            array(
                'name' => __('Heading', YSP_TEXT_DOMAIN),
                'base' => 'ysp_heading',
                'category' => __('Content', YSP_TEXT_DOMAIN),
                'icon' => 'icon-wpb-ui-custom_heading',
                'params' => $params
            )
        );    
    }
}