<?php

if (!function_exists('ysp_vc_hero_block_shortcode')) {
    function ysp_vc_hero_block_shortcode() {

        // Add custom parameters
        $params = array();

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Title', YSP_TEXT_DOMAIN ),
            'param_name'  => 'title',
            'admin_label' => true,
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Title size', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'title_size',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )    =>  '',
                __( 'Size of H1', YSP_TEXT_DOMAIN ) =>  'u-h1',
                __( 'Size of H2', YSP_TEXT_DOMAIN ) =>  'u-h2',
                __( 'Size of H3', YSP_TEXT_DOMAIN ) =>  'u-h3',
                __( 'Size of H4', YSP_TEXT_DOMAIN ) =>  'u-h4',
                __( 'Size of H5', YSP_TEXT_DOMAIN ) =>  'u-h5',
                __( 'Size of H6', YSP_TEXT_DOMAIN ) =>  'u-h6',
                __( 'Normal', YSP_TEXT_DOMAIN )     => 'u-text-md',
                __( 'Large', YSP_TEXT_DOMAIN )      => 'u-text-xl',
                __( 'Larger', YSP_TEXT_DOMAIN )     => 'u-text-xxl',
                __( 'Largest', YSP_TEXT_DOMAIN )    => 'u-text-2xl',
            ),
            'description' => '',
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Title font weight', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'title_font_weight',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )  => '',
                __( 'Lighter', YSP_TEXT_DOMAIN )  => 'u-text-lighter',
                __( 'Light', YSP_TEXT_DOMAIN )    => 'u-text-light',
                __( 'Normal', YSP_TEXT_DOMAIN )   => 'u-text-normal',
                __( 'Medium', YSP_TEXT_DOMAIN )   => 'u-text-medium',
                __( 'Semi Bold', YSP_TEXT_DOMAIN) => 'u-text-semi-bold',
                __( 'Bold', YSP_TEXT_DOMAIN )     => 'u-text-bold',
                __( 'Bolder', YSP_TEXT_DOMAIN )   => 'u-text-bolder',
            ),
            'description' => __( 'This setting depends on the current loaded fonts font-weight availability', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Title color', YSP_TEXT_DOMAIN ),
            'param_name'  => 'title_color',
            'admin_label' => true,
            'value'       => ysp_txt_color(),
            'std'         => 'u-text-color-body',
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Subtitle', YSP_TEXT_DOMAIN ),
            'param_name'  => 'sub_title',
            'admin_label' => true,
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Subtitle size', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'sub_title_size',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )    => '',
                __( 'Normal', YSP_TEXT_DOMAIN )     => 'u-text-normal',
                __( 'Large', YSP_TEXT_DOMAIN )      => 'u-text-large',
                __( 'larger', YSP_TEXT_DOMAIN )     => 'u-text-larger',
                __( 'largest', YSP_TEXT_DOMAIN )    => 'u-text-largest',
                __( 'Size of H1', YSP_TEXT_DOMAIN ) => 'u-h1',
                __( 'Size of H2', YSP_TEXT_DOMAIN ) => 'u-h2',
                __( 'Size of H3', YSP_TEXT_DOMAIN ) => 'u-h3',
                __( 'Size of H4', YSP_TEXT_DOMAIN ) => 'u-h4',
                __( 'Size of H5', YSP_TEXT_DOMAIN ) => 'u-h5',
                __( 'Size of H6', YSP_TEXT_DOMAIN ) => 'u-h6',
            ),
            'description' => '',
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Subtitle font weight', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'sub_title_font_weight',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )  => '',
                __( 'Lighter', YSP_TEXT_DOMAIN )  => 'u-text-lighter',
                __( 'Light', YSP_TEXT_DOMAIN )    => 'u-text-light',
                __( 'Normal', YSP_TEXT_DOMAIN )   => 'u-text-normal',
                __( 'Medium', YSP_TEXT_DOMAIN )   => 'u-text-medium',
                __( 'Semi Bold', YSP_TEXT_DOMAIN) => 'u-text-semi-bold',
                __( 'Bold', YSP_TEXT_DOMAIN )     => 'u-text-bold',
                __( 'Bolder', YSP_TEXT_DOMAIN )   => 'u-text-bolder',
            ),
            'description' => __( 'This setting depends on the current loaded fonts font-weight availability', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Subtitle color', YSP_TEXT_DOMAIN ),
            'param_name'  => 'sub_title_color',
            'admin_label' => true,
            'value'       => ysp_txt_color(),
            'std'         => 'u-text-color-body',
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Hero height', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'hero_height',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )   =>  '',
                __( 'Small', YSP_TEXT_DOMAIN )  =>  'small',
                __( 'Medium', YSP_TEXT_DOMAIN ) =>  'medium',
                __( 'Large', YSP_TEXT_DOMAIN )  =>  'large',
                __( 'Full', YSP_TEXT_DOMAIN )   =>  'full',
            ),
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => '',
        );
        
        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Horizontal Align', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'horizontal_align',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )      => '',
                __( 'Align Center', YSP_TEXT_DOMAIN ) => 'u-justify-content-center u-text-center',
                __( 'Align Right', YSP_TEXT_DOMAIN )  => 'u-justify-content-end u-text-right',
            ),
            'std' => '',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set the content horizontal aligning', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Vertical Align', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'vertical_align',
            'value'       => ysp_row_vertical_align(),
            'std' => '',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set the content vertical aligning', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Content width', YSP_TEXT_DOMAIN ),
            'param_name'  => 'content_width',
            'admin_label' => true,
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN ) => 'default',
                __( 'Slim', YSP_TEXT_DOMAIN ) => 'slim',
                __( 'Wide', YSP_TEXT_DOMAIN ) => 'wide',
                __( 'Wider', YSP_TEXT_DOMAIN ) => 'wider',
                __( 'Widest', YSP_TEXT_DOMAIN ) => 'widest',
                __( 'Full width', YSP_TEXT_DOMAIN )   => '',
            ),
            'std'         => 'default',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Adjust the width of the content area', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Custom CSS class', YSP_TEXT_DOMAIN ),
            'param_name'  => 'class',
            'admin_label' => true,
            'value'       => '',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => '',
        );

        $params[] = array(
            'type' => 'vc_link',
            'heading' => __( 'URL', YSP_TEXT_DOMAIN ),
            'param_name' => 'url',
            'group' => __( 'Link', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set link; Don\'t use in combination with another link inside this element!', YSP_TEXT_DOMAIN ),
        );
        
        $params[] = array(
            'type'        => 'attach_image',
            'heading'     => __( 'Background image', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'img_id',
            'value'       => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set hero background image', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Background image Size', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_size',
            'admin_label' => true,
            'value'       => ysp_image_sizes(),
            'std'         => 'full',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Select appropriate image size for the current column setup (default: full)', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Background image behavior', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_behave',
            'admin_label' => true,
            'value'       => ysp_bg_behavior(),
            'std'         => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Background image behavior settings', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Background position', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_pos',
            'admin_label' => true,
            'value'       => ysp_bg_positions(),
            'std'         => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Background Image Position', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Add a Youtube or Vimeo link', YSP_TEXT_DOMAIN ),
            'param_name'  => 'video_url',
            'admin_label' => true,
            'value'       => '',
            'std'         => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Use a YouTube or Vimeo video as background (image will be used as placeholder) <br/> https://youtube.com/watch?v=LXb3EKWsInQ <br/> https://vimeo.com/51589652', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Add self hosted video ID', YSP_TEXT_DOMAIN ),
            'param_name'  => 'video_media_id',
            'admin_label' => true,
            'value'       => '',
            'std'         => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'See the video ID in the media library (mp4)', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Add overlay over image', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'overlay_filter',
            'value'       => array(
                __( 'None', YSP_TEXT_DOMAIN )   => '',
                __( 'Light', YSP_TEXT_DOMAIN )  => 'light',
                __( 'Medium', YSP_TEXT_DOMAIN ) => 'medium',
                __( 'Strong', YSP_TEXT_DOMAIN ) => 'strong',
            ),
            'group'       => __( 'Readability', YSP_TEXT_DOMAIN ),
            'description' => __( 'Improve text readability by adding a overlay layer over the image', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Set overlay color', YSP_TEXT_DOMAIN ),
            'param_name'  => 'overlay_color',
            'admin_label' => true,
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )   => '',
                __( 'White', YSP_TEXT_DOMAIN )  => 'white',
            ),
            'group'       => __( 'Readability', YSP_TEXT_DOMAIN ),
            'description' => __( 'Improve text readability by changing the overlay layer color', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'checkbox',
            'heading'     => __( 'Add text shadow', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'text_shadow',
            'value'       => array(
                __( 'Yes', YSP_TEXT_DOMAIN ) => 'yes'
            ),
            'group'       => __( 'Readability', YSP_TEXT_DOMAIN ),
            'description' => __( 'Improve text readability by adding a shadow behind text', YSP_TEXT_DOMAIN ),
        );

        vc_map(
            array(
                'name'            => __( 'Hero Block', YSP_TEXT_DOMAIN ),
                'base'            => 'ysp_hero_block',
                'class'           => '',
                'content_element' => true,
                'category'        => __( 'Yourstyle', YSP_TEXT_DOMAIN ),
                'icon'            => YSP_VC_COMPONENT_SYMBOL,
                'params'          => $params,
                'as_parent'       => array( 'only' => 'ysp_button, ysp_list, vc_column_text, ysp_heading, ysp_icon' ),
                'is_container'    => true,
                'js_view'         => 'VcColumnView',
            )
        );
    }
}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_ysp_hero_block extends WPBakeryShortCodesContainer {}
}