<?php

if (!function_exists('ysp_vc_hero_simple_shortcode')) {
    function ysp_vc_hero_simple_shortcode() {

        // Add custom parameters
        $params = array();

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Title', YSP_TEXT_DOMAIN ),
            'param_name'  => 'title',
            'admin_label' => true,
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Subtitle', YSP_TEXT_DOMAIN ),
            'param_name'  => 'subtitle',
            'admin_label' => true,
        );

        $params[] = array(
            'type' => 'vc_link',
            'heading' => __( 'URL', YSP_TEXT_DOMAIN ),
            'param_name' => 'link',
            'description' => __( 'Set link', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Custom CSS class', YSP_TEXT_DOMAIN ),
            'param_name'  => 'class',
            'admin_label' => true,
            'value'       => '',
            'description' => '',
        );
        
        $params[] = array(
            'type'        => 'attach_image',
            'heading'     => __( 'Background image', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'img_id',
            'value'       => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set hero background image', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Background image Size', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_size',
            'admin_label' => true,
            'value'       => ysp_image_sizes(),
            'std'         => 'full',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Select appropriate image size for the current column setup (default: full)', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Background image behavior', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_behave',
            'admin_label' => true,
            'value'       => ysp_bg_behavior(),
            'std'         => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Background image behavior settings', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Background position', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_pos',
            'admin_label' => true,
            'value'       => ysp_bg_positions(),
            'std'         => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Background Image Position', YSP_TEXT_DOMAIN ),
        );

        vc_map(
            array(
                'name'            => __( 'Hero Simple', YSP_TEXT_DOMAIN ),
                'base'            => 'ysp_hero_simple',
                'category'        => __( 'Yourstyle', YSP_TEXT_DOMAIN ),
                'icon'            => YSP_VC_COMPONENT_SYMBOL,
                'params'          => $params,
            )
        );
    }
}