<?php

if (!function_exists('ysp_vc_icon_shortcode')) {
    function ysp_vc_icon_shortcode() {

        // Add custom parameters
        $params = [];
        
        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Icon name', YSP_TEXT_DOMAIN),
            'param_name' => 'icon_name',
            'admin_label' => true,
            'value' => '',
            'description' => __('Set the icon name ex. coffee', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Icon prefix', YSP_TEXT_DOMAIN),
            'param_name' => 'icon_prefix',
            'admin_label' => true,
            'value' => array(
                __('Solid', YSP_TEXT_DOMAIN)    =>  'fas',
                __('Regular', YSP_TEXT_DOMAIN)  =>  'far',
                __('Light', YSP_TEXT_DOMAIN)    =>  'fal',
                __('Duotone', YSP_TEXT_DOMAIN)  =>  'fad',
                __('Brands', YSP_TEXT_DOMAIN)   =>  'fab',
            ),
            'std' => 'far',
            'description' => __('Set the font family type', YSP_TEXT_DOMAIN),
        );
        
        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Icon size', YSP_TEXT_DOMAIN),
            'param_name' => 'icon_size',
            'admin_label' => true,
            'value' => ysp_icon_size(),
            'description' => __('Set the icon size', YSP_TEXT_DOMAIN),
        );
        
        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Icon color', YSP_TEXT_DOMAIN),
            'param_name' => 'icon_color',
            'admin_label' => true,
            'value' => ysp_icon_colors(),
            'std' => '',
            'description' => __('Set the icon color', YSP_TEXT_DOMAIN),
        );
        
        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Extra Class', YSP_TEXT_DOMAIN),
            'param_name' => 'icon_class',
            'admin_label' => true,
            'value' => '',
            'description' => __('Add custom CSS class.', YSP_TEXT_DOMAIN),
        );
        
        $params[] = array(
            'type' => 'vc_link',
            'heading' => __('Link', YSP_TEXT_DOMAIN),
            'param_name' => 'icon_link',
            'value' => '',
            'group' => esc_html__('Link', YSP_TEXT_DOMAIN),
            'description' => __('Set link', YSP_TEXT_DOMAIN),
        );
        
        // $params[] = array(
        //     'type' => 'textfield',
        //     'heading' => __('Icon Wrap Class', YSP_TEXT_DOMAIN),
        //     'param_name' => 'wrap_class',
        //     'admin_label' => true,
        //     'value' => '',
        //     'description' => __('Add custom CSS class to the icon wrapper element.', YSP_TEXT_DOMAIN),
        // );
        
        // $params[] = array(
        //     'type' => 'checkbox',
        //     'heading' => __('Center', YSP_TEXT_DOMAIN),
        //     'param_name' => 'center',
        //     'admin_label' => true,
        //     'value' => '',
        //     'description' => __('Center Icon.', YSP_TEXT_DOMAIN),
        // );
        
        // $params[] = array(
        //     'type' => 'dropdown',
        //     'heading' => __('Display type', YSP_TEXT_DOMAIN),
        //     'param_name' => 'html_tag',
        //     'admin_label' => true,
        //     'value' => array(
        //         __('Block', YSP_TEXT_DOMAIN) => 'div',
        //         __('Inline', YSP_TEXT_DOMAIN) => 'span',
        //     ),
        //     'std' => 'div',
        //     'description' => __('Set the HTML tag that wraps the icon. Div for block, Span for inline', YSP_TEXT_DOMAIN),
        // );

        // Add margins and paddings
        $params = array_merge( $params, ysp_vc_spacing_params() );
        
        // Animation
        // $params[] = array(
        //     'type' => 'textfield',
        //     'heading' => __('Animation', YSP_TEXT_DOMAIN),
        //     'param_name' => 'anim_data',
        //     'admin_label' => true,
        //     'value' => '',
        //     'group' => esc_html__('Animation', YSP_TEXT_DOMAIN),
        //     'description' => __('Add animation css class. ex. animated__bounce | https://animate.style', YSP_TEXT_DOMAIN),
        // );

        vc_map(
            array(
                'name'      =>  __('Icon' , YSP_TEXT_DOMAIN),
                'base'      =>  'ysp_icon',
                'category'  =>  __('Content', YSP_TEXT_DOMAIN),
                'icon'      =>  'icon-wpb-vc_icon',
                'params'    =>  $params,
            )
        );
    }
}