<?php

if (!function_exists('ysp_vc_shortcode_shortcode')) {
    function ysp_vc_shortcode_shortcode() {

        // Add custom parameters
        $params = array();

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Shortcode', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'content',
            'value' => '',
            'description' => __('Add a shortcode to display.', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom ID', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'id',
            'value' => '',
            'group' => esc_html__('Advanced', YSP_TEXT_DOMAIN),
            'description' => __('Add ID', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom CSS class', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'class',
            'value' => '',
            'group' => esc_html__('Advanced', YSP_TEXT_DOMAIN),
            'description' => __('Add custom class', YSP_TEXT_DOMAIN),
        );

        // Add Margins and Paddings
        $params = array_merge( $params, ysp_vc_spacing_params() );

        // Animation
        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Animation', YSP_TEXT_DOMAIN),
            'param_name' => 'anim_data',
            'admin_label' => true,
            'value' => ysp_animations(),
            'group' => esc_html__( 'Animation', YSP_TEXT_DOMAIN ),
            'description' => __( 'Select an animation from the list. See https://animate.style', YSP_TEXT_DOMAIN )
        );

        vc_map(
            array(
                'name'          =>  __('Shortcode', YSP_TEXT_DOMAIN),
                'description'   =>  __('Output a shortcode.', YSP_TEXT_DOMAIN),
                'base'          =>  'ysp_shortcode',
                'category'      =>  __('Yourstyle', YSP_TEXT_DOMAIN),
                'icon'          =>  YSP_VC_COMPONENT_SYMBOL,
                'params'        =>  $params
            )
        );
    }
}