<?php
/**
*   Slider Shortcodes
*/

if (!function_exists('ysp_vc_ysp_slider_shortcode')) {
    function ysp_vc_ysp_slider_shortcode() {

        // Add custom parameters
        $params = array();

        $params[] = array(
            'type' => 'checkbox',
            'heading' => __( 'Scrollbar visibility', YSP_TEXT_DOMAIN ),
            'param_name' => 'scrollbar',            
            'value' => array( __( 'Yes', YSP_TEXT_DOMAIN ) => 'yes' ),
            'admin_label' => true,
            'description' => __('Show slider scrollbar (Default: No)', YSP_TEXT_DOMAIN)
        );
        
        $params[] = array(
            'type' => 'checkbox',
            'heading' => __( 'Navigation visibility', YSP_TEXT_DOMAIN ),
            'param_name' => 'navigation',
            'value' => array( __( 'Yes', YSP_TEXT_DOMAIN ) => 'yes' ),
            'admin_label' => true,
            'description' => __('Show slider navigation (Default: No)', YSP_TEXT_DOMAIN)
        );
        
        $params[] = array(
            'type' => 'checkbox',
            'heading' => __( 'Pagination visibility', YSP_TEXT_DOMAIN ),
            'param_name' => 'pagination',
            'value' => array( __( 'Yes', YSP_TEXT_DOMAIN ) => 'yes' ),
            'admin_label' => true,
            'description' => __('Show slider pagination (Default: No)', YSP_TEXT_DOMAIN)
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Custom CSS class', YSP_TEXT_DOMAIN),
            'admin_label' => true,
            'param_name' => 'class',
            'value' => '',
            'description' => __('Add custom class', YSP_TEXT_DOMAIN),
        );

        //Register "container" content element. It will hold all your inner (child) content elements
        vc_map(
            array(
                'name' => __('Anything slider', YSP_TEXT_DOMAIN),
                'base' => 'ysp_all_slider',
                'description' => __('A slider that run with any element in it\'s sides', YSP_TEXT_DOMAIN),
                'as_parent' => array('only' => 'ysp_all_slider_item'), // Use only|except attributes to limit child shortcodes (separate multiple values with comma)
                'content_element' => true,
                'show_settings_on_create' => false,
                'is_container' => true,
                'params' => $params,
                'icon' => 'icon-wpb-images-carousel',        
                'js_view' => 'VcColumnView'
            )
        );
    }
}

if (!function_exists('ysp_vc_ysp_slider_item_shortcode')) {
    function ysp_vc_ysp_slider_item_shortcode() {

        // Add custom parameters
        $params = array();

        $params[] = array(
            'type' => 'textarea_html',
            'holder' => 'div',
            'heading' => __( 'Slide Content', YSP_TEXT_DOMAIN ),
            'param_name' => 'content',
            'value' => __( '<p>Click edit button to change the content. Click edit button to change the content. Click edit button to change the content. Click edit button to change the content. Click edit button to change the content.</p>', YSP_TEXT_DOMAIN ),
            'group' => esc_html__( 'General', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __( 'Slide class', YSP_TEXT_DOMAIN ),
            'param_name' => 'class',
            'admin_label' => true,
            'value' => '',
            'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __('Add custom CSS class.', YSP_TEXT_DOMAIN)
        );

        $params[] = array(
            'type' => 'textfield',
            'heading' => __( 'Content class', YSP_TEXT_DOMAIN ),
            'param_name' => 'content_class',
            'admin_label' => true,
            'value' => '',
            'group' => esc_html__( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __('Add custom CSS class.', YSP_TEXT_DOMAIN)
        );

        $params[] = array(
            'type' => 'attach_image',
            'heading' => __( 'Background image', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name' => 'slide_img',
            'value' => false,
            'group' => esc_html__( 'Background image', YSP_TEXT_DOMAIN ),
            'description' => __('Set an image background for the slide', YSP_TEXT_DOMAIN)
        );
        
        $params[] = array(
            'type' => 'dropdown',
            'heading' => __( 'Background image size', YSP_TEXT_DOMAIN ),
            'param_name' => 'img_size',
            'value' => ysp_image_sizes(),
            'std'=>'full',
            'group' => esc_html__( 'Background image', YSP_TEXT_DOMAIN ),
            'description' => __('Set custom background image size (Default: full)', YSP_TEXT_DOMAIN)
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __( "Background image behavior", YSP_TEXT_DOMAIN ),
            'param_name' => 'img_behave',
            'admin_label' => true,
            'value' => ysp_bg_behavior(),
            'std' => '',
            'group' => esc_html__( 'Background image', YSP_TEXT_DOMAIN ),
            'description' => __('Background image behavior settings', YSP_TEXT_DOMAIN)
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __( "Background image position", YSP_TEXT_DOMAIN ),
            'param_name' => 'img_pos',
            'admin_label' => true,
            'value' => ysp_bg_positions(),
            'std' => '',
            'group' => esc_html__( 'Background image', YSP_TEXT_DOMAIN ),
            'description' => __('Background Image Position', YSP_TEXT_DOMAIN)
        );
        
        // Add margins and paddings
        $params = array_merge( $params, ysp_vc_spacing_params() );

        vc_map(
            array(
                'name' => __('Anything slider slide', YSP_TEXT_DOMAIN),
                'base' => 'ysp_all_slider_item',
                'content_element' => true,
                'as_child' => array('only' => 'ysp_all_slider'), // Use only|except attributes to limit parent (separate multiple values with comma)
                'icon' => 'vc_icon-vc-gitem-image',
                'params' => $params
            )
        );
    }
}

//Your "container" content element should extend WPBakeryShortCodesContainer class to inherit all required functionality
if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
    class WPBakeryShortCode_ysp_all_slider extends WPBakeryShortCodesContainer {}
}
if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_ysp_all_slider_item extends WPBakeryShortCode {}
}