<?php

if (!function_exists('ysp_vc_list_shortcode')) {
    function ysp_vc_list_shortcode() {

        // Add custom parameters
        $params = array();

        $params[] = array(
            'type' => 'textarea_html',
            'heading' => __('Content', YSP_TEXT_DOMAIN),
            'holder' => 'div',
            'param_name' => 'content',
            'description' => __('Only add lists as content. This component will only apply to lists', YSP_TEXT_DOMAIN),
            'value' => __('<ul><li>List item</li><li>List item</li></ul>', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('Text color', YSP_TEXT_DOMAIN),
            'param_name' => 'txt_color',
            'admin_label' => true,
            'value' => ysp_txt_color(),
            'std' => '',
            'description' => __('Set the text color', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __('List spacing', YSP_TEXT_DOMAIN),
            'param_name' => 'list_spacing',
            'admin_label' => true,
            'value' => array(
                __('Default', YSP_TEXT_DOMAIN)      =>  '',
                __('Spacing LG', YSP_TEXT_DOMAIN)   =>  'lg',
                __('Spacing XL', YSP_TEXT_DOMAIN)   =>  'xl',
            ),
            'std' => '',
            'description' => __('Set spacing between list items', YSP_TEXT_DOMAIN),
        );

        $params[] = array(
            'type' => 'dropdown',
            'heading' => __( 'List items bottom border style', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name' => 'list_deco',
            'value' => array(
                __('None', YSP_TEXT_DOMAIN)     =>  false,
                __('Line', YSP_TEXT_DOMAIN)     =>  'c-list--deco-lines',
                __('Dashed', YSP_TEXT_DOMAIN)   =>  'c-list--deco-dashes',
                __('Dotted', YSP_TEXT_DOMAIN)   =>  'c-list--deco-dots',
            ),
        );

        // Plugin Check Start
        if ( class_exists('FortAwesome\FontAwesome_Loader') ) {
            $params[] = array(
                'type' => 'textfield',
                'heading' => __('Icon name', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_name',
                'admin_label' => true,
                'value' => '',
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Set the icon name ex. coffee', YSP_TEXT_DOMAIN),
            );

            $params[] = array(
                'type' => 'dropdown',
                'heading' => __('Icon prefix', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_prefix',
                'admin_label' => true,
                'value' => array(
                    __('Solid', YSP_TEXT_DOMAIN)    =>  'fas',
                    __('Regular', YSP_TEXT_DOMAIN)  =>  'far',
                    __('Light', YSP_TEXT_DOMAIN)    =>  'fal',
                    __('Duotone', YSP_TEXT_DOMAIN)  =>  'fad',
                    __('Brands', YSP_TEXT_DOMAIN)   =>  'fab',
                ),
                'std' => 'far',
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Set the font family type', YSP_TEXT_DOMAIN),
            );
            
            $params[] = array(
                'type' => 'dropdown',
                'heading' => __('Icon size', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_size',
                'admin_label' => true,
                'value' => ysp_icon_size(),
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Set the icon size', YSP_TEXT_DOMAIN),
            );
            
            $params[] = array(
                'type' => 'dropdown',
                'heading' => __('Icon color', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_color',
                'admin_label' => true,
                'value' => ysp_icon_colors(),
                'std' => '',
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Set the icon color', YSP_TEXT_DOMAIN),
            );
            
            $params[] = array(
                'type' => 'textfield',
                'heading' => __('Extra Class', YSP_TEXT_DOMAIN),
                'param_name' => 'icon_class',
                'admin_label' => true,
                'value' => '',
                'group' => esc_html__('Icon', YSP_TEXT_DOMAIN),
                'description' => __('Add custom CSS class.', YSP_TEXT_DOMAIN),
            );
        }
        // Plugin Check End

        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Extra Class', YSP_TEXT_DOMAIN),
            'param_name' => 'list_class',
            'admin_label' => true,
            'value' => '',
            'group' => esc_html__('Advanced', YSP_TEXT_DOMAIN),
            'description' => __('Add custom CSS class to element.', YSP_TEXT_DOMAIN),
        );
        
        // Add margins and paddings
        $params = array_merge( $params, ysp_vc_spacing_params() );

        // Animation
        $params[] = array(
            'type' => 'textfield',
            'heading' => __('Animation data CSS class', YSP_TEXT_DOMAIN),
            'param_name' => 'anim_data',
            'admin_label' => true,
            'value' => '',
            'group' => esc_html__('Animation', YSP_TEXT_DOMAIN),
            'description' => __('Add custom animation data (css class) to element. ex. animated bounce | https://github.com/daneden/animate.css', YSP_TEXT_DOMAIN),
        );

        // Title
        vc_map(
            array(
                'name' => __('Styled List', YSP_TEXT_DOMAIN),
                'base' => 'ysp_list',
                'description' => __('Wrapper element for styling a list with predefined bullets|colors|lines.', YSP_TEXT_DOMAIN),
                'category' => __('Content', YSP_TEXT_DOMAIN),
                'icon' => 'icon-wpb-graph',
                'params' => $params,
            )
        );

    }
}