<?php
/**
 * Map Shortcodes to Visual Composer
 *
 * @since 1.0
 */

/*
 * Swiper Slider
 */
if (!function_exists('ysp_vc_swiper_slider_shortcode')) {
    function ysp_vc_swiper_slider_shortcode() {

        $params = array();

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Items per line (Desktop)', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_slides',
            'value'       => '4',
            'description' => __( 'Set the number of slides visible on desktop screens', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Items per line (Laptop)', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_slides_lg',
            'value'       => '2',
            'description' => __( 'Set the number of slides visible on laptop screens', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Items per line (Tablet)', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_slides_md',
            'value'       => '1',
            'description' => __( 'Set the number of slides visible on tablet screens', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Items per line (Mobile Large)', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_slides_sm',
            'value'       => '1',
            'description' => __( 'Set the number of slides visible on large mobile screen', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Items per line (Mobile)', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_slides_xs',
            'value'       => '1',
            'description' => __( 'Set the number of slides visible on mobile screens', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Height', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_height',
            'admin_label' => true,
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )                =>  '',
                __( 'Small', YSP_TEXT_DOMAIN )                  =>  'small',
                __( 'Medium', YSP_TEXT_DOMAIN )                 =>  'medium',
                __( 'Large', YSP_TEXT_DOMAIN )                  =>  'large',
                __( 'Full', YSP_TEXT_DOMAIN )                   =>  'full',
                __( 'Full (without Header)', YSP_TEXT_DOMAIN )  =>  'full_header',
            ),
            'description' => __( 'Set the height of the slider', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'checkbox',
            'heading'     => __( 'Slider autoplay', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_autoplay',
            'admin_label' => true,
            'value'       => array(
                __( 'Yes', YSP_TEXT_DOMAIN ) => 'true'
            ),
            'description' => __( 'Enable automatic playing of the slides', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Slider speed', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_speed',
            'admin_label' => true,
            'value'       => '5000',
            'description' => __( 'Set the slider speed in miliseconds (default: 5000)', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'checkbox',
            'heading'     => __( 'Slider loop', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_loop',
            'admin_label' => true,
            'value'       => array(
                __( 'Yes', YSP_TEXT_DOMAIN ) => 'true'
            ),
            'description' => __( 'Enable looping of the slides', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Slider space between', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_space',
            'admin_label' => true,
            'value'       => '16',
            'description' => __( 'Set the space between the slides in pixels (default: 16)', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => 'Effect',
            'param_name'  => 'slider_effect',
            'admin_label' => true,
            'value'       => array(
                'Slide'     => 'slide',
                'Fade'      => 'fade',
                'Flip'      => 'flip',
                'Coverflow' => 'coverflow',
            ),
            'std'         => 'slide',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set the slider slide effect (default: slide)', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'checkbox',
            'heading'     => __( 'Slider navigation', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_navigation',
            'admin_label' => true,
            'value'       => array(
                __( 'Yes', YSP_TEXT_DOMAIN ) => 'true'
            ),
            'std'         => 'true',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Enable slider navigation', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'colorpicker',
            'heading'     => __( 'Slider navigation color', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_navigation_color',
            'admin_label' => true,
            'value'       => '',
            'std'         => '412458',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set slider navigation color', YSP_TEXT_DOMAIN ),
            'dependency' => array(
                'element' => 'slider_navigation',
                'value' => 'true',
            ),
        );

        $params[] = array(
            'type'        => 'checkbox',
            'heading'     => __( 'Slider pagination', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_pagination',
            'admin_label' => true,
            'value'       => array(
                __( 'Yes', YSP_TEXT_DOMAIN ) => 'true'
            ),
            'std'         => 'true',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Enable slider pagination', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Slider pagination type', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_pagination_type',
            'admin_label' => true,
            'value'       => array(
                __( 'Bullets', YSP_TEXT_DOMAIN ) => 'bullets',
                __( 'Fraction', YSP_TEXT_DOMAIN ) => 'fraction',
                __( 'Progressbar', YSP_TEXT_DOMAIN ) => 'progressbar',
            ),
            'std'         => 'bullets',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set slider pagination type (default: bullets)', YSP_TEXT_DOMAIN ),
            'dependency' => array(
                'element' => 'slider_pagination',
                'value' => 'true',
            ),
        );

        $params[] = array(
            'type'        => 'colorpicker',
            'heading'     => __( 'Slider pagination color', YSP_TEXT_DOMAIN ),
            'param_name'  => 'slider_pagination_color',
            'admin_label' => true,
            'value'       => '',
            'std'         => '412458',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set slider pagination color', YSP_TEXT_DOMAIN ),
            'dependency' => array(
                'element' => 'slider_pagination',
                'value' => 'true',
            ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Custom CSS class', YSP_TEXT_DOMAIN ),
            'param_name'  => 'class',
            'admin_label' => true,
            'class'       => '',
            'value'       => '',
            'group'       => __( 'Advanced', YSP_TEXT_DOMAIN ),
            'description' => __( 'Custom css class', YSP_TEXT_DOMAIN ),
        );

        vc_map(
            array(
                'name'            => 'Swiper Slider',
                'base'            => 'ysp_swiper_slider',
                'class'           => '',
                'content_element' => true,
                'category'        => __( 'Yourstyle', YSP_TEXT_DOMAIN ),
                'icon'            => YSP_VC_COMPONENT_SYMBOL,
                'params'          => $params,
                'as_parent'       => array( 'only' => 'ysp_swiper_slider_slide' ),
                'is_container'    => true,
                'js_view'         => 'VcColumnView',
            )
        );
    }
}

/*
 * Swiper Slider Slide
 */
if (!function_exists('ysp_vc_swiper_slider_item_shortcode')) {
    function ysp_vc_swiper_slider_item_shortcode() {

        $params = array();
        
        $params[] = array(
            'type'        => 'attach_image',
            'heading'     => __( 'Background image', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_id',
            'admin_label' => true,
            'value'       => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set hero background image', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Background image Size', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_size',
            'admin_label' => true,
            'value'       => ysp_image_sizes(),
            'std'         => 'full',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Select appropriate image size for the current column setup (default: full)', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Background image behavior', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_behave',
            'admin_label' => true,
            'value'       => ysp_bg_behavior(),
            'std'         => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Background image behavior settings', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Background position', YSP_TEXT_DOMAIN ),
            'param_name'  => 'img_pos',
            'admin_label' => true,
            'value'       => ysp_bg_positions(),
            'std'         => '',
            'group'       => __( 'Background', YSP_TEXT_DOMAIN ),
            'description' => __( 'Background Image Position', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Add a Youtube or Vimeo link', YSP_TEXT_DOMAIN ),
            'param_name'  => 'video_url',
            'admin_label' => true,
            'value'       => '',
            'std'         => '',
            'group'       => 'Video',
            'description' => __( 'Use a YouTube or Vimeo video as background (image will be used as placeholder) <br/> https://youtube.com/watch?v=LXb3EKWsInQ <br/> https://vimeo.com/51589652', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'textfield',
            'heading'     => __( 'Add self hosted video ID', YSP_TEXT_DOMAIN ),
            'param_name'  => 'video_media_id',
            'admin_label' => true,
            'value'       => '',
            'std'         => '',
            'group'       => 'Video',
            'description' => __( 'See the video ID in the media library (mp4)', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Add overlay over image', YSP_TEXT_DOMAIN ),
            'param_name'  => 'overlay_filter',
            'admin_label' => true,
            'value'       => array(
                __( 'None', YSP_TEXT_DOMAIN )   => '',
                __( 'Light', YSP_TEXT_DOMAIN )  => 'light',
                __( 'Medium', YSP_TEXT_DOMAIN ) => 'medium',
                __( 'Strong', YSP_TEXT_DOMAIN ) => 'strong',
            ),
            'group'       => __( 'Readability', YSP_TEXT_DOMAIN ),
            'description' => __( 'Improve text readability by adding a overlay layer over the image', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Set overlay color', YSP_TEXT_DOMAIN ),
            'param_name'  => 'overlay_color',
            'admin_label' => true,
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )   => '',
                __( 'White', YSP_TEXT_DOMAIN )  => 'white',
            ),
            'group'       => __( 'Readability', YSP_TEXT_DOMAIN ),
            'description' => __( 'Improve text readability by changing the overlay layer color', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type' => 'checkbox',
            'heading' => 'Container',
            'param_name' => 'container',
            'admin_label' => true,
            'value' => array(
                __('Yes', YSP_TEXT_DOMAIN) => 'yes'
            ),
            'group' => __( 'Advanced setup',  YSP_TEXT_DOMAIN ),
            'description' => __('Wrap with a container', YSP_TEXT_DOMAIN),
        );
        
        $params[] = array(
            'type'        => 'dropdown',
            'heading'     => __( 'Horizontal Align', YSP_TEXT_DOMAIN ),
            'admin_label' => true,
            'param_name'  => 'horizontal_align',
            'value'       => array(
                __( 'Default', YSP_TEXT_DOMAIN )      => '',
                __( 'Align Center', YSP_TEXT_DOMAIN ) => 'u-text-center',
                __( 'Align Right', YSP_TEXT_DOMAIN )  => 'u-text-right',
            ),
            'std' => '',
            'group'       => __( 'Advanced setup', YSP_TEXT_DOMAIN ),
            'description' => __( 'Set the content horizontal aligning', YSP_TEXT_DOMAIN ),
        );

        $params[] = array(
            'type'        => 'vc_link',
            'heading'     => __( 'Link', YSP_TEXT_DOMAIN ),
            'param_name'  => 'link',
            'value'       => '',
            'group'       => __( 'Advanced setup', YSP_TEXT_DOMAIN ),
        );
        
        $params[] = array(
            'type' => 'textfield',
            'heading' => __( 'Custom CSS class', YSP_TEXT_DOMAIN ),
            'param_name' => 'class',
            'admin_label' => true,
            'value' =>'',
            'group' => __( 'Advanced setup',  YSP_TEXT_DOMAIN ),
        );

        vc_map(
            array(
                'name'            => 'Swiper Slider Slide',
                'base'            => 'ysp_swiper_slider_slide',
                'class'           => '',
                'content_element' => true,
                'category'        => __( 'Yourstyle', YSP_TEXT_DOMAIN ),
                'icon'            => YSP_VC_COMPONENT_SYMBOL,
                'params'          => $params,
                'as_parent'       => array( 'only' => 'ysp_mediabox, ysp_button, ysp_list, ysp_image, vc_column_text, ysp_heading, ysp_icon' ),
                'as_child'        => array( 'only' => 'ysp_swiper_slider' ),
                'is_container'    => true,
                'js_view'         => 'VcColumnView',
            )
        );
    }
}

if ( class_exists( 'WPBakeryShortCodesContainer' ) ) {
	    class WPBakeryShortCode_ysp_swiper_slider extends WPBakeryShortCodesContainer {
	}
}

if ( class_exists( 'WPBakeryShortCode' ) ) {
    class WPBakeryShortCode_ysp_swiper_slider_slide extends WPBakeryShortCodesContainer {}
}