<?php
if (! defined('ABSPATH') ) {
    die('-1');
}

/**
 * Shortcode attributes
 *
 * @var $atts
 * @var $el_class
 * @var $margin
 * @var $padding
 * @var $bg_fx
 * @var $txt_color
 * @var $txt_align
 * @var $full_height
 * @var $col_h_align
 * @var $col_v_align
 * @var $col_direction
 * @var $content - shortcode content
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column_text
 */
$el_class = $margin = $padding = $el_id = $anim_data = '';
$atts = vc_map_get_attributes($this->getShortcode(), $atts);
extract($atts);

// Animate
$anim = $anim_data ? ' data-animate="'. $anim_data .'"' :'';

if ( $el_id ) {
    $el_id = ' id="'.$el_id.'"';
}

$full_height = $full_height ? 'u-h-100' : '';
$flexbox = $col_h_align || $col_v_align ? 'u-d-flex' : '';

$class_to_filter = ysp_getExtraClass(
    array(
        $el_class,
        $margin,
        $padding,
        $bg_fx,
        $txt_color,
        $txt_align,
        $full_height,
        $flexbox,
        $col_h_align,
        $col_v_align,
        $col_direction
    )
);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);

$output = '<div class="c-text-block'.esc_attr($css_class).'"'.$el_id.$anim.'>' .wpb_js_remove_wpautop($content, true).' </div>';

echo $output;