<?php
/**
 * yourstyle+ Theme Customizer
 *
 * @package yourstyle+
 */

/**
 * Ultilty Functions
 */
require 'customizer/customizer-utility-functions.php';

/**
 * Add Settings to Customizer
 */
require 'customizer/customizer-advanced.php';
require 'customizer/customizer-blog.php';
require 'customizer/customizer-colors.php';
require 'customizer/customizer-company.php';
require 'customizer/customizer-site-identity.php';

/**
 * Render CSS variables in the head of the page
 */
if (!function_exists('ysp_include_css_variables')) {
    function ysp_include_css_variables() {
        echo '<style>';
        echo ':root {';
            ysp_render_css_variable('body-color');
            ysp_render_css_variable('text-color');
            ysp_render_css_variable('text-color-hover');
            ysp_render_css_variable('link-color');
            ysp_render_css_variable('link-color-hover');
            ysp_render_css_variable('color-default');
            ysp_render_css_variable('color-default-hover');
            ysp_render_css_variable('color-1');
            ysp_render_css_variable('color-1-hover');
            ysp_render_css_variable('color-2');
            ysp_render_css_variable('color-2-hover');
            ysp_render_css_variable('color-3');
            ysp_render_css_variable('color-3-hover');
            ysp_render_css_variable('color-4');
            ysp_render_css_variable('color-4-hover');
            ysp_render_css_variable('color-5');
            ysp_render_css_variable('color-5-hover');
            ysp_render_css_variable('color-6');
            ysp_render_css_variable('color-6-hover');
            ysp_render_css_variable('color-7');
            ysp_render_css_variable('color-7-hover');
            ysp_render_css_variable('color-8');
            ysp_render_css_variable('color-8-hover');
            ysp_render_css_variable('color-9');
            ysp_render_css_variable('color-9-hover');
            ysp_render_css_variable('color-0');
            ysp_render_css_variable('color-0-hover');
            ysp_render_css_variable('gray-1');
            ysp_render_css_variable('gray-2');
            ysp_render_css_variable('gray-3');
            ysp_render_css_variable('gray-4');
            ysp_render_css_variable('gray-5');
            // Start - Top Header (Addon)
            ysp_render_css_variable('top-header-background-color');
            // End - Top Header (Addon)
            ysp_render_css_variable('header-background-color');
            ysp_render_css_variable('header-text-color');
            ysp_render_css_variable('header-text-color-hover');
            // Start - Navigation (Addon)
            ysp_render_css_variable('hang-nav-background-color');
            ysp_render_css_variable('hang-nav-text-color');
            ysp_render_css_variable('hang-nav-text-color-hover');
            ysp_render_css_variable('mega-menu-background-color');
            ysp_render_css_variable('mega-menu-title-color');
            ysp_render_css_variable('mega-menu-title-color-hover');
            ysp_render_css_variable('mega-menu-text-color');
            ysp_render_css_variable('mega-menu-text-color-hover');
            // End - Navigation (Addon)
            ysp_render_css_variable('footer-background-color');
            ysp_render_css_variable('footer-title-color');
            ysp_render_css_variable('footer-text-color');
            ysp_render_css_variable('footer-link-color');
            ysp_render_css_variable('footer-link-color-hover');
            ysp_render_css_variable('footer-bottom-background-color');
            ysp_render_css_variable('footer-bottom-text-color');
            ysp_render_css_variable('footer-bottom-link-color');
            ysp_render_css_variable('footer-bottom-link-color-hover');
            // Containers
            ysp_render_css_variable('container-max-width-sm', 'px');
            ysp_render_css_variable('container-max-width-md', 'px');
            ysp_render_css_variable('container-max-width-lg', 'px');
            ysp_render_css_variable('container-max-width-xl', 'px');
            ysp_render_css_variable('container-max-width-xxl', 'px');
            // Mobile Navigation
            ysp_render_css_variable('mobile-navigation-width', '%');
        echo '}';
        echo '</style>';
    }
}
add_action('wp_head', 'ysp_include_css_variables'); // Front-end
add_action('admin_head', 'ysp_include_css_variables'); // Back-end

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
if (!function_exists('ysp_customize_preview_js')) {
    function ysp_customize_preview_js() {
        wp_enqueue_script(
            'ysp-customizer',
            get_template_directory_uri() .'/assets/src/js/parent/admin/customizer.js',
            array( 'customize-preview' ),
            get_ysp_version(),
            true
        );
    }
}
add_action('customize_preview_init', 'ysp_customize_preview_js');
