<?php
/**
 * yourstyle+ Theme Customizer: Blog
 *
 * @package yourstyle+
 */

/**
 * Customizer Defaults
 */
add_filter( 'ysp_customizer_defaults', 'ysp_customizer_defaults_blog' );
if ( !function_exists( 'ysp_customizer_defaults_blog' ) ) {

	function ysp_customizer_defaults_blog( $option ) {

		$options = array(
            // Archive: Columns
            "ysp-blog-columns" => "3-columns",
            "ysp-blog-column-spacing" => "default",
            // Archive: Date
            "ysp-blog-date" => "1",
            // Archive: Author
            "ysp-blog-author" => "1",
            // Archive: Comments
            "ysp-blog-comments" => "1",
            // Archive: Categories
            "ysp-blog-categories" => "1",
            // Archive: Read More
            "ysp-blog-read-more" => "1",
            // Archive: Thumbnails
            "ysp-blog-thumbnail" => "1",
            // Archive: Excerpt Length
            "ysp-blog-excerpt-length" => "18",
            // Archive: Pagination
            "ysp-blog-pagination" => "1",
            // Single: Layout
            "ysp-blog-layout" => "small",
            // Single: Date
            "ysp-blog-single-date" => "1",
            // Single: Author
            "ysp-blog-single-author" => "1",
            // Single: Comments
            "ysp-blog-single-comments" => "1",
            // Single: Categories
            "ysp-blog-single-categories" => "1",
            // Single: Tags
            "ysp-blog-single-tags" => "1",
            // Single: Prev/Next Links
            "ysp-blog-single-prevnext-links" => "0",
        );
        
        if (is_array($option) && is_array($options)) {
            return array_merge( $option, $options );
        }
	}
}

/**
 * Customizer Options
 */
if ( !function_exists( 'ysp_theme_customizer_blog' ) ) {
    function ysp_theme_customizer_blog( $wp_customize ) {

        // Add Blog Panel
        $wp_customize->add_panel('ysp-blog', array(
            'title'         => __( 'Blog', YSP_TEXT_DOMAIN ),
            'priority'      => 100,
        ));

        // Add Blog Archive Section
        $wp_customize->add_section("ysp-blog-archive", array(
            "title" => __( 'Blog Archive', YSP_TEXT_DOMAIN),
            "priority" => 1,
            'panel'  => 'ysp-blog',
        ));

        // Archive: Columns
        $wp_customize->add_setting(
            "ysp-blog-columns",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-columns'),
            )
        );	

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-columns",
            array(
                "label"		=> __( 'Number of Columns', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-archive",
                "settings"	=> "ysp-blog-columns",
                "type"		=> "select",
                "choices"   => array(
                    '1-column'  => __( '1 column', YSP_TEXT_DOMAIN ),
                    '2-columns' => __( '2 columns', YSP_TEXT_DOMAIN ),
                    '3-columns' => __( '3 columns', YSP_TEXT_DOMAIN ),
                    '4-columns' => __( '4 columns', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Archive: Column Spacing
        $wp_customize->add_setting(
            "ysp-blog-column-spacing",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-column-spacing'),
            )
        );	

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-column-spacing",
            array(
                "label"		=> __( 'Column Bottom Spacing', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-archive",
                "settings"	=> "ysp-blog-column-spacing",
                "type"		=> "select",
                "choices"   => ysp_spacings(),
            )
        ));

        // Archive: Date
        $wp_customize->add_setting(
            "ysp-blog-date",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-date'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-date",
            array(
                "label"		=> __( 'Show Date', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-archive",
                "settings"	=> "ysp-blog-date",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Archive: Author
        $wp_customize->add_setting(
            "ysp-blog-author",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-author'),
            )
        );
            
        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-author",
            array(
                "label"		=> __( 'Show Author', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-archive",
                "settings"	=> "ysp-blog-author",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Archive: Comments
        $wp_customize->add_setting(
            "ysp-blog-comments",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-comments'),
            )
        );
            
        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-comments",
            array(
                "label"		=> __( 'Show Comments', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-archive",
                "settings"	=> "ysp-blog-comments",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Archive: Categories
        $wp_customize->add_setting(
            "ysp-blog-categories",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-categories'),
            )
        );	

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-categories",
            array(
                "label"		=> __( 'Show Categories', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-archive",
                "settings"	=> "ysp-blog-categories",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Archive: Read More
        $wp_customize->add_setting(
            "ysp-blog-read-more",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-read-more'),
            )
        );	

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-read-more",
            array(
                "label"		=> __( 'Show Read More', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-archive",
                "settings"	=> "ysp-blog-read-more",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Archive: Thumbnail
        $wp_customize->add_setting(
            "ysp-blog-thumbnail",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-thumbnail'),
            )
        );	

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-thumbnail",
            array(
                "label"		=> __( 'Show Featured Image', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-archive",
                "settings"	=> "ysp-blog-thumbnail",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Archive: Excerpt
        $wp_customize->add_setting(
            "ysp-blog-excerpt-length",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-excerpt-length'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-excerpt-length",
            array(
                "label"		    => __( 'Excerpt Length', YSP_TEXT_DOMAIN),
                "section"	    => "ysp-blog-archive",
                "settings"	    => "ysp-blog-excerpt-length",
                "type"		    => "number",
            )
        ));

        // Archive: Pagination
        $wp_customize->add_setting(
            "ysp-blog-pagination",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-pagination'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-pagination",
            array(
                "label"		    => __( 'Display Pagination', YSP_TEXT_DOMAIN),
                "section"	    => "ysp-blog-archive",
                "settings"	    => "ysp-blog-pagination",
                "type"		    => "select",
                "choices"       => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Add Blog Single Section
        $wp_customize->add_section("ysp-blog-single", array(
            "title" => __( 'Blog Pages', YSP_TEXT_DOMAIN),
            "priority" => 2,
            'panel'  => 'ysp-blog',
        ));
        
        // Single: Layout
        $wp_customize->add_setting(
            "ysp-blog-layout",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-layout'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-layout",
            array(
                "label"		=> __( 'Blog Post Layout', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-single",
                "settings"	=> "ysp-blog-layout",
                "type"		=> "select",
                "choices"   => ysp_template_layouts(),
            )
        ));
        
        // Single: Date
        $wp_customize->add_setting(
            "ysp-blog-single-date",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-single-date'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-single-date",
            array(
                "label"		=> __( 'Show Date', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-single",
                "settings"	=> "ysp-blog-single-date",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Single: Author
        $wp_customize->add_setting(
            "ysp-blog-single-author",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-single-author'),
            )
        );	

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-single-author",
            array(
                "label"		=> __( 'Show Author', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-single",
                "settings"	=> "ysp-blog-single-author",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Single: Comments
        $wp_customize->add_setting(
            "ysp-blog-single-comments",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-single-comments'),
            )
        );	

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-blog-single-comments",
            array(
                "label"		=> __( 'Show Comments', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-single",
                "settings"	=> "ysp-blog-single-comments",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Single: Categories
        $wp_customize->add_setting(
            "ysp-blog-single-categories",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-single-categories'),
            )
        );

        $wp_customize->add_control(  new WP_Customize_Control(  $wp_customize,
            "ysp-blog-single-categories",
            array(
                "label"		=> __( 'Show Categories', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-single",
                "settings"	=> "ysp-blog-single-categories",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Single: Tags
        $wp_customize->add_setting(
            "ysp-blog-single-tags",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-single-tags'),
            )
        );

        $wp_customize->add_control(  new WP_Customize_Control(  $wp_customize,
            "ysp-blog-single-tags",
            array(
                "label"		=> __( 'Show Tags', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-single",
                "settings"	=> "ysp-blog-single-tags",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));

        // Single: Prev/Next Blog Post
        $wp_customize->add_setting(
            "ysp-blog-single-prevnext-links",
            array(
                "default"   => ysp_customizer_defaults('ysp-blog-single-prevnext-links'),
            )
        );

        $wp_customize->add_control(  new WP_Customize_Control(  $wp_customize,
            "ysp-blog-single-prevnext-links",
            array(
                "label"		=> __( 'Show Previous & Next Post links', YSP_TEXT_DOMAIN),
                "section"	=> "ysp-blog-single",
                "settings"	=> "ysp-blog-single-prevnext-links",
                "type"		=> "select",
                "choices"   => array(
                    '1' => __( 'Yes', YSP_TEXT_DOMAIN ),
                    '0' => __( 'No', YSP_TEXT_DOMAIN ),
                ),
            )
        ));
    }
}
add_action("customize_register", "ysp_theme_customizer_blog");

if (!function_exists('ysp_blog_columns_classes')) {
    function ysp_blog_columns_classes() {

        $option  = ysp_get_option('ysp-blog-columns');
        $spacing = ysp_get_option('ysp-blog-column-spacing');

        if ( ! empty( $spacing ) ) {
            if ($spacing == 'default') {
                $spacing = ' '. ysp_spacing_content_class( $spacing = '7' );
            } else {
                $spacing = ' '. ysp_spacing_content_class( $spacing );
            }
        } else {
            $spacing = '';
        }

        switch ($option) {
            case '1-column':
                $output = 'c-col-12'. $spacing;
                break;

            case '2-columns':
                $output = 'c-col-12 c-col-md-6'. $spacing;
                break;

            case '4-columns':
                $output = 'c-col-12 c-col-md-6 c-col-lg-3'. $spacing;
                break;

            default:
                $output = 'c-col-12 c-col-md-6 c-col-lg-4'. $spacing;
                break;
        }

        echo apply_filters('ysp_blog_columns_classes', $output);
    }
}