<?php
/**
 * yourstyle+ Theme Customizer: Colors
 *
 * @package yourstyle+
 */

/**
 * Customizer Defaults
 */
add_filter( 'ysp_customizer_defaults', 'ysp_customizer_defaults_colors' );
if ( !function_exists( 'ysp_customizer_defaults_colors' ) ) {

	function ysp_customizer_defaults_colors( $option ) {

		$options = array(
            'body-color'                        => '#ffffff',
            'text-color'                        => '#000000',
            'text-color-hover'                  => '#252525',
            'link-color'                        => '#1a0dab',
            'link-color-hover'                  => '#4ba3e7',
            'color-default'                     => '#412458',
            'color-default-hover'               => '#522d70',
            'color-1'                           => '#412458',
            'color-1-hover'                     => '#522d70',
            'color-2'                           => '#4ba3e7',
            'color-2-hover'                     => '#3e86be',
            'color-3'                           => '#32bcad',
            'color-3-hover'                     => '#50d1c3',
            'color-4'                           => '#f79952',
            'color-4-hover'                     => '#f9b683',
            'color-5'                           => '#da2f5a',
            'color-5-hover'                     => '#e25a7c',
            'color-6'                           => '#412458',
            'color-6-hover'                     => '#522d70',
            'color-7'                           => '#4ba3e7',
            'color-7-hover'                     => '#3e86be',
            'color-8'                           => '#32bcad',
            'color-8-hover'                     => '#50d1c3',
            'color-9'                           => '#f79952',
            'color-9-hover'                     => '#f9b683',
            'color-0'                           => '#da2f5a',
            'color-0-hover'                     => '#e25a7c',
            'gray-1'                            => '#f8f9fa',
            'gray-2'                            => '#dee2e6',
            'gray-3'                            => '#adb5bd',
            'gray-4'                            => '#495057',
            'gray-5'                            => '#212529',
            // Start - Top Header (Addon)
            'top-header-background-color'       => '#ffffff',
            // End - Top Header (Addon)
            'header-background-color'           => '#f6f6f6',
            'header-text-color'                 => '#000000',
            'header-text-color-hover'           => '#777777',
            // Start - Navigation
            'mega-menu-background-color'        => '#ffffff',
            'mega-menu-title-color'             => '#000000',
            'mega-menu-title-color-hover'       => '#777777',
            'mega-menu-text-color'              => '#000000',
            'mega-menu-text-color-hover'        => '#777777',
            // End - Navigation
            // Start - Hang Nav (Addon)
            'hang-nav-background-color'         => '#412458',
            'hang-nav-text-color'               => '#ffffff',
            'hang-nav-text-color-hover'         => '#ededed',
            // End - Hang Nav (Addon)
            'footer-background-color'           => '#495057',
            'footer-title-color'                => '#ffffff',
            'footer-text-color'                 => '#ffffff',
            'footer-link-color'                 => '#ffffff',
            'footer-link-color-hover'           => '#ededed',
            'footer-bottom-background-color'    => '#212529',
            'footer-bottom-text-color'          => '#ffffff',
            'footer-bottom-link-color'          => '#ffffff',
            'footer-bottom-link-color-hover'    => '#ededed',
            //Component defaults
            'components-default-button-color'   => 'c-button--color-1',
        );
        
        if (is_array($option) && is_array($options)) {
            return array_merge( $option, $options );
        }
	}
}

/**
 * Customizer Options
 */
if ( ! function_exists( 'ysp_theme_customizer_colors' ) ) {
    function ysp_theme_customizer_colors( $wp_customize ) {

        // Add Colors Panel
        $wp_customize->add_panel( "ysp-colors", array(
            'title'         => __('Colors', YSP_TEXT_DOMAIN),
            'priority'      => 40,
        ));

        /**
         * Section: Main Colors
         */
        $wp_customize->add_section( "ysp-colors-main",
            array(
                "title"     => __("General", YSP_TEXT_DOMAIN),
                "priority"  => 10,
                "panel"     => "ysp-colors",
            )
        );

        // Body Color
        $wp_customize->add_setting( "body-color",
            array(
                "default"   => ysp_customizer_defaults('body-color'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "body-color",
            array(
                "label"		=> __( "Body Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "body-color",
            )
        ));

        // Text Color
        $wp_customize->add_setting( "text-color",
            array(
                "default"   => ysp_customizer_defaults('text-color'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "text-color",
            array(
                "label"		=> __( "Text Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "text-color",
            )
        ));

        // Text Color Hover
        $wp_customize->add_setting( "text-color-hover",
            array(
                "default"   => ysp_customizer_defaults('text-color-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "text-color-hover",
            array(
                "label"		=> __( "Text Color - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "text-color-hover",
            )
        ));

        // Link Color
        $wp_customize->add_setting( "link-color",
            array(
                "default"   => ysp_customizer_defaults('link-color'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "link-color",
            array(
                "label"		=> __( "Link Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "link-color",
            )
        ));

        // Link Color Hover
        $wp_customize->add_setting( "link-color-hover",
            array(
                "default"   => ysp_customizer_defaults('link-color-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "link-color-hover",
            array(
                "label"		=> __( "Link Color - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "link-color-hover",
            )
        ));

        // Color Default
        $wp_customize->add_setting( "color-default",
            array(
                "default"   => ysp_customizer_defaults('color-default'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-default",
            array(
                "label"		=> __( "Color Default", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-default",
            )
        ));

        // Color Default Hover
        $wp_customize->add_setting( "color-default-hover",
            array(
                "default"   => ysp_customizer_defaults('color-default-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-default-hover",
            array(
                "label"		=> __( "Color Default - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-default-hover",
            )
        ));

        // Color 1
        $wp_customize->add_setting( "color-1",
            array(
                "default"   => ysp_customizer_defaults('color-1'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-1",
            array(
                "label"		=> __( "Color 1", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-1",
            )
        ));

        // Color 1 Hover
        $wp_customize->add_setting( "color-1-hover",
            array(
                "default"   => ysp_customizer_defaults('color-1-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-1-hover",
            array(
                "label"		=> __( "Color 1 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-1-hover",
            )
        ));

        // Color 2
        $wp_customize->add_setting( "color-2",
            array(
                "default"   => ysp_customizer_defaults('color-2'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-2",
            array(
                "label"		=> __( "Color 2", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-2",
            )
        ));

        // Color 2 - Hover
        $wp_customize->add_setting( "color-2-hover",
            array(
                "default"   => ysp_customizer_defaults('color-2-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-2-hover",
            array(
                "label"		=> __( "Color 2 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-2-hover",
            )
        ));

        // Color 3
        $wp_customize->add_setting( "color-3",
            array(
                "default"   => ysp_customizer_defaults('color-3'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-3",
            array(
                "label"		=> __( "Color 3", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-3",
            )
        ));

        // Color 3 - Hover
        $wp_customize->add_setting( "color-3-hover",
            array(
                "default"   => ysp_customizer_defaults('color-3-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-3-hover",
            array(
                "label"		=> __( "Color 3 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-3-hover",
            )
        ));

        // Color 4
        $wp_customize->add_setting( "color-4",
            array(
                "default"   => ysp_customizer_defaults('color-4'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-4",
            array(
                "label"		=> __( "Color 4", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-4",
            )
        ));

        // Color 4 - Hover
        $wp_customize->add_setting( "color-4-hover",
            array(
                "default"   => ysp_customizer_defaults('color-4-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-4-hover",
            array(
                "label"		=> __( "Color 4 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-4-hover",
            )
        ));

        // Color 5
        $wp_customize->add_setting( "color-5",
            array(
                "default"   => ysp_customizer_defaults('color-5'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-5",
            array(
                "label"		=> __( "Color 5", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-5",
            )
        ));

        // Color 5 - Hover
        $wp_customize->add_setting( "color-5-hover",
            array(
                "default"   => ysp_customizer_defaults('color-5-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-5-hover",
            array(
                "label"		=> __( "Color 5 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-5-hover",
            )
        ));

        // Color 6
        $wp_customize->add_setting( "color-6",
            array(
                "default"   => ysp_customizer_defaults('color-6'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-6",
            array(
                "label"		=> __( "Color 6", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-6",
            )
        ));

        // Color 6 - Hover
        $wp_customize->add_setting( "color-6-hover",
            array(
                "default"   => ysp_customizer_defaults('color-6-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-6-hover",
            array(
                "label"		=> __( "Color 6 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-6-hover",
            )
        ));

        // Color 7
        $wp_customize->add_setting( "color-7",
            array(
                "default"   => ysp_customizer_defaults('color-7'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-7",
            array(
                "label"		=> __( "Color 7", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-7",
            )
        ));

        // Color 7 - Hover
        $wp_customize->add_setting( "color-7-hover",
            array(
                "default"   => ysp_customizer_defaults('color-7-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-7-hover",
            array(
                "label"		=> __( "Color 7 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-7-hover",
            )
        ));

        // Color 8
        $wp_customize->add_setting( "color-8",
            array(
                "default"   => ysp_customizer_defaults('color-8'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-8",
            array(
                "label"		=> __( "Color 8", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-8",
            )
        ));

        // Color 8 - Hover
        $wp_customize->add_setting( "color-8-hover",
            array(
                "default"   => ysp_customizer_defaults('color-8-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-8-hover",
            array(
                "label"		=> __( "Color 8 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-8-hover",
            )
        ));

        // Color 9
        $wp_customize->add_setting( "color-9",
            array(
                "default"   => ysp_customizer_defaults('color-9'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-9",
            array(
                "label"		=> __( "Color 9", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-9",
            )
        ));

        // Color 9 - Hover
        $wp_customize->add_setting( "color-9-hover",
            array(
                "default"   => ysp_customizer_defaults('color-9-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-9-hover",
            array(
                "label"		=> __( "Color 9 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-9-hover",
            )
        ));

        // Color 10
        $wp_customize->add_setting( "color-0",
            array(
                "default"   => ysp_customizer_defaults('color-0'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "color-0",
            array(
                "label"		=> __( "Color 10", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-0",
            )
        ));

        // Color 10 - Hover
        $wp_customize->add_setting( "color-0-hover",
            array(
                "default"   => ysp_customizer_defaults('color-0-hover'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control(  $wp_customize,
            "color-0-hover",
            array(
                "label"		=> __( "Color 10 - Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "color-0-hover",
            )
        ));

        // Gray 1
        $wp_customize->add_setting( "gray-1",
            array(
                "default"   => ysp_customizer_defaults('gray-1'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "gray-1",
            array(
                "label"		=> __( "Gray 1", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "gray-1",
            )
        ));

        // Gray 2
        $wp_customize->add_setting( "gray-2",
            array(
                "default"   => ysp_customizer_defaults('gray-2'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "gray-2",
            array(
                "label"		=> __( "Gray 2", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "gray-2",
            )
        ));

        // Gray 3
        $wp_customize->add_setting( "gray-3",
            array(
                "default"   => ysp_customizer_defaults('gray-3'),
                "transport" => "postMessage",
            )
        );	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "gray-3",
            array(
                "label"		=> __( "Gray 3", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "gray-3",
            )
        ));

        // Gray 4
        $wp_customize->add_setting( "gray-4",
            array(
                "default"   => ysp_customizer_defaults('gray-4'),
                "transport" => "postMessage",
            )
        );

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "gray-4",
            array(
                "label"		=> __( "Gray 4", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "gray-4",
            )
        ));

        // Gray 5
        $wp_customize->add_setting( "gray-5",
            array(
                "default"   => ysp_customizer_defaults('gray-5'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "gray-5",
            array(
                "label"		=> __( "Gray 5", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-main",
                "settings"	=> "gray-5",
            )
        ));

        /**
         * Section: Header Colors
         */
        $wp_customize->add_section( "ysp-colors-header",
            array(
                "title"     => "Header",
                "priority"  => 20,
                "panel"     => "ysp-colors",
            )
        );

        // Header - Top Header Background Color
        if (get_option('ysp-addon-top-header') == "1") {
            $wp_customize->add_setting( "top-header-background-color",
                array(
                    "default"   => ysp_customizer_defaults('top-header-background-color'),
                    "transport" => "postMessage",
            ));	

            $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
                "top-header-background-color",
                array(
                    "label"		=> __( "Top Header: Background Color", YSP_TEXT_DOMAIN ),
                    "section"	=> "ysp-colors-header",
                    "settings"	=> "top-header-background-color",
                )
            ));
        }

        // Header - Background Color
        $wp_customize->add_setting( "header-background-color",
            array(
                "default"   => ysp_customizer_defaults('header-background-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "header-background-color",
            array(
                "label"		=> __( "Background Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-header",
                "settings"	=> "header-background-color",
            )
        ));

        // Header - Text Color
        $wp_customize->add_setting( "header-text-color",
            array(
                "default"   => ysp_customizer_defaults('header-text-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "header-text-color",
            array(
                "label"		=> __( "Text Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-header",
                "settings"	=> "header-text-color",
            )
        ));

        // Header - Text Color Hover
        $wp_customize->add_setting( "header-text-color-hover",
            array(
                "default"   => ysp_customizer_defaults('header-text-color-hover'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "header-text-color-hover",
            array(
                "label"		=> __( "Text Color Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-header",
                "settings"	=> "header-text-color-hover",
            )
        ));

        /**
         * Section: Mega Menu Colors
         */
        $wp_customize->add_section( "ysp-colors-mega-menu",
            array(
                "title"     => "Mega Menu",
                "priority"  => 30,
                "panel"     => "ysp-colors",
            )
        );

        // Mega Menu - Background Color
        $wp_customize->add_setting( "mega-menu-background-color",
            array(
                "default"   => ysp_customizer_defaults('mega-menu-background-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "mega-menu-background-color",
            array(
                "label"		=> __( "Background Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-mega-menu",
                "settings"	=> "mega-menu-background-color",
            )
        ));

        // Mega Menu - Title Color
        $wp_customize->add_setting( "mega-menu-title-color",
            array(
                "default"   => ysp_customizer_defaults('mega-menu-title-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "mega-menu-title-color",
            array(
                "label"		=> __( "Title Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-mega-menu",
                "settings"	=> "mega-menu-title-color",
            )
        ));

        // Mega Menu - Title Color Hover
        $wp_customize->add_setting( "mega-menu-title-color-hover",
            array(
                "default"   => ysp_customizer_defaults('mega-menu-title-color-hover'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "mega-menu-title-color-hover",
            array(
                "label"		=> __( "Title Color Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-mega-menu",
                "settings"	=> "mega-menu-title-color-hover",
            )
        ));

        // Mega Menu - Text Color
        $wp_customize->add_setting( "mega-menu-text-color",
            array(
                "default"   => ysp_customizer_defaults('mega-menu-text-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "mega-menu-text-color",
            array(
                "label"		=> __( "Text Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-mega-menu",
                "settings"	=> "mega-menu-text-color",
            )
        ));

        // Mega Menu - Text Color Hover
        $wp_customize->add_setting( "mega-menu-text-color-hover",
            array(
                "default"   => ysp_customizer_defaults('mega-menu-text-color-hover'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "mega-menu-text-color-hover",
            array(
                "label"		=> __( "Text Color Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-mega-menu",
                "settings"	=> "mega-menu-text-color-hover",
            )
        ));

        if (get_option('ysp-addon-hang-nav') == "1") {

            /**
             * Section: Hanging Navigation Colors
             */
            $wp_customize->add_section( "ysp-colors-hang-nav",
                array(
                    "title"     => __( "Hanging Navigation", YSP_TEXT_DOMAIN ),
                    "priority"  => 40,
                    "panel"     => "ysp-colors",
                )
            );

            // Hang Nav - Background Color
            $wp_customize->add_setting( "hang-nav-background-color",
                array(
                    "default"   => ysp_customizer_defaults('hang-nav-background-color'),
                    "transport" => "postMessage",
            ));	

            $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
                "hang-nav-background-color",
                array(
                    "label"		=> __( "Hang Nav: Background Color", YSP_TEXT_DOMAIN ),
                    "section"	=> "ysp-colors-hang-nav",
                    "settings"	=> "hang-nav-background-color",
                )
            ));

            // Hang Nav - Text Color
            $wp_customize->add_setting( "hang-nav-text-color",
                array(
                    "default"   => ysp_customizer_defaults('hang-nav-text-color'),
                    "transport" => "postMessage",
            ));	

            $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
                "hang-nav-text-color",
                array(
                    "label"		=> __( "Hang Nav: Text Color", YSP_TEXT_DOMAIN ),
                    "section"	=> "ysp-colors-hang-nav",
                    "settings"	=> "hang-nav-text-color",
                )
            ));

            // Hang Nav - Text Color Hover
            $wp_customize->add_setting( "hang-nav-text-color-hover",
                array(
                    "default"   => ysp_customizer_defaults('hang-nav-text-color-hover'),
                    "transport" => "postMessage",
            ));	

            $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
                "hang-nav-text-color-hover",
                array(
                    "label"		=> __( "Hang Nav: Text Color Hover", YSP_TEXT_DOMAIN ),
                    "section"	=> "ysp-colors-hang-nav",
                    "settings"	=> "hang-nav-text-color-hover",
                )
            ));
        }

        /**
         * Section: Footer Colors
         */
        $wp_customize->add_section( "ysp-colors-footer",
            array(
                "title"     => __("Footer", YSP_TEXT_DOMAIN),
                "priority"  => 50,
                "panel"     => "ysp-colors",
            )
        );

        // Footer - Background Color
        $wp_customize->add_setting( "footer-background-color",
            array(
                "default"   => ysp_customizer_defaults('footer-background-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "footer-background-color",
            array(
                "label"		=> __( "Background Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-footer",
                "settings"	=> "footer-background-color",
            )
        ));

        // Footer - Title Color
        $wp_customize->add_setting( "footer-title-color",
            array(
                "default"   => ysp_customizer_defaults('footer-title-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "footer-title-color",
            array(
                "label"		=> __( "Title Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-footer",
                "settings"	=> "footer-title-color",
            )
        ));

        // Footer - Text Color
        $wp_customize->add_setting( "footer-text-color",
            array(
                "default"   => ysp_customizer_defaults('footer-text-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "footer-text-color",
            array(
                "label"		=> __( "Text Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-footer",
                "settings"	=> "footer-text-color",
            )
        ));

        // Footer - Link Color
        $wp_customize->add_setting( "footer-link-color",
            array(
                "default"   => ysp_customizer_defaults('footer-link-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "footer-link-color",
            array(
                "label"		=> __( "Link Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-footer",
                "settings"	=> "footer-link-color",
            )
        ));

        // Footer - Link Color Hover
        $wp_customize->add_setting( "footer-link-color-hover",
            array(
                "default"   => ysp_customizer_defaults('footer-link-color-hover'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "footer-link-color-hover",
            array(
                "label"		=> __( "Link Color Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-footer",
                "settings"	=> "footer-link-color-hover",
            )
        ));

        // Footer Bottom - Background Color
        $wp_customize->add_setting( "footer-bottom-background-color",
            array(
                "default"   => ysp_customizer_defaults('footer-bottom-background-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "footer-bottom-background-color",
            array(
                "label"		=> __( "Bottom: Background Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-footer",
                "settings"	=> "footer-bottom-background-color",
            )
        ));

        // Footer Bottom - Text Color
        $wp_customize->add_setting( "footer-bottom-text-color",
            array(
                "default"   => ysp_customizer_defaults('footer-bottom-text-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "footer-bottom-text-color",
            array(
                "label"		=> __( "Bottom: Text Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-footer",
                "settings"	=> "footer-bottom-text-color",
            )
        ));

        // Footer Bottom - Link Color
        $wp_customize->add_setting( "footer-bottom-link-color",
            array(
                "default"   => ysp_customizer_defaults('footer-bottom-link-color'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "footer-bottom-link-color",
            array(
                "label"		=> __( "Bottom: Link Color", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-footer",
                "settings"	=> "footer-bottom-link-color",
            )
        ));

        // Footer Bottom - Link Color Hover
        $wp_customize->add_setting( "footer-bottom-link-color-hover",
            array(
                "default"   => ysp_customizer_defaults('footer-bottom-link-color-hover'),
                "transport" => "postMessage",
        ));	

        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize,
            "footer-bottom-link-color-hover",
            array(
                "label"		=> __( "Bottom: Link Color Hover", YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-colors-footer",
                "settings"	=> "footer-bottom-link-color-hover",
            )
        ));

        /**
         * Section: Components
         */
        $wp_customize->add_section( "ysp-colors-components",
            array(
                "title"     => __("Components", YSP_TEXT_DOMAIN),
                "priority"  => 60,
                "panel"     => "ysp-colors",
            )
        );

        // Components - Default Colour Button
        $colors = ysp_btn_color();
        if (is_array($colors)) {
            array_shift($colors);
            $colors = array_flip($colors);
            $wp_customize->add_setting( "components-default-button-color",
                array(
                    "default"   => ysp_customizer_defaults('components-default-button-color'),
                    "transport" => "refresh",
            ));

            $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
                "components-default-button-color",
                array(
                    "label"		=> __( "Default color for buttons", YSP_TEXT_DOMAIN ),
                    "section"	=> "ysp-colors-components",
                    "settings"	=> "components-default-button-color",
                    "type"      => "select",
                    "choices"   => $colors,
                )
            ));            
        }

    }
}
add_action("customize_register", "ysp_theme_customizer_colors");