<?php
/**
 * yourstyle+ Theme Customizer: Company
 *
 * @package yourstyle+
 */

/**
 * Customizer Defaults
 */
add_filter( 'ysp_customizer_defaults', 'ysp_customizer_defaults_company' );
if ( !function_exists( 'ysp_customizer_defaults_company' ) ) {

	function ysp_customizer_defaults_company( $option ) {

		$options = array(
            // Dailymotion Icon
            "ysp-social-media-dailymotion-icon" => "[icon name=\"dailymotion\" prefix=\"fab\"]",
            // Facebook Icon
            "ysp-social-media-facebook-icon" => "[icon name=\"facebook\" prefix=\"fab\"]",
            // Instagram Icon
            "ysp-social-media-instagram-icon" => "[icon name=\"instagram\" prefix=\"fab\"]",
            // LinkedIn Icon
            "ysp-social-media-linkedin-icon" => "[icon name=\"linkedin\" prefix=\"fab\"]",
            // Pinterest Icon
            "ysp-social-media-pinterest-icon" => "[icon name=\"pinterest\" prefix=\"fab\"]",
            // SoundCloud Icon
            "ysp-social-media-soundcloud-icon" => "[icon name=\"soundcloud\" prefix=\"fab\"]",
            // Snapchat Icon
            "ysp-social-media-snapchat-icon" => "[icon name=\"snapchat\" prefix=\"fab\"]",
            // Spotify Icon
            "ysp-social-media-spotify-icon" => "[icon name=\"spotify\" prefix=\"fab\"]",
            // Twitch Icon
            "ysp-social-media-twitch-icon" => "[icon name=\"twitch\" prefix=\"fab\"]",
            // Twitter Icon
            "ysp-social-media-twitter-icon" => "[icon name=\"twitter\" prefix=\"fab\"]",
            // Vimeo Icon
            "ysp-social-media-vimeo-icon" => "[icon name=\"vimeo\" prefix=\"fab\"]",
            // WhatsApp Icon
            "ysp-social-media-whatsapp-icon" => "[icon name=\"whatsapp\" prefix=\"fab\"]",
            // Wordpress Icon
            "ysp-social-media-wordpress-icon" => "[icon name=\"wordpress\" prefix=\"fab\"]",
            // YouTube Icon
            "ysp-social-media-youtube-icon" => "[icon name=\"youtube\" prefix=\"fab\"]",
        );
        
        if (is_array($option) && is_array($options)) {
            return array_merge( $option, $options );
        }
	}
}

/**
 * Customizer Options
 */
if ( !function_exists( 'ysp_theme_customizer_company' ) ) {
    function ysp_theme_customizer_company( $wp_customize ) {

        // Add Company Panel
        $wp_customize->add_panel('ysp-company', array(
            'title'         => __( 'Company', YSP_TEXT_DOMAIN ),
            'priority'      => 100,
        ));

        // Add Company Information Section
        $wp_customize->add_section("ysp-company-details", array(
            "title" => __( 'Information', YSP_TEXT_DOMAIN),
            "priority" => 1,
            'panel'  => 'ysp-company',
        ));

        // Company - Address
        $wp_customize->add_setting( "ysp-company-details-address",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-company-details-address",
            array(
                "label"		=> __( 'Address', YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-company-details",
                "settings"	=> "ysp-company-details-address",
                "type"		=> "text",
                'description' => __('Add your address here.<br/>[ysp_address]', YSP_TEXT_DOMAIN),
            )
        ));

        // Company - Telephone Number
        $wp_customize->add_setting( "ysp-company-details-tel",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-company-details-tel",
            array(
                "label"		=> __( 'Telephone Number', YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-company-details",
                "settings"	=> "ysp-company-details-tel",
                "type"		=> "text",
                'description' => __('Add your phone number here.<br/>[ysp_phone_nr link="true"]', YSP_TEXT_DOMAIN),
            )
        ));

        // Company - Telephone Number Two
        $wp_customize->add_setting( "ysp-company-details-tel-two",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-company-details-tel-two",
            array(
                "label"		=> __( 'Telephone Number Two', YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-company-details",
                "settings"	=> "ysp-company-details-tel-two",
                "type"		=> "text",
                'description' => __('Add your second phone number here.<br/>[ysp_phone_nr link="true" secondary="true"]', YSP_TEXT_DOMAIN),
            )
        ));

        // Company - Email Address
        $wp_customize->add_setting( "ysp-company-details-email",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-company-details-phone",
            array(
                "label"		=> __( 'Email Address', YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-company-details",
                "settings"	=> "ysp-company-details-email",
                "type"		=> "text",
                'description' => __('Add your email address here.<br/>[ysp_email link="true"]', YSP_TEXT_DOMAIN),
            )
        ));

        // Company - Email Address Two
        $wp_customize->add_setting( "ysp-company-details-email-two",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-company-details-email-two",
            array(
                "label"		=> __( 'Email Address Two', YSP_TEXT_DOMAIN ),
                "section"	=> "ysp-company-details",
                "settings"	=> "ysp-company-details-email-two",
                "type"		=> "text",
                'description' => __('Add your second email address here.<br/>[ysp_email link="true" secondary="true"]', YSP_TEXT_DOMAIN),
            )
        ));

        // Add Social Media Section
        $wp_customize->add_section("ysp-social-media", array(
            "title" => __( 'Social Media', YSP_TEXT_DOMAIN),
            "priority" => 1,
            'panel'  => 'ysp-company',
        ));

        // Company - Social Media - Dailymotion
        $wp_customize->add_setting( "ysp-social-media-dailymotion",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-dailymotion",
            array(
                "label"		    => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-dailymotion",
                "type"		    => "text",
                "description"   => __( 'Shortcode usage:<br/>[ysp_social socials=youtube,facebook,whatsapp,instagram target="_blank"]<br/><br/><label for="_customize-input-ysp-social-media-dailymotion" class="customize-control-title">Dailymotion</label>Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Dailymotion Icon
        $wp_customize->add_setting( "ysp-social-media-dailymotion-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-dailymotion-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-dailymotion-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-dailymotion-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Facebook
        $wp_customize->add_setting( "ysp-social-media-facebook",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-facebook",
            array(
                "label"		    => "Facebook",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-facebook",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Facebook Icon
        $wp_customize->add_setting( "ysp-social-media-facebook-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-facebook-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-facebook-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-facebook-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Instagram
        $wp_customize->add_setting( "ysp-social-media-instagram",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-instagram",
            array(
                "label"		    => "Instagram",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-instagram",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Instagram Icon
        $wp_customize->add_setting( "ysp-social-media-instagram-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-instagram-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-instagram-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-instagram-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - LinkedIn
        $wp_customize->add_setting( "ysp-social-media-linkedin",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-linkedin",
            array(
                "label"		    => "LinkedIn",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-linkedin",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - LinkedIn Icon
        $wp_customize->add_setting( "ysp-social-media-linkedin-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-linkedin-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-linkedin-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-linkedin-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Pinterest
        $wp_customize->add_setting( "ysp-social-media-pinterest",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-pinterest",
            array(
                "label"		    => "Pinterest",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-pinterest",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Pinterest Icon
        $wp_customize->add_setting( "ysp-social-media-pinterest-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-pinterest-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-pinterest-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-pinterest-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - SoundCloud
        $wp_customize->add_setting( "ysp-social-media-soundcloud",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-soundcloud",
            array(
                "label"		    => "SoundCloud",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-soundcloud",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - SoundCloud Icon
        $wp_customize->add_setting( "ysp-social-media-soundcloud-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-soundcloud-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-soundcloud-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-soundcloud-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Snapchat
        $wp_customize->add_setting( "ysp-social-media-snapchat",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-snapchat",
            array(
                "label"		    => "Snapchat",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-snapchat",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Snapchat Icon
        $wp_customize->add_setting( "ysp-social-media-snapchat-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-snapchat-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-snapchat-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-snapchat-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Spotify
        $wp_customize->add_setting( "ysp-social-media-spotify",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-spotify",
            array(
                "label"		    => "Spotify",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-spotify",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Spotify Icon
        $wp_customize->add_setting( "ysp-social-media-spotify-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-spotify-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-spotify-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-spotify-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Twitch
        $wp_customize->add_setting( "ysp-social-media-twitch",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-twitch",
            array(
                "label"		    => "Twitch",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-twitch",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Twitch Icon
        $wp_customize->add_setting( "ysp-social-media-twitch-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-twitch-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-twitch-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-twitch-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Twitter
        $wp_customize->add_setting( "ysp-social-media-twitter",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-twitter",
            array(
                "label"		    => "Twitter",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-twitter",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Twitter Icon
        $wp_customize->add_setting( "ysp-social-media-twitter-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-twitter-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-twitter-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-twitter-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Vimeo
        $wp_customize->add_setting( "ysp-social-media-vimeo",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-vimeo",
            array(
                "label"		    => "Vimeo",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-vimeo",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - Vimeo Icon
        $wp_customize->add_setting( "ysp-social-media-vimeo-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-vimeo-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-vimeo-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-vimeo-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - WhatsApp
        $wp_customize->add_setting( "ysp-social-media-whatsapp",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-whatsapp",
            array(
                "label"		    => "WhatsApp",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-whatsapp",
                "type"		    => "text",
                "description"   => __( 'Telephone number', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - WhatsApp Icon
        $wp_customize->add_setting( "ysp-social-media-whatsapp-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-whatsapp-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-whatsapp-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-whatsapp-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - WordPress
        $wp_customize->add_setting( "ysp-social-media-wordpress",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-wordpress",
            array(
                "label"		    => "WordPress",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-wordpress",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - WordPress Icon
        $wp_customize->add_setting( "ysp-social-media-wordpress-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-wordpress-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-wordpress-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-wordpress-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - YouTube
        $wp_customize->add_setting( "ysp-social-media-youtube",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-youtube",
            array(
                "label"		    => "YouTube",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-youtube",
                "type"		    => "text",
                "description"   => __( 'Link', YSP_TEXT_DOMAIN ),
            )
        ));

        // Company - Social Media - YouTube Icon
        $wp_customize->add_setting( "ysp-social-media-youtube-icon",
            array(
                "default"   => ysp_customizer_defaults('ysp-social-media-youtube-icon'),
            )
        );

        $wp_customize->add_control( new WP_Customize_Control( $wp_customize,
            "ysp-social-media-youtube-icon",
            array(
                "label"         => "",
                "section"	    => "ysp-social-media",
                "settings"	    => "ysp-social-media-youtube-icon",
                "type"		    => "text",
                "description"   => __( 'Icon', YSP_TEXT_DOMAIN ),
            )
        ));
    }
}
add_action("customize_register", "ysp_theme_customizer_company");