<?php
/**
 * yourstyle+ Theme Customizer: Site
 *
 * @package yourstyle+
 */

/**
 * Customizer Defaults
 */
add_filter( 'ysp_customizer_defaults', 'ysp_customizer_defaults_site_identity' );
if ( !function_exists( 'ysp_customizer_defaults_site_identity' ) ) {

	function ysp_customizer_defaults_site_identity( $option ) {

		$options = array(
            // Logo mobile
            "ysp-site-identity-logo-mobile" => "",
        );
        
        if (is_array($option) && is_array($options)) {
            return array_merge( $option, $options );
        }
	}
}

/**
 * Customizer Options
 */
if ( !function_exists( 'ysp_theme_customizer_site_identity' ) ) {
    function ysp_theme_customizer_site_identity( $wp_customize ) {

        // Company - Logo mobile
        $wp_customize->add_setting( "ysp-site-identity-logo-mobile",
            array(
                "default"    => '',
            )
        );

        $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,
            "ysp-site-identity-logo-mobile",
            array(
                "label"		=> __( 'Logo mobile', YSP_TEXT_DOMAIN ),
                "section"	=> "title_tagline",
                "settings"	=> "ysp-site-identity-logo-mobile",
                'description' => __('Add a logo for mobile devices.', YSP_TEXT_DOMAIN),
                'priority' => 8
            )
        ));
    }
}
add_action("customize_register", "ysp_theme_customizer_site_identity");