<?php
/**
 * Shortcode: ysp_social
 * [ysp_social]
 */
// Add Shortcode
if (!function_exists('ysp_social_media')) {
    function ysp_social_media( $atts ) {

        // Attributes
        $atts = shortcode_atts(
            array(
                'socials'   =>  '',
                'target'    =>  '',
                'spacing'   =>  '1',
                'rss'       =>  true,
            ),
            $atts
        );
        
        $output = '';
        $social_output = '';

        $socials = explode(',', $atts['socials']);
        $spacing = $atts['spacing'] ? ' u-mr-'.$atts['spacing'] : '';

        $target = $atts['target'] ? ' target="'. $atts['target'] .'"' : '';

        foreach ($socials as $social) {
            switch ($social) {
                case $social:
                    // Options
                    $social_link_field = ysp_get_option('ysp-social-media-'. $social);
                    $social_link = ($social == 'whatsapp') ? 'tel:'.$social_link_field : $social_link_field;
                    $social_icon = ysp_get_option('ysp-social-media-'. $social .'-icon');
                    // Wrap
                    $social_wrap_start  = $social_link_field ? '<a href="'. $social_link .'"'. $target .'>' : '';
                    $social_wrap_end    = $social_link_field ? '</a>' : '';
                    // Output
                    $social_output .= '<span class="c-social-media__'. $social . $spacing .'">';
                        $social_output .= $social_wrap_start . do_shortcode( $social_icon ) . $social_wrap_end;
                    $social_output .= '</span>';
                    break;
            }
        }

        // Shortcode Wrapper
        $output_wrap_start = '<div class="c-social-media">';
        $output_wrap_end = '</div>';
        
        // Output Shortcode
        $output .= $output_wrap_start . $social_output . $output_wrap_end;
        
        return $output;

    }
}
add_shortcode( 'ysp_social', 'ysp_social_media' );