<?php
/**
 * Register and add theme fonts to header
 *
 * @package yourstyle_plus
 */

/**
 * Function that creates <link> and <style> font definitions to added to theme head
 * Calls the settings from theme options panel and maps with the multidimensional array served by base_typo();
 * Creates inline style for main font
 */
if (!function_exists('ysp_add_theme_fonts')) {
    function ysp_add_theme_fonts() {

        $font_body_option = ysp_get_option('ysp-typography-body-font');
        $font_heading_option = ysp_get_option('ysp-typography-heading-font');
        if ($font_body_option !== 'default' || $font_heading_option !== 'default') {
            // New Get Theme Font Class
            $fonts = new YspGetThemeFonts;

            // Register and Enqueue Theme Font
            wp_register_style('ysp_theme_main_font',  $fonts->get_theme_fonts_link());
            wp_enqueue_style('ysp_theme_main_font');
            
            // Inline Style Theme Font
            wp_add_inline_style('ysp_theme_main_font',  $fonts->get_theme_font_style());
        }
    }
}
add_action('wp_enqueue_scripts', 'ysp_add_theme_fonts', 99); // Add last in style chain.