<?php
/**
 *  Font Awesome Icon Function
 * 
 *  Initial checks.
 *  Icon Name.
 *  Icon Prefix.
 *  Icon Size.
 *  Icon Color.
 *  Icon Class.
 *  Icon Link.
 *  Classes.
 *  Build the Icon Shortcode.
 */
if (!function_exists('ysp_run_icon')) {
    function ysp_run_icon( $args = array() ) {
        
        /**
         * Initial checks.
         */
        $icon = '';
        if ( !shortcode_exists( 'icon' ) ) {
            return $icon;
        }
        if ( empty( $args['icon_name'] ) ) {
            return $icon;
        }

        /**
         * Icon Name.
         */
        $icon_name = ''; // Set Default
        if ( !empty( $args['icon_name'] ) ) {
            $icon_name = $args['icon_name'];
        }

        /**
         * Icon Prefix.
         */
        $icon_prefix = 'far'; // Set Default
        if ( !empty( $args['icon_prefix'] ) ) {
            $icon_prefix = $args['icon_prefix'];
        }

        /**
         * Icon Size.
         */
        $icon_size = ''; // Set Default
        if ( !empty( $args['icon_size'] ) ) {
            $icon_size = $args['icon_size'];
        }

        /**
         * Icon Color.
         */
        $icon_color = ''; // Set Default
        if ( !empty( $args['icon_color'] ) ) {
            $icon_color = $args['icon_color'];
        }

        /**
         * Icon Class.
         */
        $icon_class = ''; // Set Default
        if ( !empty( $args['icon_class'] ) ) {
            $icon_class = $args['icon_class'];
        }

        /**
         * Icon Link
         */
        $icon_link = ''; // Set Default
        if ( !empty( $args['icon_link'] ) ) {
            $icon_link = $args['icon_link'];
        }

        /**
         * Classes.
         */
        $icon_main_class = ysp_getExtraClass(
            array(
                $icon_size,
                $icon_color,
                $icon_class,
            )
        );

        /**
         * Build the Icon Shortcode.
         */
        $output = '';

        $link_list = $icon_link ? ysp_generate_url_param_list($icon_link) : '';
        $linkStart = $link_list ? '<a '. $link_list .'>' : '';
        $linkEnd = $link_list ? '</a>' : '';

        $output .= $linkStart;
            $output .= do_shortcode('[icon name="'. $icon_name .'" prefix="'. $icon_prefix .'" class="'. $icon_main_class .'"]');
        $output .= $linkEnd;

        return $output;
    }
}