<?php
/**
 * yourstyle+ Hooks & Filters.
 *
 * @package yourstyle+
 */

require( 'hooks/blog.php' );
require( 'hooks/entry-title.php' );
require( 'hooks/spacing.php' );
require( 'hooks/site-content.php' );

/* Debug Hooks */
if (!function_exists('ysp_visible_hooks')) {
    function ysp_visible_hooks() {
        if (!ysp_get_option('ysp-visible-hooks')) {
            return;
        }
        $hooks = array(
            'ysp_before_header',
            'ysp_after_header',
            'ysp_before_header_inner',
            'ysp_after_header_inner',
            'ysp_before_site_branding',
            'ysp_after_site_branding',
            'ysp_site_header_start',
            'ysp_site_header_center',
            'ysp_site_header_end',
            'ysp_before_site_navigation',
            'ysp_after_site_navigation',
            'ysp_before_content',
            'ysp_after_content',
            'ysp_before_entry_title',
            'ysp_after_entry_title',
            'ysp_prepend_entry_content',
            'ysp_append_entry_content',
            'ysp_blog_loop_prepend_thumbnail',
            'ysp_blog_loop_append_thumbnail',
            'ysp_blog_loop_before_excerpt',
            'ysp_blog_loop_after_excerpt',
            'ysp_prepend_entry_footer',
            'ysp_append_entry_footer',
            'ysp_before_footer',
            'ysp_after_footer',
            'ysp_footer_before_site_info',
            'ysp_footer_site_info',
            'ysp_footer_after_site_info',
            'ysp_prepend_footer',
            'ysp_append_footer',
        );

        foreach ( $hooks as $hook ) {
            add_action( $hook, function() use ( $hook ) {
                echo '<pre class="hook">'. $hook .'</pre>';
            });
        }
    }
}
add_action( 'wp_head', 'ysp_visible_hooks' );