<?php
/**
 * yourstyle+ Blog Related Hooks & Filters.
 *
 * @package yourstyle+
 */

/**
 * Blog Archive
 */

// Blog Loop Meta
if ( ! function_exists('ysp_blog_loop_meta') ) {
    function ysp_blog_loop_meta() {

        $blog_date = ysp_get_option('ysp-blog-date');
        $blog_author = ysp_get_option('ysp-blog-author');
        $blog_comments = ysp_get_option('ysp-blog-comments');

        if ( $blog_date || $blog_author || $blog_comments ) :
            echo '<div class="c-card-meta entry-meta">';
        endif;

        // Meta Date
        $blog_date ? ysp_posted_on() : '';
        // Meta Author
        $blog_author ? ysp_posted_by() : '';
        // Meta Comments
        $blog_comments ? ysp_posted_comments() : '';

        if ( $blog_date || $blog_author || $blog_comments ) :
            echo '</div>';
        endif;

    }
}
add_action('ysp_blog_loop_before_excerpt', 'ysp_blog_loop_meta');

// Blog Loop Categories
if ( ! function_exists('ysp_blog_loop_categories') ) {
    function ysp_blog_loop_categories() {
        if ( ysp_get_option('ysp-blog-categories') ) {
            echo '<div class="c-card-meta">';
                ysp_posted_in();
            echo '</div>';
        }
    }
}
add_action('ysp_blog_loop_after_excerpt', 'ysp_blog_loop_categories', 1);

/**
 * Blog Singular
 */

// Blog Entry Thumbnail
if ( ! function_exists('ysp_blog_entry_featured_image') ) {
    function ysp_blog_entry_featured_image() {
        if ( has_post_thumbnail() ) {
            ysp_post_thumbnail();
        }
    }
}
add_action('ysp_entry_header', 'ysp_blog_entry_featured_image', 10);

// Blog Entry Title
add_action('ysp_entry_header', 'ysp_entry_title', 15);

// Blog Entry Meta
if ( ! function_exists('ysp_blog_entry_meta') ) {
    function ysp_blog_entry_meta() {
        if ( get_post_type() == 'post' ) {

            $blog_single_date = ysp_get_option('ysp-blog-single-date');
            $blog_single_author = ysp_get_option('ysp-blog-single-author');
            $blog_single_comments = ysp_get_option('ysp-blog-single-comments');

            if ( $blog_single_date || $blog_single_author || $blog_single_comments ) :
                echo '<div class="entry-meta entry-meta-single">';
            endif;

            // Meta Date
            $blog_single_date ? ysp_posted_on() : '';
            // Meta Author
            $blog_single_author ? ysp_posted_by() : '';
            // Meta Comments
            $blog_single_comments ? ysp_posted_comments() : '';

            if ( $blog_single_date || $blog_single_author || $blog_single_comments ) :
                echo '</div>';
            endif;

        }
    }
}
add_action('ysp_entry_header', 'ysp_blog_entry_meta', 20);