<?php
/**
 * yourstyle+ Site Content.
 *
 * @package yourstyle+
 */

/*
* Content before the Header
*/
if ( ! function_exists('ysp_content_before_header') ) {
    function ysp_content_before_header() {
        
        $content = get_theme_mod('ysp-before-header-content');
        if (!$content) return;
        echo '<section class="site-global-content-start">'. do_shortcode( $content ) .'</section>'; 
    }
}
add_action( 'ysp_before_header', 'ysp_content_before_header' );

/*
* Content after the Header
*/
if ( ! function_exists('ysp_content_after_header') ) {
    function ysp_content_after_header() {
        
        $content = get_theme_mod('ysp-after-header-content');
        if (!$content) return;
        echo '<section class="site-global-after-header">'. do_shortcode( $content ) .'</section>'; 
    }
}
add_action( 'ysp_after_header', 'ysp_content_after_header' );

/*
* Content Header Start
*/
if ( ! function_exists('ysp_header_content_start') ) {
    function ysp_header_content_start() {
        
        $content = get_theme_mod('ysp-header-content-start');
        if (!$content) return;
        echo '<section class="site-global-header-start">'. do_shortcode( $content ) .'</section>'; 
    }
}
add_action( 'ysp_before_header_inner', 'ysp_header_content_start' );


/*
* Content before main content
*/
if ( ! function_exists('ysp_content_before_main') ) {
    function ysp_content_before_main() {
        
        $content = get_theme_mod('ysp-before-main-content');
        if (!$content) return;
        echo '<section class="site-global-main-content-start">'. do_shortcode( $content ) .'</section>'; 
    }
}
add_action( 'ysp_before_content', 'ysp_content_before_main' );

/*
* Content after main content
*/
if ( ! function_exists('ysp_content_after_main') ) {
    function ysp_content_after_main() {
        
        $content = get_theme_mod('ysp-after-main-content');
        if (!$content) return;
        echo '<section class="site-global-main-content-end">'. do_shortcode( $content ) .'</section>'; 
    }
}
add_action( 'ysp_after_content', 'ysp_content_after_main' );

/*
* Content before the Footer
*/
if ( ! function_exists('ysp_content_before_footer') ) {
    function ysp_content_before_footer() {
        
        $content = get_theme_mod('ysp-before-footer-content');
        if (!$content) return;
        echo '<section class="site-global-content-end">'. do_shortcode( $content ) .'</section>';
    }
}
add_action( 'ysp_before_footer', 'ysp_content_before_footer' );