<?php
/**
 * yourstyle+ Navigation
 *
 * @package yourstyle+
 */

/**
 * Register navigation menus.
 * 
 * See: https://codex.wordpress.org/Function_Reference/register_nav_menus/
 */
if ( !function_exists( 'ysp_register_navigation_menu' ) ) {
    function ysp_register_navigation_menu() {
		register_nav_menus(array(
            // Site Header
            'site-header'       => __('Site Header', YSP_TEXT_DOMAIN),
            // Site Header Two
            'site-header-two'       => __('Site Header Two', YSP_TEXT_DOMAIN),
            // Site Header LANDINGPAGE
            'site-header-landingpage' => __('Site Header LANDINGPAGE', YSP_TEXT_DOMAIN),
            // Mobile Navigation
            'mobile'		    => __('Mobile Navigation', YSP_TEXT_DOMAIN),
            // Mobile Site Header
            'mobile-header'     => __('Mobile Site Header', YSP_TEXT_DOMAIN),
		));
	}
}
add_action('init', 'ysp_register_navigation_menu');


/**
 * Create the navigation menus
 * 
 * See: https://developer.wordpress.org/reference/functions/wp_nav_menu/
 */
if ( !function_exists( 'ysp_navigation' ) ) {
    function ysp_navigation( $menu ) {
        switch ($menu) {
			case 'site-header':
				wp_nav_menu(
                    array(
                        'menu'            => '',
                        'container'       => 'ul',
                        'menu_class'      => 'menu navigation u-justify-content-end',
                        'menu_id'         => 'primary-menu',
                        'echo'            => true,
                        'fallback_cb'     => 'wp_page_menu',
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_spacing'   => 'preserve',
                        'depth'           => 0,
                        'walker'          => (class_exists('YSP_Walker_Nav_Menu')) ? 'YSP_Walker_Nav_Menu' : '',
                        'theme_location'  => 'site-header',
					)
				);
            break;

			case 'site-header-two':
				wp_nav_menu(
                    array(
                        'menu'            => '',
                        'container'       => 'ul',
                        'menu_class'      => 'menu navigation',
                        'menu_id'         => 'secondary-menu',
                        'echo'            => true,
                        'fallback_cb'     => 'wp_page_menu',
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_spacing'   => 'preserve',
                        'depth'           => 0,
                        'walker'          => (class_exists('YSP_Walker_Nav_Menu')) ? 'YSP_Walker_Nav_Menu' : '',
                        'theme_location'  => 'site-header-two',
					)
				);
            break;
			case 'site-header-landingpage':
				wp_nav_menu(
                    array(
                        'menu'            => '',
                        'container'       => 'ul',
                        'menu_class'      => 'menu navigation',
                        'menu_id'         => 'landingpage-menu',
                        'echo'            => true,
                        'fallback_cb'     => 'wp_page_menu',
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_spacing'   => 'preserve',
                        'depth'           => 0,
                        'walker'          => (class_exists('YSP_Walker_Nav_Menu')) ? 'YSP_Walker_Nav_Menu' : '',
                        'theme_location'  => 'site-header-landingpage',
					)
				);
            break;
			case 'mobile':
				wp_nav_menu(
                    array(
                        'menu'            => '',
                        'container'       => 'ul',
                        'menu_class'      => 'menu',
                        'menu_id'         => 'mobile-primary-menu',
                        'echo'            => true,
                        'fallback_cb'     => 'wp_page_menu',
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_spacing'   => 'preserve',
                        'depth'           => 0,
                        'walker'          => '',
                        'theme_location'  => 'mobile',
					)
				);
            break;
            
			case 'mobile-header':
				wp_nav_menu(
                    array(
                        'menu'            => '',
                        'container'       => 'ul',
                        'menu_class'      => 'menu navigation',
                        'menu_id'         => 'mobile-secondary-menu',
                        'echo'            => true,
                        'fallback_cb'     => false,
                        'before'          => '',
                        'after'           => '',
                        'link_before'     => '',
                        'link_after'      => '',
                        'items_spacing'   => 'preserve',
                        'depth'           => 0,
                        'walker'          => '',
                        'theme_location'  => 'mobile-header',
					)
				);
			break;
		}
	}
}