<?php
/**
 * Mobile Menu.
 *
 * Contains the parts whitch are added to the theme footer area
 *
 * @see https://github.com/callmenick/Slide-Push-Menus
 */

if (!function_exists('ysp_render_toggler')) {
    function ysp_render_toggler( $class = '' ) {
        $ico = '<div class="c-mobile-nav-toggler-icon"><span></span><span></span><span></span><span></span></div>';

        return '<button id="c-mobile-nav-toggler" class="c-mobile-nav-toggler' . $class . '">' . $ico . '</button>';
    }
}

/* Mobile Button - Left */
add_action( 'ysp_before_site_branding', 'ysp_mobile_nav_button_left' );
if (!function_exists('ysp_mobile_nav_button_left')) {
    function ysp_mobile_nav_button_left() {
        if ( ! has_nav_menu( 'mobile' ) ) {
            return;
        }
        
        if ( ! ysp_get_option('ysp-mobile-navigation-toggle') ) {
            return;
        }

        echo '<div class="mobile-navigation mobile-navigation-left">';
            echo '<div class="c-mobile-nav__toggle">' . ysp_render_toggler( ' c-mobile-nav-toggler--themed' ) . '</div>';
        echo '</div>';
    }
}

/* Mobile Button - Right */
add_action( 'ysp_after_site_navigation', 'ysp_mobile_nav_button_right' );
if (!function_exists('ysp_mobile_nav_button_right')) {
    function ysp_mobile_nav_button_right() {
        if ( ! has_nav_menu( 'mobile' ) ) {
            return;
        }

        if ( ysp_get_option('ysp-mobile-navigation-toggle') ) {
            return;
        }

        echo '<div class="mobile-navigation mobile-navigation-right">';
            echo '<div class="c-mobile-nav__toggle">' . ysp_render_toggler( ' c-mobile-nav-toggler--themed' ) . '</div>';
        echo '</div>';
    }
}

if (!function_exists('ysp_mobile_nav')) {
    function ysp_mobile_nav() {
        if ( ! has_nav_menu( 'mobile' ) ) {
            return;
        }

        // Mobile Navigation - Toggle Position
        $nav_toggle = ysp_get_option('ysp-mobile-navigation-toggle');
        $nav_toggle = '1' == $nav_toggle ? ' c-mobile-nav--mobile-left' : ' c-mobile-nav--mobile-right';

        // Mobile Navigation - Level
        $nav_level = ysp_get_option('ysp-mobile-navigation-level');
        $nav_level = 'high' == $nav_level ? ' c-mobile-nav--level-high' : ' c-mobile-nav--level-low';

        // Mobile Navigation - Expand
        $nav_expand = ysp_get_option('ysp-nav-expand');
        $nav_expand = !empty($nav_expand) ? $nav_expand : 'lg';
        $nav_expand = 'aw' !== $nav_expand ? ' c-mobile-nav--expand-'. $nav_expand : '';

        // Mobile Navigation - Output
        echo '<nav id="c-mobile-nav--mobile" class="c-mobile-nav'. $nav_toggle . $nav_level . $nav_expand .'" role="navigation">';
            echo '<div class="c-mobile-nav__head">';
                echo '<div class="c-mobile-nav__toggle c-mobile-nav__close">' . ysp_render_toggler( ' c-mobile-nav-toggler--white' ) . '</div>';
            echo '</div>';
            echo '<div class="c-mobile-nav__menu">';
                 if (is_page_template('template-landingpage.php') ) {
                    wp_nav_menu(
                        array(
                            'theme_location' => 'site-header-landingpage',
                            'menu_class'     => 'c-mobile-nav__items',
                            'walker'         => new Ysp_Mobile_Nav_walker(),
                        )
                    );
                } else {
                    wp_nav_menu(
                        array(
                            'theme_location' => 'mobile',
                            'menu_class'     => 'c-mobile-nav__items',
                            'walker'         => new Ysp_Mobile_Nav_walker(),
                        )
                    );
                }
            echo '</div>';
        echo '</nav>';
    }
}

if (!function_exists('ysp_mobile_nav_mask')) {
    function ysp_mobile_nav_mask() {
        if ( ! has_nav_menu( 'mobile' ) ) {
            return;
        }

        echo '<div id="c-mobile-nav-mask" class="c-mobile-nav-mask"></div><!-- /c-mask -->';
    }
}