<?php
/**
 * yourstyle+ Widgets
 *
 * @package yourstyle+
 */

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
if (!function_exists('ysp_widgets_init')) {
    function ysp_widgets_init()
    {
        // Register widget area: Sidebar
        register_sidebar(array(
            'name'          =>  'Sidebar',
            'id'            =>  'sidebar-1',
            'description'   =>  esc_html__('Add widgets here.', YSP_TEXT_DOMAIN),
            'before_widget' =>  '<section id="%1$s" class="c-widget %2$s">',
            'after_widget'  =>  '</section>',
            'before_title'  =>  '<h3 class="c-widget-title">',
            'after_title'   =>  '</h3>',
        ));
        
        // Register widget area: Sidebar Secondary
        register_sidebar(array(
            'name'          =>  esc_html__('Sidebar Secondary', YSP_TEXT_DOMAIN),
            'id'            =>  'sidebar-2',
            'description'   =>  esc_html__('Add widgets here.', YSP_TEXT_DOMAIN),
            'before_widget' =>  '<section id="%1$s" class="c-widget %2$s">',
            'after_widget'  =>  '</section>',
            'before_title'  =>  '<h3 class="c-widget-title">',
            'after_title'   =>  '</h3>',
        ));
        
        // Register widget area: WooCommerce
        if (class_exists('woocommerce')) {
            register_sidebar(array(
                'name'          =>  'WooCommerce',
                'id'            =>  'woocommerce',
                'description'   =>  esc_html__('Add widgets here for the Shop Archive.', YSP_TEXT_DOMAIN),
                'before_widget' =>  '<section id="%1$s" class="c-widget %2$s">',
                'after_widget'  =>  '</section>',
                'before_title'  =>  '<h3 class="c-widget-title">',
                'after_title'   =>  '</h3>',
            ));
        }

        // Register widget area: Footer
        if (ysp_get_option('ysp-footer-layout') == 'static') {
            // Footer Section #1
            register_sidebar(array(
                'name'          =>  esc_html__('Footer Section #1', YSP_TEXT_DOMAIN),
                'id'            =>  'footer-section-1',
                'description'   =>  esc_html__('Add widgets here.', YSP_TEXT_DOMAIN),
                'before_widget' =>  '<section id="%1$s" class="c-widget %2$s">',
                'after_widget'  =>  '</section>',
                'before_title'  =>  '<h6 class="c-widget-title u-h3">',
                'after_title'   =>  '</h6>',
            ));

            // Footer Section #2
            register_sidebar(array(
                'name'          =>  esc_html__('Footer Section #2', YSP_TEXT_DOMAIN),
                'id'            =>  'footer-section-2',
                'description'   =>  esc_html__('Add widgets here.', YSP_TEXT_DOMAIN),
                'before_widget' =>  '<section id="%1$s" class="c-widget %2$s">',
                'after_widget'  =>  '</section>',
                'before_title'  =>  '<h6 class="c-widget-title u-h3">',
                'after_title'   =>  '</h6>',
            ));

            // Footer Section #3
            register_sidebar(array(
                'name'          =>  esc_html__('Footer Section #3', YSP_TEXT_DOMAIN),
                'id'            =>  'footer-section-3',
                'description'   =>  esc_html__('Add widgets here.', YSP_TEXT_DOMAIN),
                'before_widget' =>  '<section id="%1$s" class="c-widget %2$s">',
                'after_widget'  =>  '</section>',
                'before_title'  =>  '<h6 class="c-widget-title u-h3">',
                'after_title'   =>  '</h6>',
            ));
            
            // Footer Section #4
            register_sidebar(array(
                'name'          =>  esc_html__('Footer Section #4', YSP_TEXT_DOMAIN),
                'id'            =>  'footer-section-4',
                'description'   =>  esc_html__('Add widgets here.', YSP_TEXT_DOMAIN),
                'before_widget' =>  '<section id="%1$s" class="c-widget %2$s">',
                'after_widget'  =>  '</section>',
                'before_title'  =>  '<h6 class="c-widget-title u-h3">',
                'after_title'   =>  '</h6>',
            ));
        } else {
            // Flexible Footer Section
            register_sidebar(array(
                'name'          =>  esc_html__('Footer', YSP_TEXT_DOMAIN),
                'id'            =>  'footer',
                'description'   =>  esc_html__('Add widgets here.', YSP_TEXT_DOMAIN),
                'before_widget' =>  '<section id="%1$s" class="c-widget c-col-12 c-col-md %2$s">',
                'after_widget'  =>  '</section>',
                'before_title'  =>  '<h6 class="c-widget-title u-h3">',
                'after_title'   =>  '</h6>',
            ));
        }
    }
}
add_action( 'widgets_init', 'ysp_widgets_init' );