<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yourstyle+
 */

$ysp_template_layout = 'normal';
do_action('ysp_content_layout_start');
?>

    <?php
    if (have_posts()) :

        if (is_home() && !is_front_page()) :
            ?>
            <header>
                <h1 class="page-title screen-reader-text"><?php single_post_title(); ?></h1>
            </header>
            <?php
        endif;
        
        do_action('ysp_content_before_loop');

        echo '<div class="c-row">';

        /* Start the Loop */
        while (have_posts()) :
            the_post();

            /**
             * Include the Post-Format-specific template for the blog.
             * If you want to override this in a child theme, then include a file
             * called blog-___.php (where ___ is the Post Format name) and that will be used instead.
             */
            get_part('loop/blog', get_post_format());
        endwhile;

        echo '</div>'; // close c-row

        do_action('ysp_content_after_loop');

        if ( ysp_get_option('ysp-blog-pagination') ) :

            do_action('ysp_content_before_pagination');

            ysp_pagination();

            do_action('ysp_content_after_pagination');

        endif;

        else :

            get_part('content', 'none');
        
        endif;
    ?>

<?php
do_action('ysp_content_layout_end');
