<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package yourstyle+
 */

$ysp_template_layout = 'normal';
do_action('ysp_content_layout_start');
?>

    <?php if (have_posts()) : ?>

        <header class="page-header">
            <h1 class="page-title">
                <?php
                    /* translators: %s: search query. */
                    printf(esc_html__('Search Results for: %s', YSP_TEXT_DOMAIN), '<span>' . get_search_query() . '</span>');
                ?>
            </h1>
        </header><!-- .page-header -->
        <?php
        
        do_action('ysp_content_before_loop');

        /* Start the Loop */
        while (have_posts()) :
            the_post();

            /**
             * Run the loop for the search to output the results.
             * If you want to overload this in a child theme then include a file
             * called content-search.php and that will be used instead.
             */
            get_part('content', 'search');
        endwhile;

        do_action('ysp_content_after_loop');

        do_action('ysp_content_before_pagination');

        ysp_pagination();

        do_action('ysp_content_after_pagination');

    else :

        get_part('content', 'none');

    endif;
    ?>

<?php
do_action('ysp_content_layout_end');
