<?php
/**
 * The sidebar template for displaying the footer
 *
 * @package yourstyle+
 */

if (is_active_sidebar('footer-section-1') || is_active_sidebar('footer-section-2') || is_active_sidebar('footer-section-3') || is_active_sidebar('footer-section-4')) :
?>

<div class="site-footer-widgets">
    <div class="c-container u-padding-vertical-xxl">
        <div class="c-row">
            <?php
                if (is_active_sidebar('footer-section-1')) {
                    echo '<div'. ysp_site_footer_widget_class() .'>';
                        dynamic_sidebar('footer-section-1');
                    echo '</div>';
                }
                if (is_active_sidebar('footer-section-2')) {
                    echo '<div'. ysp_site_footer_widget_class() .'>';
                        dynamic_sidebar('footer-section-2');
                    echo '</div>';
                }
                if (is_active_sidebar('footer-section-3')) {
                    echo '<div'. ysp_site_footer_widget_class() .'>';
                        dynamic_sidebar('footer-section-3');
                    echo '</div>';
                }
                if (is_active_sidebar('footer-section-4')) {
                    echo '<div'. ysp_site_footer_widget_class() .'>';
                        dynamic_sidebar('footer-section-4');
                    echo '</div>';
                }
            ?>
        </div>
    </div>
</div>

<?php endif; ?>
        
<div class="site-footer-bottom">
    <div class="c-container u-padding-vertical-sm">
        <div class="mico-copy">

            <?php do_action('ysp_footer_before_site_info'); ?>

            <div class="site-info">
                <span>© <?php echo date('Y'); ?> <?php bloginfo('name'); ?></span>
                <?php do_action('ysp_footer_site_info'); ?>
            </div><!-- .site-info -->

            <?php do_action('ysp_footer_after_site_info'); ?>

        </div><!-- .micro-copy -->
    </div>
</div>