<?php
/**
 * Template part for displaying custom 404 page.
 *
 * @package yourstyle_plus
 */

$pageID = ysp_get_option('ysp-custom-404-page');

if( get_post_type( $pageID ) == 'page' ) {

	$new_query = new WP_Query(
        array(
            'page_id' => $pageID
        )
    );

	if ( $new_query->have_posts() ) {
	
        while ( $new_query->have_posts() ) : $new_query->the_post();
        ?>

        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

            <header class="entry-header">
            </header><!-- .entry-header -->

            <div class="entry-content">
                <?php
                    do_action('ysp_prepend_entry_content');

                    the_content();

                    do_action('ysp_append_entry_content');
                ?>
            </div><!-- .entry-content -->
            
            <footer class="entry-footer">
                <?php
                    do_action('ysp_prepend_entry_footer');

                    ysp_entry_footer();

                    do_action('ysp_append_entry_footer');
                ?>
            </footer><!-- .entry-footer -->

        </article><!-- #post-<?php the_ID(); ?> -->
        
        <?php
        endwhile;
        wp_reset_postdata();
        
    } else {
    ?>
        <p><?php _e( 'Sorry, no posts matched your criteria.', YSP_TEXT_DOMAIN ); ?></p>
    <?php
    }

} else {

    // Get the default 404 page template
	get_template_part( 'template-parts/content', 'default-404' );

}