<?php
/**
 * The template for displaying the default content of the 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Yourstyle_Plus_2
 */
?>

<?php
    $default_image_url = YSP_THEME_URI . '/assets/src/images/404.jpg';
    $custom_image_url  = get_theme_mod( 'ysp-404-page-custom-image-url', null );
    $image_url = (!empty($custom_image_url)) ? $custom_image_url : $default_image_url;
?>

<section class="error-404 not-found">
    <header class="page-header" style="background-image:url('<?php echo $image_url; ?>');">
        <h1 class="page-title u-text-center u-text-color-white"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', YSP_TEXT_DOMAIN ); ?></h1>
    </header><!-- .page-header -->

    <div class="c-container">
        <div class="c-row u-justify-content-center">
            <div class="c-col-12 c-col-sm-10 c-col-md-8">
                <div class="page-content u-py-5">
                    <p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try a search?', YSP_TEXT_DOMAIN ); ?></p>
                    <?php get_search_form(); ?>
                </div><!-- .page-content -->
            </div>
        </div>
    </div>
</section><!-- .error-404 -->