<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yourstyle+
 */

?>

<div class="<?php ysp_blog_columns_classes(); ?>">

    <article id="post-<?php the_ID(); ?>" <?php post_class('c-card'); ?>>

        <?php if (ysp_get_option('ysp-blog-thumbnail')): ?>
            <a href="<?php the_permalink(); ?>">
                <?php do_action('ysp_blog_loop_prepend_thumbnail'); ?>
                <div class="c-card-thumbnail"
                <?php
                    if (has_post_thumbnail()) {
                        echo ' style="background-image:url('. get_post_thumbnail_url('', 'large') .');"';
                    }
                ?>
                >
                <?php do_action('ysp_blog_loop_append_thumbnail'); ?>
                </div>
            </a>
        <?php endif; ?>

        <div class="c-card-body">

            <h2 class="c-card-title">
                <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
            </h2>

            <?php do_action('ysp_blog_loop_before_excerpt'); ?>

            <div class="c-card-content">
                <?php
                    ysp_excerpt();
                ?>
            </div>

            <?php do_action('ysp_blog_loop_after_excerpt'); ?>
            
        </div>
        
    </article><!-- #post-<?php the_ID(); ?> -->

</div>